<?php
session_start();
ob_start();
include_once("../manasystem/Library/Library.php");
include_once("../manasystem/Library/db_fuction.php");
include_once("../manasystem/Library/tool.php");
include_once("../manasystem/Library/F_DateFunction.php");
include_once("../manasystem/Library/Now_date.php"); 
?>
<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");

header("Expires: 0");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

//[刪除用]Cookie變數======================================= 
$expires = time() - 3600; //目前的 timestamp + 秒數(time() + 86400)
$path = "/"; //根目錄，整個網站都能使用，預設會是網頁當下的目錄
$domain = ""; //目前的 domain，只可設定為子網域，不可設定成其他網域
$secure = false; //
$httpOnly = true; //無法使用 Javascript 取得 Cookie，防止有心人士釣魚取得
//[刪除用]Cookie變數======================================= 

//表單變數======================================= 
$http_method="";
$Json_st="";
//表單變數======================================= 

 $tool=new tool();
 $date1=new Now_date();

 $http_method=$_SERVER['REQUEST_METHOD'];
 
 if($http_method=="POST") //判斷[http method]狀態
 {
    $str = file_get_contents('php://input');
    if($str<>'')
    {
       $json_obj=json_decode($str,true);
       //↓↓「Request」參數=================================================================
         $itemid=addslashes(urldecode($json_obj['itemid']));//產品ID
       //↑↑「Request」參數=================================================================
        Dele_Cookie($itemid);  //刪除[Cookie]
        setcookie("Ecoupone","", $expires, $path, $domain, $secure, $httpOnly);//不使用優惠券

        $Json_st=$Json_st." { ";
        $Json_st=$Json_st."   \"Status\": \"Success\", ";
        $Json_st=$Json_st."   \"Desc\": \"\" ";
        $Json_st=$Json_st." } ";
           
        echo $Json_st;

    }else{

       $Json_st=$Json_st." { ";
       $Json_st=$Json_st."   \"Status\": \"Fail\", ";
       $Json_st=$Json_st."   \"Desc\": \"[參數錯誤!]\" ";
       $Json_st=$Json_st." } ";
     
       echo $Json_st;
    }


 }else{

     $Json_st=$Json_st." { ";
     $Json_st=$Json_st."   \"Status\": \"Fail\", ";
     $Json_st=$Json_st."   \"Desc\": \"[參數錯誤!]\" ";
     $Json_st=$Json_st." } ";
   
      echo $Json_st;
 }



?>
<?php

//===============================================
//刪除[Cookie]
//===============================================
function  Dele_Cookie($Item)
{
    //[刪除用]Cookie變數======================================= 
    $expires = 0; //目前的 timestamp + 秒數(time() + 86400)
    $path = "/"; //根目錄，整個網站都能使用，預設會是網頁當下的目錄
    $domain = ""; //目前的 domain，只可設定為子網域，不可設定成其他網域
    $secure = false; //
    $httpOnly = true; //無法使用 Javascript 取得 Cookie，防止有心人士釣魚取得
    //[刪除用]Cookie變數======================================= 

    if (isset($_COOKIE['counter'])) 
    {
      $counter = $_COOKIE['counter'];

      $d1_count = 0;
      for ($i = 1; $i <= $counter; $i++) 
      {
          $d1_count = $d1_count + 1;

          if ($i == $Item) 
          {
            $d1_count = $d1_count + 1;
          }

          $ProdInfo_Id = ""; //產品ID
          if (isset($_COOKIE['Pid'][$d1_count])) 
          {
            $ProdInfo_Id = $_COOKIE['Pid'][$d1_count];
          }

          $ProdCount = ""; //訂購數量
          if (isset($_COOKIE['Stock'][$d1_count])) {
            $ProdCount = $_COOKIE['Stock'][$d1_count];
          }

          $ProdFid = ""; //單位
          if (isset($_COOKIE['Fid'][$d1_count])) {
            $ProdFid = $_COOKIE['Fid'][$d1_count];
          }

          $ProdVid = ""; //廠商
          if (isset($_COOKIE['Vid'][$d1_count])) {
            $ProdVid = $_COOKIE['Vid'][$d1_count];
          }

        setcookie("Pid[" . $i . "]", $ProdInfo_Id, $expires, $path, $domain, $secure, $httpOnly); //產品ID
        setcookie("Stock[" . $i . "]", $ProdCount, $expires, $path, $domain, $secure, $httpOnly); //訂購數量
        setcookie("Fid[".$i."]",$ProdFid, $expires, $path, $domain, $secure, $httpOnly);//單位
        setcookie("Vid[".$i."]",$ProdVid, $expires, $path, $domain, $secure, $httpOnly);//廠商
      }
                

      if (isset($_COOKIE['counter'])) 
      {
        $counter = $counter - 1;
      } else {
        $counter = 0;
      }

      setcookie("counter", $counter, $expires, $path, $domain, $secure, $httpOnly); //數量

    }
}





?>