<?php
ini_set('session.gc_maxlifetime', 3600);
session_start();
ob_start();
include_once("manasystem/Library/Library.php");
include_once("manasystem/Library/db_fuction.php");
include_once("manasystem/Library/tool.php");
include_once("manasystem/Library/Now_date.php");
include_once("manasystem/Library/httpPost.php");
include_once("manasystem/Library/P_OrderNumebr.php");
include_once("manasystem/Library/F_DateFunction.php");
include_once("manasystem/Library/LineNotify/F_LineNotify.php");
include_once("manasystem/Library/F_ERP/F_BASSET.php");
?>
<?php
	//本頁參數設定
	$MenuNum = 0; //0:首頁, 1:品牌介紹, 2:最新消息, 3:體驗活動, 4:預約活動, 5:線上購物, 6:會員專區
	$TopPageName = ""; //上一階層(列表類的頁面使用，若無則免填)
	$TopPageUrl = ""; //上一階層連結檔名(列表類的頁面使用，若無則免填)
	$pageName = "購物車"; //本頁名稱
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" name="viewport">
<?php include("WUC_parm.php"); //共用檔 ?>
<?php


//Cookie變數======================================= 
$expires =time() - 3600 ; //目前的 timestamp + 秒數(time() + 86400)
$path = "/"; //根目錄，整個網站都能使用，預設會是網頁當下的目錄
$domain = ""; //目前的 domain，只可設定為子網域，不可設定成其他網域
$secure = false;//
$httpOnly = true; //無法使用 Javascript 取得 Cookie，防止有心人士釣魚取得
//Cookie變數======================================= 


//須變更的參數=======================================
 $lang_st=1;//
 $BuyTeamPlatform="ERP";//平台
 $type="1";//登入狀態 1:未登入 2:已登入

 $MetaInfoLang_Version=$lang_st;//[Meta內容]版本
 $MetaInfoLang_upload_dir_1="manasystem/FileData/MetaInfoLang/";//[Meta內容][檔案路徑]
 

 $ProdLang_Version=$lang_st;//[產品資訊]語系
 $ProdInfo_upload_dir_1 = "manasystem/FileData/ProdInfo/"; //[產品資訊][檔案路徑]
 $ProdInfo_DF = "images/Imgdf/img_ready.jpg"; //[產品資訊-預設][檔案路徑]
//須變更的參數=======================================

//表單變數=======================================    
  $Form_url_st="";//
  $showBox_Flag=2;//是否開啟訊息框 1:開啟 2:不開啟
  $showBox_Msg="";//錯誤訊息
  $showBox_Link="";//錯誤的連結資訊

  $Meta_title="";//標題名稱
  $Meta_description="";//描述
  $Meta_site_name="小商店B2B";//網站名稱
  $Meta_image="";//圖片

  $Msg_St="";//訊息內容
  $Link_St="";//[連結資訊]

  $Lit_ProdItme=""; //[購物車]品項

  $Lit_CartPrice="0"; //購物總金額

  $Lit_ProdItemTotal="0";//產品項目
  $Lit_ProdTotal="0";//產品數量

  $FreightTermTitle="";//運費條件說明
  $FreightLimit="0";//運費限制
  $FreightTerm_Price="0";//運費金額

//表單變數=======================================    

$tool = new tool();
//呼叫函數=======================================

  
  

  $Form_url_st = $Form_url_st;
  Load_MetaInfo();//載入[Meta內容]
  Load_BASSET();
  if(isset($_SESSION["bf_loginView"]))
  {
    
    if ($_SESSION["bf_loginView"]==='True')//三個[=]的功能:比較兩者是否相等 (包含資料型態)
    {
      
    }else{
    	 $showBox_Flag=1;//是否開啟訊息框 1:開啟 2:不開啟
        $showBox_Msg="請先登入在進行結單";//錯誤訊息
        $showBox_Link="https://access.line.me/oauth2/v2.1/authorize?response_type=code&client_id=".$LineLogin_ChannelId."&redirect_uri=".$LineLogin_redirect_uri."&state=multivendor&bot_prompt=normal&scope=profile%20openid%20email";//錯誤的連結資訊
    }

  }else{
     $showBox_Flag=1;//是否開啟訊息框 1:開啟 2:不開啟
     $showBox_Msg="請先登入在進行結單";//錯誤訊息
     $showBox_Link="https://access.line.me/oauth2/v2.1/authorize?response_type=code&client_id=".$LineLogin_ChannelId."&redirect_uri=".$LineLogin_redirect_uri."&state=multivendor&bot_prompt=normal&scope=profile%20openid%20email";//Linr登入連結";//錯誤的連結資訊
  }

  if(isset($_SESSION["bf_loginView"]))
  {
		if ($_SESSION["bf_loginView"]==='True')
		{
			//已經登入
			$type="2";//登入狀態 1:未登入 2:已登入	
		}
  }

  if($type=="2")
  {

	    if(isset($_POST['action'])  )
	    {
	        if( addslashes($_POST['action'])=='add' ) //執行新增動作
	        {
               
                Insert_OrderInfo();//新增[訂單]    
                  
	        }
	    }


	  	if (isset($_COOKIE['counter'])) 
		{
		    $counter = $_COOKIE['counter'];
		    if ($counter > 0) 
		    {
               
		       $Lit_ProdItme = Call_ProdInfo(); //[購物車]品項
		       //Load_FreightInfo();//載入[運費]
		    } else {
		     	 $showBox_Flag=1;//是否開啟訊息框 1:開啟 2:不開啟
			     $showBox_Msg="購物車無相關資料";//錯誤訊息
			     $showBox_Link="menu_multivendor.php";//錯誤的連結資訊
		    }
		} else {
            $showBox_Flag=1;//是否開啟訊息框 1:開啟 2:不開啟
            $showBox_Msg="購物車無相關資料";//錯誤訊息
            $showBox_Link="menu_multivendor.php";//錯誤的連結資訊
		}
	    
  }



  
//呼叫函數=======================================


?>
<?php

//===============================================
//新增[訂單]
//===============================================
function  Insert_OrderInfo()
{
    //參數=======================================	
        global $showBox_Flag;//是否開啟訊息框 1:開啟 2:不開啟
        global $showBox_Msg;//錯誤訊息
        global $showBox_Link;//錯誤的連結資訊

        global $BuyTeamPlatform;//平台分類

        global $TradeDesc;//交易描述
        global $ReturnURL; //[訂單]付款完成通知回傳網址
        global $ClientBackURL;//[訂單]返回的網址(會員專區)

        global $FreightTerm_Price;//運費金額
        global $TaxID;//統編

        global $SET005;//數量取位
        global $CUR010;//單身金額取位
        global $CUR011;//單尾金額取位
        global $CUR012;//稅額小數取位
    //參數=======================================     

    $tool=new tool();
    $date1=new Now_date();

    $P_OrderNumebr=new P_OrderNumebr();
    
    
    $VidRep =array_unique($_COOKIE['Vid']);
    $CHB016=$P_OrderNumebr->Insert_OrderNumebr("D",20220302);//訂單編號
    
    foreach ($VidRep as $prodVid )
    {
        
      
        $OrderInfo_SN=$P_OrderNumebr->Insert_OrderNumebr("WS",062803);//訂單編號

        $CHA001=$OrderInfo_SN ;//採購單編號
        $CHA004=$prodVid;//廠商編號
        $CHA006= $_SESSION["bf_SALCTM_Mid"];//採購門店
        $CHA711= $_SESSION["bf_AccountId"];
        $CHA005= Load_SALCTM_Staff_ID($CHA711);
        if($CHA005==''){
                $CHA005 ="WEB";
        }

        $CHA901= $CHA005;
        $CHA902= $date1->Now_st();//建立日期
        $CHA903= $CHA005;//修改者 
        $CHA904= $date1->Now_st();//修改日期

        $CHA003=date("Ymd");

        $d1_sql="";
        $d1_sql = $d1_sql . "Insert into PURCHA ";
        $d1_sql = $d1_sql . " ( ";
        $d1_sql = $d1_sql . "   CHA001 , ";//訂單編號
        $d1_sql = $d1_sql . "   CHA002 , ";//性質
        $d1_sql = $d1_sql . "   CHA003 , ";//日期
        $d1_sql = $d1_sql . "   CHA007 , ";//幣別
        $d1_sql = $d1_sql . "   CHA008 , ";//匯率
        $d1_sql = $d1_sql . "   CHA004 , ";//廠商編號
        $d1_sql = $d1_sql . "   CHA005 , ";//業務ID
        $d1_sql = $d1_sql . "   CHA006 , ";//業務ID
        $d1_sql = $d1_sql . "   CHA016 , ";//營業稅率
        $d1_sql = $d1_sql . "   CHA017 , ";//實際金額(含運費)
        $d1_sql = $d1_sql . "   CHA021 , ";//確認碼(T/F)
        $d1_sql = $d1_sql . "   CHA023 , ";//訂金金額 
        $d1_sql = $d1_sql . "   CHA024 , ";//訂金本幣金額
        $d1_sql = $d1_sql . "   CHA018 , ";//本幣合計  
        $d1_sql = $d1_sql . "   CHA034 , ";//運費
        $d1_sql = $d1_sql . "   CHA058 , ";//發票聯式
        $d1_sql = $d1_sql . "   CHA057 , ";//課稅別
        $d1_sql = $d1_sql . "   CHA711, ";//建立者 
        $d1_sql = $d1_sql . "   CHA901, ";//建立者
        $d1_sql = $d1_sql . "   CHA902, ";//建立日期
        $d1_sql = $d1_sql . "   CHA903, ";//修改者
        $d1_sql = $d1_sql . "   CHA904, ";//修改日期
        $d1_sql = $d1_sql . "   CHA_API_UpdateTime,";//
        $d1_sql = $d1_sql . "   CHA_Country,";//
        $d1_sql = $d1_sql . "   CHA_TaxID,";//
        $d1_sql = $d1_sql . "   CHA_Status,";//採購單狀態
        $d1_sql = $d1_sql . "   CHA_VanStatus";//廠商狀態
        $d1_sql = $d1_sql . " ) values ( ";
        $d1_sql = $d1_sql . "   '$CHA001', ";//訂單編號
        $d1_sql = $d1_sql . "   'WEB', ";//性質
        $d1_sql = $d1_sql . "   '$CHA003', ";//日期
        $d1_sql = $d1_sql . "   'TWD', ";//幣別
        $d1_sql = $d1_sql . "   '1', ";//匯率
        $d1_sql = $d1_sql . "   '$CHA004', ";//廠商編號
        $d1_sql = $d1_sql . "   '$CHA005', ";//業務ID
        $d1_sql = $d1_sql . "   '$CHA006', ";//業務ID
        $d1_sql = $d1_sql . "   '0.0500', ";//營業稅率
        $d1_sql = $d1_sql . "   '0', ";//實際金額(含運費)
        $d1_sql = $d1_sql . "   'T', ";//確認碼(T/F)
        $d1_sql = $d1_sql . "   '0', ";//訂金金額
        $d1_sql = $d1_sql . "   '0', ";//訂金本幣金額
        $d1_sql = $d1_sql . "   '0', ";//訂單本幣金額
        $d1_sql = $d1_sql . "   '0', ";//運費
        $d1_sql = $d1_sql . "   '0', ";//發票聯式
        $d1_sql = $d1_sql . "   'F', ";//課稅別
        $d1_sql = $d1_sql . "   '$CHA711', ";//
        $d1_sql = $d1_sql . "   '$CHA901', ";//建立者
        $d1_sql = $d1_sql . "   '$CHA902', ";//建立日期
        $d1_sql = $d1_sql . "   '$CHA903', ";//修改者
        $d1_sql = $d1_sql . "   '$CHA904', ";//修改日期
        $d1_sql = $d1_sql . "   '$CHA904', ";//修改日期
        $d1_sql = $d1_sql . "   'TW',       ";//
        $d1_sql = $d1_sql . "   '$TaxID',    ";//
        $d1_sql = $d1_sql . "   '1',    ";//採購單狀態
        $d1_sql = $d1_sql . "   '0'    ";//廠商狀態
        $d1_sql = $d1_sql . " ) ";
        
        

        $d1_status=0;
        global $_DB;//注意這行
        $db1=new DB();
        $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
        $d1_status=$db1->query($d1_sql);
        //$d1_status=$db1->get_insert_id();//取得主鍵編號
        $db1->close_Mysql();
        
        if ($d1_status>0)
        {

            Insert_OrderDetail($json_obj, $CHA001,$CHA005,$CHA004,$CHB016); //新增[訂單資訊-明細]

            $OrderM_Price=0;//訂單金額
            $OrderM_Price=Update_OrderPrice($CHA001);//更新[訂單金額]
            Update_PURCHA_TaxPrice($CHA001);
            clear_Cookie(); //[清除COOKie]-----yulin

            $Parm_st="";
            $Parm_st=$Parm_st."&SN=".$CHA001;//訂單編號

            //post_platform_prod($CHA001);

            //notify發送訊息-----------------------------------------------------
            //send_Notify_Msg($CHA001,$CHA004);

            //notify發送訊息-----------------------------------------------------

            

        }else{
          //訂單新增失敗
         //$showBox_Flag=1;//是否開啟訊息框 1:開啟 2:不開啟
         //$showBox_Msg="訂單新增失敗";//錯誤訊息
         //$showBox_Link="index.php";//錯誤的連結資訊
        }
    }

    $tool->HtmEnd("", 2, "shopCart_VendorMulNOPay.php?SN=".$CHB016);
}
//===============================================
//傳送平台資料
//===============================================
 function Load_SALCTM_Staff_ID($CHA001)
{
    $d1_sql="";
    $d1_sql=$d1_sql."select * from SALCTM ";
    $d1_sql=$d1_sql."where ";
    $d1_sql=$d1_sql."     SALCTM_id='$SALCTM_id' ";
   
    $d1_count=0;
    global $_DB;//注意這行
    $db1=new DB();
    $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db1->query($d1_sql);
    while ($result = $db1->fetch_array())
    {
        $SALCTM_Staff_ID=$result["SALCTM_Staff_ID"];//廠商代號
       
    }
    $db1->close_Mysql();
    return $SALCTM_Staff_ID;
}
//===============================================
//傳送平台資料
//===============================================
 function post_platform_prod($CHA001)
{
    global $Domain_st;//網域


    $tool=new tool();
    $date1=new Now_date();
    $ITM_API_platform_UpdateTime=$date1->Now_st();
    $json_obj="{}";
    $cur_url = $Domain_st."/cloud-API/tk_platform_PURCOD.php?action=post&CHA001=".$CHA001; //API位置

    $header = array("Content-Type: application/json; charset=utf-8","Authorization:Bearer ");
    $http_Method = "POST"; //HTTP Method
    $http_code = 200; //HTTP header的狀態碼
    $str = get_RemoteDataHttpStatus($cur_url, $header, $json_obj, $http_Method, $http_code);
    $TEAT="";
    

}

//===============================================
//[清除COOKie]
//===============================================
function clear_Cookie()
{

    //Cookie變數======================================= 
    global $expires; //目前的 timestamp + 秒數(time() + 86400)
    global $path; //根目錄，整個網站都能使用，預設會是網頁當下的目錄
    global $domain; //目前的 domain，只可設定為子網域，不可設定成其他網域
    global $secure; //
    global $httpOnly; //無法使用 Javascript 取得 Cookie，防止有心人士釣魚取得

    global $FeedCateM_Total; //[加料類別]筆數
    //Cookie變數======================================= 

    if (isset($_COOKIE['counter'])) 
    {

	      $counter = $_COOKIE['counter'];
	      for ($i = 1; $i <= $counter; $i++) 
	      {
	        setcookie("Pid[" . $i . "]", "", $expires, $path, $domain, $secure, $httpOnly); //產品ID
	        setcookie("Stock[" . $i . "]", "", $expires, $path, $domain, $secure, $httpOnly); //訂購數量
            setcookie("Fid[" . $i . "]", "", $expires, $path, $domain, $secure, $httpOnly); //單位
            setcookie("Vid[" . $i . "]", "", $expires, $path, $domain, $secure, $httpOnly); //廠商
	      }
	      setcookie("counter", "",  $expires, $path, $domain, $secure, $httpOnly); //數量
          setcookie("isExist","", $expires, $path, $domain, $secure, $httpOnly);//是否清除的視窗
    }



    if (isset($_COOKIE['LogisticsSubType']))//物流子類型
    {
       setcookie("LogisticsSubType","",  $expires, $path, $domain, $secure, $httpOnly);
    }

    if (isset($_COOKIE['CVSStoreID']))//User 所選之超商店舖編號
    {
       setcookie("CVSStoreID","",  $expires, $path, $domain, $secure, $httpOnly);
    }

    if (isset($_COOKIE['CVSStoreName']))//User 所選之超商店舖名稱
    {
       setcookie("CVSStoreName","",  $expires, $path, $domain, $secure, $httpOnly);
    }

    if (isset($_COOKIE['CVSAddress']))//User 所選之超商店舖地址
    {
       setcookie("CVSAddress","",  $expires, $path, $domain, $secure, $httpOnly); 
    }

    if (isset($_COOKIE['CVSTelephone']))//User 所選之超商店舖電話
    {
        setcookie("CVSTelephone","",  $expires, $path, $domain, $secure, $httpOnly);
    }

    if (isset($_COOKIE['CVSOutSide']))//User 所選之超商店舖是否為離島店鋪
    {
       setcookie("CVSOutSide","",  $expires, $path, $domain, $secure, $httpOnly);
    }

    if (isset($_COOKIE['ExtraData']))//額外資訊
    {
       setcookie("ExtraData","",  $expires, $path, $domain, $secure, $httpOnly);
    }


}
//===============================================
//更新[訂單金額]
//$$CHB001:訂單編號
//===============================================
function Update_OrderPrice($CHB001)
{
          

       $d1_sql="";
       $d1_sql=$d1_sql." select * from PURCHB ";
       $d1_sql=$d1_sql." where ";
       $d1_sql=$d1_sql."        CHB001='$CHB001 ' ";


       $ProdSub_Total=0;//小計
       global $_DB;
       $db1=new DB();
       $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
       $db1->query($d1_sql);
       while($result1 = $db1->fetch_array())
       {     
          $ProdSub_Total=  $ProdSub_Total+$result1["CHB008"]; 
       }
       $db1->close_Mysql();

       $CHA017 =0;//訂單金額
       $CHA017 =$ProdSub_Total;
       $CHA020  = $CHA017*0.05;
       $CHA001=$CHB001;//訂單編號
       $CHA046 = $CHA017 - $CHA020 ;
       $d2_sql="";
       $d2_sql=$d2_sql." Update PURCHA   ";
       $d2_sql=$d2_sql."   set  ";
       $d2_sql=$d2_sql."      CHA017='$CHA017', ";
       $d2_sql=$d2_sql."      CHA018='$CHA017', ";
       $d2_sql=$d2_sql."      CHA019='$CHA020', ";
       $d2_sql=$d2_sql."      CHA020='$CHA020', ";
       $d2_sql=$d2_sql."      CHA046='$CHA046', "; 
       $d2_sql=$d2_sql."      CHA047='$CHA046' ";
       $d2_sql=$d2_sql." where ";
       $d2_sql=$d2_sql."        CHA001='$CHA001' ";
      
       $d2_status = 0;
       global $_DB; //注意這行
       $db2 = new DB();
       $db2->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
       $d2_status = $db2->query($d2_sql);
       $db2->close_Mysql();

       return $CHA017;

}


//===============================================
//產生 guidkey
//===============================================
function guid(){
    if (function_exists('com_create_guid')){
        return com_create_guid();
    }else{
        mt_srand((double)microtime()*10000);//optional for php 4.2.0 and up.
        $charid = strtoupper(md5(uniqid(rand(), true)));
        $hyphen = chr(45);// "-"
        $uuid = chr(123)// "{"
            .substr($charid, 0, 8).$hyphen
            .substr($charid, 8, 4).$hyphen
            .substr($charid,12, 4).$hyphen
            .substr($charid,16, 4).$hyphen
            .substr($charid,20,12)
            .chr(125);// "}"
        return $uuid;
    }
}
//===============================================
//新增[訂單資訊-明細]
//$json_obj:json格式資料
//$CHB001:訂單編號
//$CHA005:業務ID
//$prodVid_old:廠商
//$CHB016:採購底稿單號
//===============================================
function  Insert_OrderDetail($json_obj, $CHB001,$CHA005,$prodVid_rep,$CHB016)
{
   //參數=======================================     
    global $FreightTerm_Price;//運費金額
    global $TaxID;//統編

    global $SET005;//數量取位
  //參數=======================================    


   $tool = new tool();
   $date1 = new Now_date();

    if (isset($_COOKIE['counter'])) 
    {

    	$counter = $_COOKIE['counter'];//購物車[品項數項]
		$Lit_ProdItemTotal=$counter;//產品項目

		for ($i = 1; $i <= $counter; $i++) 
	    {

            $prodId="";//產品ID
            $prodStock="";//訂購數量
            $prodFid="";//單位
            $prodVid="";//廠商

	       
            if (isset($_COOKIE['Vid'][$i])) //廠商
            {
              $prodVid=$_COOKIE['Vid'][$i];//廠商
            }
           

            if($prodVid_rep==$prodVid)
            {

                if (isset($_COOKIE['Pid'][$i])) //產品ID
                {
                  $prodId=$_COOKIE['Pid'][$i];
                }

                if (isset($_COOKIE['Stock'][$i])) //訂購數量
                {
                  $prodStock=round($_COOKIE['Stock'][$i],$SET005);//訂購數量
                }

                if (isset($_COOKIE['Fid'][$i])) //單位
                {
                  $prodFid=$_COOKIE['Fid'][$i];//單位
                }

               

                $ProdInfo_Id=$prodId;//產品ID
                $ProdTotal=$prodStock;//訂購數量

                $CHB001 = $CHB001; //訂單編號
                $PURCOE_Pid = $ProdInfo_Id; //產品ID

                $CHB003 = Load_ProdInfo($ProdInfo_Id, 4); //產品編號
                $CHB004 =addslashes(Load_ProdInfo($ProdInfo_Id, 1)); //商品名稱
                $CHB005 =$prodFid; //交易單位
                $CHB006 = $ProdTotal; //數量   
                //$COE009 = Load_ProdInfo($ProdInfo_Id, 3); //單價價格
                $CHB007 =Load_ProdPrice($ProdInfo_Id,$prodFid,$prodVid);
                $CHB008  = ($CHB006 * $CHB007); //總價格 
                $CHB009  = $CHB008; //總價格
                $COE013 = date("Ymd"); 
                $CHB017 = guid();
                
                $CHB901 = $CHA005;
                $CHB902 = $date1->Now_st();
                $CHB903 = $CHA005;
                $CHB904 = $date1->Now_st();
                $CHB999 = guid();

                $CHB022 = $CHB008*0.05;
                $CHB034 = $CHB008-$CHB022;

                $CHB002=roll_over_CHB002($CHB001)+1;

                $d1_sql = "";
                $d1_sql = $d1_sql . "Insert into PURCHB ";
                $d1_sql = $d1_sql . " ( ";
                $d1_sql = $d1_sql . "    CHB001, ";//訂單主表的單號
                $d1_sql = $d1_sql . "    CHB002, ";//序號
                $d1_sql = $d1_sql . "    CHB003, ";//品號
                $d1_sql = $d1_sql . "    CHB004, ";//品名
                $d1_sql = $d1_sql . "    CHB005, ";//單位
                $d1_sql = $d1_sql . "    CHB006, ";
                $d1_sql = $d1_sql . "    CHB007, ";
                $d1_sql = $d1_sql . "    CHB008, ";
                $d1_sql = $d1_sql . "    CHB009, ";
                $d1_sql = $d1_sql . "    CHB011, ";
                $d1_sql = $d1_sql . "    CHB012, ";
                $d1_sql = $d1_sql . "    CHB016, ";
                $d1_sql = $d1_sql . "    CHB017, ";
                $d1_sql = $d1_sql . "    CHB018, ";
                $d1_sql = $d1_sql . "    CHB019, ";
                $d1_sql = $d1_sql . "    CHB020, ";
                $d1_sql = $d1_sql . "    CHB021, ";
                $d1_sql = $d1_sql . "    CHB022, ";
                $d1_sql = $d1_sql . "    CHB023, ";
                $d1_sql = $d1_sql . "    CHB034, ";
                $d1_sql = $d1_sql . "    CHB035, ";
                $d1_sql = $d1_sql . "    CHB031, ";
                $d1_sql = $d1_sql . "    CHB033, ";
                $d1_sql = $d1_sql . "    CHB901, ";
                $d1_sql = $d1_sql . "    CHB902, ";
                $d1_sql = $d1_sql . "    CHB903, ";
                $d1_sql = $d1_sql . "    CHB904, ";
                $d1_sql = $d1_sql . "    CHB999, ";
                $d1_sql = $d1_sql . "    CHB_Country, ";
                $d1_sql = $d1_sql . "    CHB_TaxID ";
                $d1_sql = $d1_sql . " ) values ( ";
                $d1_sql = $d1_sql . "    '$CHB001', ";//訂單主表的單號
                $d1_sql = $d1_sql . "    '$CHB002', ";//序號
                $d1_sql = $d1_sql . "    '$CHB003', ";//品號
                $d1_sql = $d1_sql . "    '$CHB004', ";//品名
                $d1_sql = $d1_sql . "    '$CHB005', ";//單位
                $d1_sql = $d1_sql . "    '$CHB006', ";//數量
                $d1_sql = $d1_sql . "    '$CHB007', ";//單價
                $d1_sql = $d1_sql . "    '$CHB008', ";//金額 
                $d1_sql = $d1_sql . "    '$CHB009', ";//本幣金額
                $d1_sql = $d1_sql . "    'N', ";//贈品
                $d1_sql = $d1_sql . "    'N', ";//結案
                $d1_sql = $d1_sql . "    '$CHB016', ";//底稿單號 
                $d1_sql = $d1_sql . "    '$CHB017', ";//底稿序號  
                $d1_sql = $d1_sql . "    '0', ";//已交量---必填
                $d1_sql = $d1_sql . "    'T', ";//確認碼---必填
                $d1_sql = $d1_sql . "    '0', ";//
                $d1_sql = $d1_sql . "    '0.0500', ";//稅率
                $d1_sql = $d1_sql . "    '$CHB022', ";//原幣稅額
                $d1_sql = $d1_sql . "    '$CHB022', ";//本幣稅額
                $d1_sql = $d1_sql . "    '$CHB034', ";//未稅金額
                $d1_sql = $d1_sql . "    '$CHB034', ";//本幣未稅金額
                $d1_sql = $d1_sql . "    '0', ";//
                $d1_sql = $d1_sql . "    '0', ";//
                $d1_sql = $d1_sql . "    '$CHB901', ";
                $d1_sql = $d1_sql . "    '$CHB902', ";
                $d1_sql = $d1_sql . "    '$CHB903', ";
                $d1_sql = $d1_sql . "    '$CHB904', ";
                $d1_sql = $d1_sql . "    '$CHB999', ";//單身隱藏KEY (GUID)
                $d1_sql = $d1_sql . "    'TW', ";
                $d1_sql = $d1_sql . "    '$TaxID' ";
                $d1_sql = $d1_sql . " ) ";
                $d1_status = 0;
                global $_DB; //注意這行
                $db1 = new DB();
                $db1->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
                $d1_status = $db1->query($d1_sql);

                $db1->close_Mysql();

                //Update_ProdInfo_StockTmp($ProdInfo_Id,$COE006);//更新[產品暫存的庫存]
            }
 			
            
	
	    }

    }

}



//
function roll_over_CHB002($CHB001)
{
    $d1_sql = "";
    $d1_sql = $d1_sql . " select count(*) as total ";
    $d1_sql = $d1_sql . " from PURCHB  ";
    $d1_sql = $d1_sql . " where  ";
    $d1_sql = $d1_sql . "       CHB001='$CHB001'  ";

    $d1_st = "";
    global $_DB;
    $db1 = new DB();
    $db1->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
    $db1->query($d1_sql);
    while ($result1 = $db1->fetch_array()) 
    {
        $total=$result1['total'];
    }
    $db1->close_Mysql();

    return $total;

}

//===============================================
//更新[產品暫存的庫存]
//$ProdInfo_Id:產品ID
//$ProdInfo_StockTmp:暫存庫存量
//===============================================
function Update_ProdInfo_StockTmp($ProdInfo_Id,$ProdInfo_StockTmp)
{
  
      $d1_sql="";
      $d1_sql=$d1_sql."Update ProdInfo ";
      $d1_sql=$d1_sql." set ";
      $d1_sql=$d1_sql."     ProdInfo_StockTmp=ProdInfo_StockTmp+'$ProdInfo_StockTmp' ";
      $d1_sql=$d1_sql." where ";
      $d1_sql=$d1_sql."   ProdInfo_Id='$ProdInfo_Id' ";
    
      global $_DB;//注意這行
      $db1=new DB();
      $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
      $db1->query($d1_sql);
      $db1->close_Mysql();
     
}

//===============================================
//呼叫[產品資訊]
//===============================================
function  Call_ProdInfo()
{
    //參數==============================================
     global $FeedItem_Version;//[副餐品項]
	 global $FeedItem_upload_dir_1; //[副餐品項][檔案路徑]

	 global $Lit_CartPrice; //購物總金額
	 global $Lit_ProdItemTotal;//產品項目
     global $Lit_ProdTotal;//產品數量

     global $IsPriceB2B;//[B2B]顯示價格 1:不顯示 2:顯示
    //參數==============================================

    $ItmePrice_st="";
    $Item_st = "";
    if (isset($_COOKIE['counter'])) 
    {

    	$counter = $_COOKIE['counter'];//購物車[品項數項]
    	$Lit_ProdItemTotal=$counter;//產品項目
        

        $VidRep =array_unique($_COOKIE['Vid']);
        $VidRepnum = array();
        // Array ( [1] => A01 [2] => A01 [3] => JB01 )
        for ($i = 1; $i <= $counter; $i++) 
        {//A01 JB01 .
            foreach ($VidRep as $key => $prodVid_rep )
            {
                if($prodVid_rep==$_COOKIE['Vid'][$i]){
                    $VidRepnum[$key][] = $i;
                }
            } 
        }

        foreach ($VidRepnum as $key => $VidRepnum_rep)
        {
            
            $prodId="";//產品ID
            $prodStock="";//訂購數量
            $prodFid="";//單位
            $XUT003="";//單位量
            if (isset($_COOKIE['Vid'][$key])) //廠商
            {
              $prodVid=$_COOKIE['Vid'][$key];//廠商
            }
                

          

            

             $d1_sql = "";
            $d1_sql = $d1_sql . " select IFNULL(XUT003,1) as XUT003 ";
            $d1_sql = $d1_sql . " from INVXUT  ";
            $d1_sql = $d1_sql . " where  ";
            $d1_sql = $d1_sql . "       XUT001='$ProdSN' and  XUT002='$prodFid' ";

            $d1_st = "";
            global $_DB;
            $db1 = new DB();
            $db1->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
            $db1->query($d1_sql);
            while ($result1 = $db1->fetch_array()) 
            {
                $XUT003=$result1['XUT003'];
            }
            $db1->close_Mysql();

            $SPL003=Load_PURSPL($prodVid);  

            $Item_st=$Item_st."<h3 class='BkTitle'>廠商代號：".$SPL003."(".$prodVid.")</h3> ";
            $Item_st=$Item_st."<h3 class='BkTitle'>購物清單</h3> ";
            
            foreach ($VidRepnum_rep as $keys => $VidRepnum_repD)
            {        

                if (isset($_COOKIE['Pid'][$VidRepnum_repD])) //產品ID
                {
                  $prodId=$_COOKIE['Pid'][$VidRepnum_repD];
                }

                if (isset($_COOKIE['Stock'][$VidRepnum_repD])) //訂購數量
                {
                  $prodStock=$_COOKIE['Stock'][$VidRepnum_repD];//訂購數量
                }

                if (isset($_COOKIE['Fid'][$VidRepnum_repD])) //單位
                {
                  $prodFid=$_COOKIE['Fid'][$VidRepnum_repD];//單位
                }

                $ProdPrice=Load_ProdPrice($prodId,$prodFid,$prodVid);//單價

                $ProdPrice_Total=0;//產品金額
                $ProdPrice_Total=$ProdPrice;//產品金額



                $maxcount=0;//套餐最大數量
                $maxcount=Load_ProdInfo($prodId, 5)-Load_ProdInfo($prodId, 6);// 庫存 - 暫存庫存量
                if($maxcount<0)
                {
                   $maxcount=0;//套餐最大數量
                }

                $ProdImg=Load_ProdInfo($prodId, 7);//產品封面圖
                $ProdTitle=Load_ProdInfo($prodId, 1);//標題
                $ProdSN=Load_ProdInfo($prodId, 4);//產品編號
                $Item_st=$Item_st."<ul class='SCListBk'> ";
                $Item_st=$Item_st."<li class='SPBkItem' data-itemid='".$VidRepnum_repD."' data-pid='".$prodId."' data-price='".$ProdPrice."' data-maxcount='".$maxcount."' data-xutnum='".$XUT003."' >";
                $Item_st=$Item_st."  <div class='SBOinfoContent d-flex d-md-inline-flex mr-0 mb-2'>";
                $Item_st=$Item_st."   <div class='SBOImg SBOImgContent'>";
                $Item_st=$Item_st."       <img src='".$ProdImg."' alt='".$ProdTitle."'/> ";//圖片
                $Item_st=$Item_st."   </div>";
                $Item_st=$Item_st."   <div class='SBOinfo SBOinfo2 flex-grow-1 ml-3'> ";
                $Item_st=$Item_st."      <div class='SBONumbering'>商品編號:".$ProdSN."</div>";//產品編號
                $Item_st=$Item_st."      <div class='SBOTitle'>".$ProdTitle."</div>";//標題
                $Item_st=$Item_st."      <div class='SBONumbering mt-2 mb-1'>單位:".$prodFid."</div>";//單位

                // $Item_st=$Item_st."      <div class='SBOGiveaway'>贈品：極上黑米800g</div>";//贈品
                $Item_st=$Item_st."   </div>";
                $Item_st=$Item_st."  </div>";
                $Item_st=$Item_st."  <div class='SBOright'>";
                $Item_st=$Item_st."     <div class='ProductsOrderNum prodCounter'>  ";
                $Item_st=$Item_st."        <div class='ProductsLessBtn'>  ";
                $Item_st=$Item_st."           <input class='subs_btn' type='button' value='-'>";
                $Item_st=$Item_st."        </div> ";
                $Item_st=$Item_st."        <div class='ProductsInputBox'> ";
                $Item_st=$Item_st."           <input class='prodCounter order_count' type='text' value='".$prodStock."' readonly='readonly'> ";//產品數量
                $Item_st=$Item_st."        </div> ";
                $Item_st=$Item_st."         <div class='ProductsAddBtn'> ";
                $Item_st=$Item_st."            <input class='add_btn' type='button' value='+'> ";
                $Item_st=$Item_st."         </div>";
                $Item_st=$Item_st."     </div>";
                if($IsPriceB2B=='1'){
                    $Item_st=$Item_st."     <div class='SBOSubtotal' style='display:none;'>小計：<span class='SPBsubPrice'>".($ProdPrice_Total*$prodStock)."</span></div>";//小計
                }else{
                    $Item_st=$Item_st."     <div class='SBOSubtotal'>小計：<span class='SPBsubPrice'>".number_format($ProdPrice_Total*$prodStock)."</span></div>";//小計
                }

                $Item_st=$Item_st."     <div class='SBORemove'>";
                $Item_st=$Item_st."         <input data-itemid='".$VidRepnum_repD."' type='button' class='RemoveBtn' value='移除'>";
                $Item_st=$Item_st."     </div>";
                $Item_st=$Item_st."  </div>";
                $Item_st=$Item_st."</li>";
                $Item_st=$Item_st."</ul>";


                $Lit_ProdTotal=$Lit_ProdTotal+$prodStock;//產品數量
                $Lit_CartPrice = $Lit_CartPrice + ($ProdPrice_Total*$prodStock); //購物總金額
                
            }
           
        }
    }


    return $Item_st;
   
} 


?>
<?php
//[共用區]

//=================================================================
//載入[產品資訊]
//$ProdInfo_Id:產品資訊
//$Cate:類別 1:產品標題 2:定價 3:售價  4:產品編號 5:庫存 6:暫存庫存量 7:產品封面圖 8:商品類別 9:庫存單位 10:交易單位
//=================================================================
function Load_ProdInfo($ProdInfo_Id, $Cate)
{
   
    //參數=======================================    
        global $ProdInfo_upload_dir_1; //[產品資訊][檔案路徑]
        global $ProdInfo_DF; //[產品資訊-預設][檔案路徑]
    //參數=======================================    

    $d1_sql = "";
    $d1_sql = $d1_sql . "select  ";
    $d1_sql = $d1_sql . "       ProdLang_Title, ";
    $d1_sql = $d1_sql . "       ProdInfo_MarketPrice, ";
    $d1_sql = $d1_sql . "       ProdInfo_SalePrice, ";
    $d1_sql = $d1_sql . "       ProdInfo_Number, ";
    $d1_sql = $d1_sql . "       ProdInfo_Stock, ";
    $d1_sql = $d1_sql . "       ProdInfo_StockTmp, ";
    $d1_sql = $d1_sql . "       ProdInfo_Img, ";
    $d1_sql = $d1_sql . "       ProdLang_Rule, ";
    $d1_sql = $d1_sql . "       ProdInfo_StockUnit, ";
    $d1_sql = $d1_sql . "       ProdInfo_TrdUnit ";
    $d1_sql = $d1_sql . "";
    $d1_sql = $d1_sql . "";
    $d1_sql = $d1_sql . " from  ProdInfo ";
    $d1_sql = $d1_sql . "  left join ProdLang ";
    $d1_sql = $d1_sql . "    on  ProdLang.ProdLang_Mid = ProdInfo.ProdInfo_Id ";
    $d1_sql = $d1_sql . " where ";
    $d1_sql = $d1_sql . "          ProdInfo_Id='$ProdInfo_Id' ";


    $d1_st = "";
    global $_DB;
    $db1 = new DB();
    $db1->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
    $db1->query($d1_sql);
    while ($result1 = $db1->fetch_array()) 
    {

      switch ($Cate) {
        case "1": //1:標題
          $d1_st = $result1["ProdLang_Title"];
          break;

        case "2": //2:定價
          $d1_st = $result1["ProdInfo_MarketPrice"];
          break;


        case "3": //3:售價 
          $d1_st = $result1["ProdInfo_SalePrice"];
          break;

        case "4": //4:產品編號 
          $d1_st = $result1["ProdInfo_Number"];
          break;

        case "5": //5:庫存
          $d1_st = $result1["ProdInfo_Stock"];
          break;


        case "6": //6:暫存庫存量
          $d1_st = $result1["ProdInfo_StockTmp"];
          break;


        case "7": //7:產品封面圖

		        if($result1["ProdInfo_Img"]<>"")
		        {
		        	 $d1_st = $ProdInfo_upload_dir_1.$result1["ProdInfo_Img"];
		        }else{
		        	 $d1_st = $ProdInfo_DF; //[產品資訊-預設][檔案路徑]
		        }
         
          break;

        case "8": //8:商品類別
          $d1_st = $result1["ProdInfo_Cate"];
        case "9": //8:庫存單位
          $d1_st = $result1["ProdInfo_StockUnit"];
        case "10": //8:交易單位
          $d1_st = $result1["ProdInfo_TrdUnit"];
        break;



      

        default:
      }
    }
    $db1->close_Mysql();

    return $d1_st;



}

?>
<?php

//=================================================================
//載入[運費]
//=================================================================
function Load_FreightInfo()
{
	//參數=======================================    
     global $BuyTeamPlatform;//平台
     global $Lit_CartPrice; //購物總金額


     global $FreightTermTitle;//運費條件說明
     global $FreightLimit;//運費限制
     global $FreightTerm_Price;//運費金額
    //參數======================================= 

    $FreightInfo_Cate=$BuyTeamPlatform;//平台分類

    $CartPrice=$Lit_CartPrice; //購物總金額

    $d1_sql = "";
    $d1_sql = $d1_sql . "select  * from FreightInfo ";
    $d1_sql = $d1_sql . "  left join FreightTerm ";
    $d1_sql = $d1_sql . "    on  FreightTerm.FreightTerm_Mid= FreightInfo.FreightInfo_Id";
    $d1_sql = $d1_sql . " where ";
    $d1_sql = $d1_sql . "      FreightInfo_Cate='$FreightInfo_Cate' ";
    $d1_sql = $d1_sql . "    and FreightTerm_Scondit<='$CartPrice'  ";
    $d1_sql = $d1_sql . "    and ( FreightTerm_Econdit>='$CartPrice' or FreightTerm_Econdit=0)  ";
    $d1_sql = $d1_sql . "  order by FreightTerm_Scondit desc ,FreightTerm_Id desc    ";
    $d1_sql = $d1_sql . "  limit 1    ";


    $d1_st = "";
    global $_DB;
    $db1 = new DB();
    $db1->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
    $db1->query($d1_sql);
    while ($result1 = $db1->fetch_array()) 
    {   
	      if($result1["FreightTerm_Econdit"]==0)
	      {
	      	//以上


	      }else{
	      	//未滿XXX
	      	$FreightTermTitle="購物未滿NT$ ".$result1["FreightTerm_Econdit"]."元，";//運費條件說明
	      }	
	   
		  $FreightLimit=$result1["FreightTerm_Econdit"];//運費限制
		  $FreightTerm_Price=$result1["FreightTerm_Price"];//運費金額
    }
    $db1->close_Mysql();

    return $d1_st;

}


?>
<?php

//===============================================
//載入[Meta內容]
//===============================================
function  Load_MetaInfo()
{
      
     //參數=======================================
      global $MetaInfoLang_Version;//[Meta內容]版本
      global $MetaInfoLang_upload_dir_1;//[Meta內容][檔案路徑]

      global $Meta_title;//標題名稱
      global $Meta_description;//描述
      global $Meta_site_name;//網站名稱
      global $Meta_image;//圖片
      global $Domain_st;//網域
   //參數======================================= 

      $tool = new tool();


      $d1_sql="";
	  $d1_sql=$d1_sql." select * from  MetaInfoLang ";
	  $d1_sql=$d1_sql." where ";
	  $d1_sql=$d1_sql."         MetaInfoLang_Version='$MetaInfoLang_Version' ";
	  $d1_sql=$d1_sql."     and MetaInfoLang_Cate='36' ";//類別 
	  $d1_sql=$d1_sql."     and MetaInfoLang_Type='1' ";//類型 1:Meta
	  $d1_sql=$d1_sql."     and MetaInfoLang_IsWork='1' ";//是否啟用
	  

      $d1_st="";
	  $d1_count=0;
	  global $_DB;
	  $db1=new DB();
	  $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
	  $db1->query($d1_sql);
	  while($result = $db1->fetch_array())
	  { 

	  	  //↓↓[Meta區]===========================================================
            $Meta_title=$result["MetaInfoLang_Title"];//標題名稱
            $Meta_description=$tool->filterMeta($result["MetaInfoLang_Content"]);//描述

            if ($result['MetaInfoLang_Img']!="")
            {
                  if(file_exists($MetaInfoLang_upload_dir_1.$result['MetaInfoLang_Img']))
                  {
	                    $imgSt="";
	                    $imgSt=$imgSt."<meta property='og:image' content='".$Domain_st."/".$MetaInfoLang_upload_dir_1.$result['MetaInfoLang_Img']."' />\n";
	                    $imgSt=$imgSt."<meta name='twitter:image:src' content='".$Domain_st."/".$MetaInfoLang_upload_dir_1.$result['MetaInfoLang_Img']."' />\n";
	                    $imgSt=$imgSt."<link rel='image_src' href='".$Domain_st."/".$MetaInfoLang_upload_dir_1.$result['MetaInfoLang_Img']."' />\n";
	                    $Meta_image=$imgSt;
                  }
            }
            //↑↑[Meta區]===========================================================


 	  }
      $db1->close_Mysql();

}

function  Load_PURSPL($SPL001)
{

    
    

    $d1_sql="";
    $d1_sql=$d1_sql." select * from PURSPL  ";
    $d1_sql=$d1_sql." where ";
    $d1_sql=$d1_sql."      SPL001='$SPL001' ";

    $d1_st="";
    $d1_count =0;
    global $_DB;
    $db1 = new DB();
    $db1->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
    $db1->query($d1_sql);
    while ($result1 = $db1->fetch_array()) 
    {
        $SPL003=$result1['SPL003'];
              
                           
    }
    $db1->close_Mysql();    
    
    return $SPL003;

}

//=================================================================
//Notify 發送訊息
//$CHA001:訂單ID
//=================================================================
function  send_Notify_Msg($CHA001,$CHA004)
{
    global $IsLineNotifyB2B;
    global $Domain_st;
   

        $d1_sql="";
        $d1_sql=$d1_sql."select * from PURSPL ";
        $d1_sql=$d1_sql."where ";
        $d1_sql=$d1_sql."     SPL001='$CHA004' ";
        $CTM030="0";//適用價格 0.零售價 1.定價一 2.定價二 3.定價三 4.定價四 5.定價五 6.定價六
        $d1_count=0;
        global $_DB;//注意這行
        $db1=new DB();
        $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
        $db1->query($d1_sql);
        while ($result = $db1->fetch_array())
        {
            $SPL_NotifyToken=$result["SPL_NotifyToken"];//NotifyToken
        }
        $db1->close_Mysql();
    
    $date1=new Now_date();

    $message="";
    $message=$message."<網頁有新的採購單>".chr(13).chr(10);
    $message=$message."下單時間:".$date1->Now_st().chr(13).chr(10);
    $message=$message."採購單:".$CHA001."  ".chr(13).chr(10);
    $message=$message."連結:".$Domain_st."/search_VenAcceptance_Order.php?id=".$CHA001."  ".chr(13).chr(10);

    if($SPL_NotifyToken<>'' && $IsLineNotifyB2B='2'){
        notify_Send($SPL_NotifyToken,$message);//寄送[Notify訊息]
    }
    
    
    

}


//=================================================================
//載入[產品價格]
//$ProdInfo_Id:產品資訊
//=================================================================
function Load_ProdPrice($ProdInfo_Id,$ProdInfo_TrdUnit,$IMS001)
{
    //參數=======================================
     global $BuyTeamPlatform;//平台
     global $CUR010;//單身金額
     global $CUR012;//稅額小數
    //參數=======================================

  $ProdPrice="0";//商品價格


  $CK_LoginFlag=1;//是否登入 1:未登入 2:登入

  if(isset($_SESSION["bf_SALCTM_id"]))
  {
    if ($_SESSION["bf_SALCTM_id"]<>'') //會員ID
    {
       $CK_LoginFlag=2;//是否登入 1:未登入 2:登入
    }
  }



  if($CK_LoginFlag=="1")
  {
    //1:未登入

        $d2_sql="";
        $d2_sql=$d2_sql."select * from ProdInfo ";
        $d2_sql=$d2_sql."where ";
        $d2_sql=$d2_sql."     ProdInfo_Id='$ProdInfo_Id' ";
       
      
        $d2_count=0;
        global $_DB;//注意這行
        $db2=new DB();
        $db2->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
        $db2->query($d2_sql);
        while ($result2 = $db2->fetch_array())
        {
           $ProdPrice=round($result2["ProdInfo_SalePrice"],$CUR010);//售價
        }
        $db2->close_Mysql();

  }else{
    //2:登入

        $SALCTM_id=$_SESSION["bf_SALCTM_id"];//會員ID
        $d1_sql="";
        $d1_sql=$d1_sql."select * from SALCTM ";
        $d1_sql=$d1_sql."where ";
        $d1_sql=$d1_sql."     SALCTM_id='$SALCTM_id' ";
       

        $CTM001="";//廠商代號
        $CTM030="0";//適用價格 0.零售價 1.定價一 2.定價二 3.定價三 4.定價四 5.定價五 6.定價六
        $d1_count=0;
        global $_DB;//注意這行
        $db1=new DB();
        $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
        $db1->query($d1_sql);
        while ($result = $db1->fetch_array())
        {
            $CTM001=$result["CTM001"];//廠商代號
            $CTM030=$result["CTM030"];//適用價格
        }
        $db1->close_Mysql();

        $ProdInfo_Cate=$BuyTeamPlatform;//平台

        $d2_sql="";
        $d2_sql=$d2_sql." select * from ProdInfo ";
        $d2_sql=$d2_sql." where ";
        $d2_sql=$d2_sql."       ProdInfo_Cate='$ProdInfo_Cate' ";
        $d2_sql=$d2_sql."   and ProdInfo_Id='$ProdInfo_Id' ";
       
      
        $d2_count=0;
        global $_DB;//注意這行
        $db2=new DB();
        $db2->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
        $db2->query($d2_sql);
        while ($result2 = $db2->fetch_array())
        {
            $IMS002=$result2["ProdInfo_Number"];//產品編號

            //$IMS001=$_GET["SN"];//廠商代號
           
            
            

            $d3_sql="";
            $d3_sql=$d3_sql." select * from PURIMS ";
            $d3_sql=$d3_sql." where ";
            $d3_sql=$d3_sql."       IMS001='$IMS001' ";//廠商代號
            $d3_sql=$d3_sql."   and IMS002='$IMS002' ";//產品編號
            $d3_sql=$d3_sql."   and IMS003='$ProdInfo_TrdUnit' ";//單位  
            $d3_sql=$d3_sql."   and DATE_FORMAT(now(), '%Y%m%d') >= IMS006 ";
            $d3_sql=$d3_sql."   and (DATE_FORMAT(now(), '%Y%m%d') <= IMS010 or IMS010 is null or IMS010='' ) ";
            $d3_sql=$d3_sql." order by IMS006 DESC , IMS902 DESC ";
            $d3_sql=$d3_sql." limit 1 ";
           
          
            $d3_count=0;
            global $_DB;//注意這行
            $db3=new DB();
            $db3->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
            $db3->query($d3_sql);
            while ($result3 = $db3->fetch_array())
            {
                 $d3_count= $d3_count+1;

                 $ProdPrice=round($result3["IMS005"],$CUR010);//售價
            }
            $db3->close_Mysql();
           
           
        }
        $db2->close_Mysql();


  }

   $ProdPrice=trim(rtrim(sprintf("%.4f", $ProdPrice ), '0'),'.');//去除多餘的0
   return  $ProdPrice;//商品價格
}


?>	

<meta property="og:title" content="<?php echo $Meta_title; ?>" /><!--標題-->
<meta property="og:url" content="<?php echo $URL=$Domain_st.$_SERVER['REQUEST_URI'];?>" /><!--網址-->
<meta name="description" content="<?php echo $Meta_description; ?>"><!--簡介-->
<meta property="og:description" content="<?php echo $Meta_description; ?>"/><!--簡介-->
<meta property="og:site_name" content="<?php echo $Meta_site_name; ?>" />
<link rel="shortcut icon" href="images/favicon.ico">

<!--抓取圖片_Start-->
<?php echo $Meta_image; ?>
<!--抓取圖片_End-->


<title><?php echo $Meta_title; ?></title><!--標題-->
<?php include("WUC_Head.php"); //html head ?>
<link rel="stylesheet" type="text/css" href="css/styleAdd.css" />

<style>
  .SBOImgContent{
    margin-left: 7px;
  }

  @media only screen and (max-width: 680px){
    .ProductsOrderNum {
        float: left;
    }
  }
</style>

</head>

<body>
<form id="myForm" name="myForm" method="post" enctype="multipart/form-data" action="<?php echo $_SERVER["PHP_SELF"] . $Form_url_st; ?>">  
<!--載入中 start-->
<div id="Loading">
  <img src="images/ajax-loader.gif" width="32" height="32" alt="載入中"/>
</div>
<!--載入中 end-->
  
<!--網頁開始-->
<div id="wrap">


<?php //include("WUC_Header.php"); //頁首及選單 ?>
<article>
<?php echo $breadcrumb; //麵包屑，請至WUC_Head.php修改?>
<!--內容開始-->
	<section class="ShopCartStep"> 
        
		<div class="SCSTitle active">購物清單</div>
		<div class="SCSLine"></div>
		<div class="SCSTitle">付款方式</div>
		<div class="SCSLine"></div>
		<div class="SCSTitle">確認訂單</div>
	</section>
	
	<section>
        
			<?php echo $Lit_ProdItme; //[購物車]品項?>
		
		<div class="SBOTotalAmount">
			<div id="Viewa_FreightInfo" class="Shipping" <?PHP echo ($FreightTerm_Price>0 ) ? "  " : " style='display:none;' "; ?> >
				<span><?php echo  $FreightTermTitle;//運費條件說明  ?></span>
				收取運費<span class="FreightPrice">NT$ <?php echo  $FreightTerm_Price;//運費金額  ?></span>元
			</div>
			<div class="SBOTAtitle" >共<span><?php echo $Lit_ProdItemTotal;//產品項目 ?></span>項商品，數量<span class="ProdItemTotal" ><?php echo $Lit_ProdTotal;//產品數量?></span>個<div <?PHP echo ($IsPriceB2B == '1')?  "style='display:none;'":  "class='inline-block'"; ?>    >，總金額<span class="ProdFee">NT$ <?php echo ($Lit_CartPrice+$FreightTerm_Price); //購物總金額?></span>元</div></div>
		</div>

		<div class="SBODoubleButton">
			<div>
				<a href="menu_multivendor.php">繼續選購</a>
			</div>
			<div>
				<input type="button" value="結　　帳" onclick="chk(1)" >
				<INPUT TYPE="hidden" id="action" name="action" value="">
				<INPUT TYPE="hidden" id="FreightLimit" name="FreightLimit"  value="<?php echo $FreightLimit;//運費限制 ?>" >
				<INPUT TYPE="hidden" id="FreightPrice" name="FreightPrice"  value="<?php echo  $FreightTerm_Price;//運費金額  ?>" >
                <input type="hidden" id="dp" name="dp" value="<?PHP echo $SET005 ?>">
                <input type="hidden" id="dp_CUR010" name="dp_CUR010" value="<?PHP echo $CUR010 ?>" >
                <input type="hidden" id="dp_CUR011" name="dp_CUR011" value="<?PHP echo $CUR011 ?>" >

			</div>
		</div>

	</section>

<!--內容開始-->
</article>
<?php //include("WUC_Footer.php"); ?>
  </div>
  <!--加入成功-->
  <div class="OrderOK">
      <div class="OrderOkBox">
        <div class="OrderOkImg">
          <img src="/images/icon_ok.png" width="69" height="69" alt="" />
        </div>
        <div class="OrderOkItem">淡香精</div>
        <div class="OrderOkTxt">成功加入購物車！</div>
      </div>
    </div>

    <!--訊息框-->
    <div id="error_popup" class="SendComplete">
      <div class="SendCompleteBox">
        <div class="SendCompleteTxt">訊息框</div>
        <div class="RegSendBtn">
          <input id="errorComplete" class="GoldBtn" type="button" value="確認" />
        </div>
      </div>
    </div>
 </form>
</body>


</html>
<script type="text/javascript" src="js/jquery.fancybox.min.js"></script>
<!-- PHP_script-->
<script language="JavaScript">
  <?php
  if ($showBox_Flag == 1) //是否開啟訊息框 1:開啟 2:不開啟)
  {
    if ($showBox_Msg == "") {
      //註冊成功
  ?>
      $("#error_popup").fadeIn();
    <?php

    } else {
      //檢核失敗
    ?>
      $('#error_popup').find('.SendCompleteTxt').text('<?php echo $showBox_Msg; //訊息 ?>');
      $('#error_popup').fadeIn();
  <?php

    }
  }
  ?>

  //[訊息框]確認按鈕
  $("#errorComplete").click(function() {
    <?php
    if ($showBox_Link == "") {
    ?>
      $("#error_popup").fadeOut();
    <?php
    } else {
    ?>
      window.location.href = "<?php echo $showBox_Link; //連結資訊 ?>";

    <?php
    }
    ?>
  });
</script>

<script>

	//關閉加入購物車
	$(".OrderOK").click(function()
	{
	$(".OrderOK").fadeOut();
	// window.location.href="index.php";
	});

	//[訊息框]確認按鈕
	$("#errorComplete").click(function(){
	$("#error_popup").fadeOut();

});
</script>

<script>

//總金額
function calcTotal() 
{
    let decimal_places = $("#dp").val();
    let decimal_places_CUR010 = $("#dp_CUR010").val();//單身金額取位
    let decimal_places_CUR011 = $("#dp_CUR011").val();//單尾金額取位

    let blocks = $('.SPBkItem');
    let subtotal = 0;//小計
    let total = 0;//總金額
    let FreightLimitFreightLimit=parseFloat($('#FreightLimit').val());//運費限制
    let FreightPrice=parseFloat($('#FreightPrice').val());//運費金額




    blocks.each(function (index, elem) 
    {
          let block = $(elem);

          let price = parseFloat(block.data('price'));
          let count = parseFloat(block.find('.prodCounter .order_count').val());

          subtotal += (price).toFixed(decimal_places_CUR010)*(count).toFixed(decimal_places) ;
    });
    total = parseFloat(subtotal).toFixed(decimal_places_CUR010);
    

    let ProdItemTotal=0;
    $("input.prodCounter").each(function()
    {
       let order_count =$(this).val();//數量
       ProdItemTotal=parseFloat(ProdItemTotal)+ parseFloat(order_count);
    });
    ProdItemTotal=(ProdItemTotal).toFixed(decimal_places);

    $('.ProdItemTotal').html(ProdItemTotal);//[項目]總計
    $('.FreightPrice').html('$ ' + FreightPrice);//運費
    $('.ProdFee').html('$ ' + FormatNumber((total)));//總計


}


	$(document).ready(function() 
	{

        var decimal_places = $("#dp").val();

        let paraA="1";
        for (let i = 1; i <=decimal_places; i++) 
        {
            paraA=paraA*10;
        }
        var paraB=(1/paraA);
        var min = paraB;//最少數量限制

		//[增加]按鈕
		$(".add_btn").on("click", function () 
		{

			let self = $(this);
			let block = self.parent().parent().parent().parent();
			let counterBlock = block.find('.prodCounter');//計數器區塊
			let subs_btn = counterBlock.find('.subs_btn');//[減少]按鈕
			let order_count = counterBlock.find('.order_count');//數量
			let maxcount = block.data('maxcount') || 1; //商品數量限制
			let price =  parseFloat(block.data('price'));//價格
 			let SPBsubPrice = block.find('.SPBsubPrice');//小計
 			let itemid =  parseFloat(block.data('itemid'));//第幾個Cookie
 			let pid =  parseFloat(block.data('pid'));//產品ID

			let current_val = order_count.val();//當前數量
            let dp_total=current_val.lastIndexOf('.');//小數點出現在第幾位數

			if (!isNaN(current_val)) 
			{
                current_val=(parseFloat(current_val)+parseFloat(1)).toFixed(decimal_places);
                order_count.val(current_val);

				editCart(itemid,pid,current_val);//修改購物車金額
			
			} else {
			 order_count.val(paraB);
			
			}
			

			let SubTotal = 0;//小計金額
    		let count = parseFloat( order_count.val());
 			SubTotal = price * count;
            SPBsubPrice.html(FormatNumber((SubTotal).toFixed(decimal_places)));

			setSubsBtnStyle(subs_btn, order_count.val(), min);

			calcTotal();//總金額

		});

         $(".order_count").on("change", function () 
        {
            let decimal_places = $("#dp").val();
     
            let current_val =$(this).val();//當前數量

            if(isNaN(current_val))
            {

               $(this).val(0);

            }else{
                  current_val=(parseFloat(current_val)).toFixed(decimal_places);

                  $(this).val(current_val);

            }

        });



		//[減少]按鈕
		$(".subs_btn").on("click", function () 
		{
            let decimal_places = $("#dp").val();

			let self = $(this);
			let block = self.parent().parent().parent().parent();
			let counterBlock = block.find('.prodCounter');//計數器區塊
			let order_count = counterBlock.find('.order_count');//數量
			let price =  parseFloat(block.data('price'));//價格
 			let SPBsubPrice = block.find('.SPBsubPrice');//小計
 			let itemid =  parseFloat(block.data('itemid'));//第幾個Cookie
 			let pid =  parseFloat(block.data('pid'));//產品ID
			
			let current_val = order_count.val();//當前數量
            let dp_total=current_val.lastIndexOf('.');//小數點出現在第幾位數
            

			if (!isNaN(current_val)) 
			{
				if (current_val <= paraB || current_val <1) 
                {
                    setSubsBtnStyle(self, current_val, paraB);
                }else{
                    current_val=(parseFloat(current_val)-parseFloat(1)).toFixed(decimal_places);
                    order_count.val(current_val);
                }    

				editCart(itemid,pid,current_val);//修改購物車金額

			} else {
				order_count.val(paraB);
				setSubsBtnStyle(self, order_count.val(), paraB);
			}


			

			let SubTotal = 0;//小計金額
    		let count = parseFloat( order_count.val());
 			SubTotal = price * count;
            SPBsubPrice.html(FormatNumber((SubTotal).toFixed(decimal_places)));

			setSubsBtnStyle(self, order_count.val(), min);

            calcTotal();//總金額

		});

		



		//設定[減少]數量的按鈕的over樣式
		//btn:減少數量的按鈕
		//count:數量
		//min:最小值
		function setSubsBtnStyle(btn, count, min) 
		{
			if (count > min) 
			{
			btn.removeClass('Over');
			} else {
			btn.addClass('Over');
			}
		}


		//顯示訊息
		function showMessage(message) 
		{
			let block = $('#error_popup');
			let textblock = block.find('.SendCompleteTxt');
			textblock.text(message);
			block.fadeIn();
		}

        calcTotal() ;

	});




</script>

<script>

//修改購物車金額
function editCart(itemid,pid,count) 
{

   let result = {};
   result.itemid = itemid;
   result.items = [];

   let prodObj = {};
   prodObj.pid = pid;//PID
   prodObj.count = count;//數量

   result.items.push(prodObj);  
   console.log(JSON.stringify(result));


    $.ajax({
          url: 'API/API_editCart.php',
          data: JSON.stringify(result),
          contentType: 'application/json',
          processData: false,
          xhrFields: {
            withCredentials: true,
          },
          method: 'POST',
    }).then(
          function (data, textStatus, jqXHR) {
            //
            console.log(data);

            if (data.Status == 'Success') {
              //showSuccessMessage('儲存完成');
              // block.find('.SPItemEditBk').slideToggle();
            } else {
              console.log('Save Error Msg:' + data.Desc);

              showErrorMessage(data.Desc);
            }
          },
          function (jqXHR, textStatus, errorThrown) {
            console.log(textStatus);
            showErrorMessage('儲存失敗。');
          }
     );


}
</script>	



<script>

  //移除產品
  $('.RemoveBtn').click(function () 
  {

  	let itemid = $(this).data('itemid');//第幾個Cookie

  	let result = {
      itemid: itemid,
    };

  	 $.ajax({
      url: 'API/API_DelCartPurchaseVen_cookie.php',
      data: JSON.stringify(result),
      contentType: 'application/json',
      processData: false,
      xhrFields: {
        withCredentials: true,
      },
      method: 'POST',
    }).then(
      function (data, textStatus, jqXHR) {
        //
        console.log(data);

        if (data.Status == 'Success') {
          //成功加入購物車跳出
         
           //alert("刪除成功");
           location.reload();
        } else {
          console.log('Prodinfo Error Msg:' + data.Desc);
		  
		  //alert("刪除失敗");
		  location.reload();
         
        }
      },
      function (jqXHR, textStatus, errorThrown) {
        console.log(textStatus);
        //alert("刪除失敗!");
      }
    );
  
    
  });
</script>	
<script language="JavaScript">
//[增加]千分位
  function FormatNumber(n) 
  {
    n += "";
    let arr = n.split(".");
    let re = /(\d{1,3})(?=(\d{3})+$)/g;
    return arr[0].replace(re, "$1,") + (arr.length == 2 ? "." + arr[1] : "");
  }
</script>

<script language="JavaScript">
function chk(types)
{
    var flag="0";


	

	if (flag=="1")
	{
		return false; 
	}else{ 

		if(types=="1")
		{
			document.myForm.action.value='add';
		}

		document.myForm.submit();

		return false;
    }
}
</script>	