<?php
ini_set('session.gc_maxlifetime', 3600);
session_start();
ob_start();
include_once("manasystem/Library/Library.php");
include_once("manasystem/Library/db_fuction.php");
include_once("manasystem/Library/tool.php");
include_once("manasystem/Library/Now_date.php");
include_once("manasystem/Library/httpPost.php");
include_once("manasystem/Library/P_OrderNumebr.php");
include_once("manasystem/Library/F_DateFunction.php");
include_once("manasystem/Library/LineNotify/F_LineNotify.php");
include_once("manasystem/Library/F_ERP/F_BASSET.php");
include_once("manasystem/Library/SendEmail.php");
include_once("manasystem/Library/F_ERP/F_CustAction.php");

?>
<?php
    //本頁參數設定
    $MenuNum = 0; //0:首頁, 1:品牌介紹, 2:最新消息, 3:體驗活動, 4:預約活動, 5:線上購物, 6:會員專區
    $TopPageName = ""; //上一階層(列表類的頁面使用，若無則免填)
    $TopPageUrl = ""; //上一階層連結檔名(列表類的頁面使用，若無則免填)
    $pageName = "購物車"; //本頁名稱
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" name="viewport">
<?php include("WUC_parm.php"); //共用檔 ?>
<?php


//Cookie變數======================================= 
$expires =time() - 3600 ; //目前的 timestamp + 秒數(time() + 86400)
$path = "/"; //根目錄，整個網站都能使用，預設會是網頁當下的目錄
$domain = ""; //目前的 domain，只可設定為子網域，不可設定成其他網域
$secure = false;//
$httpOnly = true; //無法使用 Javascript 取得 Cookie，防止有心人士釣魚取得
//Cookie變數======================================= 


//須變更的參數=======================================
 $lang_st=1;//
 $BuyTeamPlatform="ERP";//平台
 $type="1";//登入狀態 1:未登入 2:已登入

 $MetaInfoLang_Version=$lang_st;//[Meta內容]版本
 $MetaInfoLang_upload_dir_1="manasystem/FileData/MetaInfoLang/";//[Meta內容][檔案路徑]
 

 $ProdLang_Version=$lang_st;//[產品資訊]語系
 $ProdInfo_upload_dir_1 = "manasystem/FileData/ProdInfo/"; //[產品資訊][檔案路徑]
 $ProdInfo_DF = "images/Imgdf/img_ready.jpg"; //[產品資訊-預設][檔案路徑]
//須變更的參數=======================================

//表單變數=======================================    
  $Form_url_st="";//
  $showBox_Flag=2;//是否開啟訊息框 1:開啟 2:不開啟
  $showBox_Msg="";//錯誤訊息
  $showBox_Link="";//錯誤的連結資訊

  $Meta_title="";//標題名稱
  $Meta_description="";//描述
  $Meta_site_name="小商店B2B";//網站名稱
  $Meta_image="";//圖片

  $Msg_St="";//訊息內容
  $Link_St="";//[連結資訊]

  $Lit_ProdItme=""; //[購物車]品項

  $Lit_CartPrice="0"; //購物總金額

  $Lit_ProdItemTotal="0";//產品項目
  $Lit_ProdTotal="0";//產品數量

  $FreightTermTitle="";//運費條件說明
  $FreightLimit="0";//運費限制
  $FreightTerm_Price="0";//運費金額

  $CTM003="";//客戶名稱
  $CTM001="";//客戶簡稱
  $CTM028_st="";//Notify ID
  $sendDaysArr; //不出貨日(星期)

  $SALCTM_CustomPay="";
  $CTM904="";

  $COD1706='';
  $DeliverDay=""; //單身預交日期
  //week===================================
      $ship_mon = "2";
      $ship_tue = "2";
      $ship_wed = "2";
      $ship_thu = "2";
      $ship_fri = "2";
      $ship_sat = "2";
      $ship_sun = "2";
  //week===================================

//表單變數=======================================    

$tool = new tool();


//呼叫函數=======================================
  Load_BASSET();
  $CTM001=$_GET['SN'];
  Load_SALCTM($CTM001);  
  $Lit_SALADR=load_SALADR();
  load_NoteTips();
  $COD1706=load_CustShip($CTM001);//載入預計出貨日
  if(isset($_SESSION["bf_SALCTM_Mid"]))
  {
      if($_SESSION["bf_SALCTM_Mid"]=='Salesmaninfo'){
          Load_SaleAction($_SESSION["bf_AccountId"]);
      }else{
          Load_CustAction($_GET['SN']);
      }
  }

 

  $Form_url_st = $Form_url_st."?SN=".$_GET['SN'];
  Load_MetaInfo();//載入[Meta內容]
  if(isset($_SESSION["bf_loginView"]))
  {
    
    if ($_SESSION["bf_loginView"]==='True')//三個[=]的功能:比較兩者是否相等 (包含資料型態)
    {
      
    }else{
         $showBox_Flag=1;//是否開啟訊息框 1:開啟 2:不開啟
        $showBox_Msg="請先登入在進行結單";//錯誤訊息
        $showBox_Link="https://access.line.me/oauth2/v2.1/authorize?response_type=code&client_id=".$LineLogin_ChannelId_B2B."&redirect_uri=".$LineLogin_redirect_uri_B2B."&state=shopcart&bot_prompt=normal&scope=profile%20openid%20email";//錯誤的連結資訊

     
    }

  }else{
     $showBox_Flag=1;//是否開啟訊息框 1:開啟 2:不開啟
     $showBox_Msg="請先登入在進行結單";//錯誤訊息
     $showBox_Link="https://access.line.me/oauth2/v2.1/authorize?response_type=code&client_id=".$LineLogin_ChannelId_B2B."&redirect_uri=".$LineLogin_redirect_uri_B2B."&state=shopcart&bot_prompt=normal&scope=profile%20openid%20email";//Linr登入連結";//錯誤的連結資訊
  }

  if(isset($_SESSION["bf_loginView"]))
  {
        if ($_SESSION["bf_loginView"]==='True')
        {
            //已經登入
            $type="2";//登入狀態 1:未登入 2:已登入    
        }
  }

    $type_st="";
    if(isset($_GET['type'])){
        if($_GET['type']!=""){
            $type_st= $_GET['type'];
        }
    }

  if($type=="2")
  {

           if(isset($_POST['action'])  )
           {
              if( addslashes($_POST['action'])=='add' ) //執行新增動作
              {
                if(isset($_GET['SN']))
                {
                    $Msg="";
                    $Msg=CK_ProdStock();//檢核庫存
                    if($Msg<>'' && $WEB02_SET005=='T' )
                    {
                        $showBox_Flag=1;//是否開啟訊息框 1:開啟 2:不開啟
                        $showBox_Msg="[".$Msg."]庫存不足";//錯誤訊息
                        $showBox_Link="shopCartB2B.php?SN=".$_GET['SN'];//錯誤的連結資訊
                     }else{
                        clear_CustShip(); //新增[預計出貨日]
                        Insert_CustShip(); //新增[預計出貨日]
                        Insert_OrderInfo();//新增[訂單]
                    }
                }else{
                    $showBox_Flag=1;//是否開啟訊息框 1:開啟 2:不開啟
                    $showBox_Msg="[登入錯誤，請重新操作一次]";//錯誤訊息
                    $showBox_Link="shopCartB2B.php?SN=".$_GET['SN'];//錯誤的連結資訊
                }


              }
           }


        
            if (RepeatStatus_CartShop()>0) 
            {
               $Lit_ProdItme = Call_ProdInfo(); //[購物車]品項
               DB_CustShip(); //載入[預計出貨日]
               Load_FreightInfo();//載入[運費]
            } else {
                 $showBox_Flag=1;//是否開啟訊息框 1:開啟 2:不開啟
                 $showBox_Msg="購物車無相關資料";//錯誤訊息
                 if($type_st=='list'){
                    $showBox_Link="menu_list.php?SN=".$_GET['SN']."&type=list";//錯誤的連結資訊
                 }else{
                    $showBox_Link="menu.php?SN=".$_GET['SN'];//錯誤的連結資訊
                 }
                 
            }

        
  }



  
//呼叫函數=======================================


?>
<?php

//===============================================
//[檢核購物車]
//===============================================
function RepeatStatus_CartShop()
{
    //參數======================================= 
    global $CTM001;//客戶
    //參數=======================================  
    $CartShop_Aid=$_SESSION["bf_SALCTM_id"];
    $tool=new tool();

    $d1_sql="";
    $d1_sql=$d1_sql."select count(*) as total from CartShop  ";
    $d1_sql=$d1_sql." where  ";
    $d1_sql=$d1_sql."     CartShop_Aid ='$CartShop_Aid' ";
    $d1_sql=$d1_sql." and CartShop_Cid ='$CTM001' ";
    $d1_sql=$d1_sql." and CartShop_Cate ='B2B' ";

    $d1_count=0;
    global $_DB;//注意這行
    $db1=new DB();
    $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db1->query($d1_sql);
    while ($result = $db1->fetch_array())
    {
       $d1_count=$result["total"];  
    }
    $db1->close_Mysql();


    return $d1_count;
}

//===============================================
//[檢核庫存]
//===============================================
function  CK_ProdStock()
{
    global $CTM001;//客戶

    $CartShop_Aid=$_SESSION["bf_SALCTM_id"];
    $Msg="";

    $d1_sql_st="";
    $d1_sql_st=$d1_sql_st."select * from CartShop ";
    $d1_sql_st=$d1_sql_st." where ";
    $d1_sql_st=$d1_sql_st."          CartShop_Aid='$CartShop_Aid'";
    $d1_sql_st=$d1_sql_st."      and CartShop_Cid='$CTM001'";
    $d1_sql_st=$d1_sql_st."      and CartShop_Cate ='B2B' ";
    $total=0;
    global $_DB;//注意這行
    $db1=new DB();
    $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db1->query($d1_sql_st);
    while ($result = $db1->fetch_array())
    {

        $Stock=Load_INVXUT($result['CartShop_Pid'],$result['CartShop_Stock'],$result['CartShop_Fid']); 
        $ProdStock=Load_ProdStock($result['CartShop_Pid'],$Stock);
        if($ProdStock>0)
        {
          
        }else{
           $Msg=$Msg.Load_ProdInfo($result['CartShop_Pid'],1)."、"; 
        }
    }
    $db1->close_Mysql();

  

    if($Msg<>"")
    {
      $Msg=mb_substr( $Msg,0,mb_strlen($Msg, "utf-8")-1,"utf-8");
    }

   return $Msg;

}


//===============================================
//判斷產品庫存是否有庫存
//$ProdInfo_Id:產品ID
//$ProdInfo_Stock:訂購數量
//===============================================
function  Load_ProdStock($ProdInfo_Id, $ProdInfo_Stock)
{
  
    $d1_sql_st="";
    $d1_sql_st=$d1_sql_st."select count(*) as total from ProdInfo ";
    $d1_sql_st=$d1_sql_st." where ";
    $d1_sql_st=$d1_sql_st."          ProdInfo_Id='$ProdInfo_Id'";
    $d1_sql_st=$d1_sql_st."      and (ProdInfo_Stock-ProdInfo_StockTmp)>='$ProdInfo_Stock' ";
    $total=0;
    global $_DB;//注意這行
    $db1=new DB();
    $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db1->query($d1_sql_st);
    while ($result = $db1->fetch_array())
    {
        $total=$result['total'];
    }
    $db1->close_Mysql();

    return $total;
  
}

//===============================================
//判斷產品庫存是否有庫存
//$ProdInfo_Id:產品ID
//$ProdInfo_Stock:訂購數量
//$Fid:單位
//===============================================
function  Load_INVXUT($ProdInfo_Id, $ProdInfo_Stock,$Fid)
{
  
    $d1_sql_st="";
    $d1_sql_st=$d1_sql_st." select *  from ProdInfo ";
    $d1_sql_st=$d1_sql_st." join INVXUT on XUT001=ProdInfo_Number ";
    $d1_sql_st=$d1_sql_st." where ";
    $d1_sql_st=$d1_sql_st."          ProdInfo_Id='$ProdInfo_Id'";
    $d1_sql_st=$d1_sql_st."      and XUT002='$Fid'";
    $d1_sql_st=$d1_sql_st." LIMIT 1 ";
  

    $d1_count=1;
    global $_DB;//注意這行
    $db1=new DB();
    $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db1->query($d1_sql_st);
    while ($result = $db1->fetch_array())
    {
        $d1_count=$result['XUT003'];

    }
    $db1->close_Mysql();
    $Stocknum=$d1_count*$ProdInfo_Stock;

    return $Stocknum;
  
}



//===============================================
//新增[訂單]
//===============================================
function  Insert_OrderInfo()
{
    //參數======================================= 
    global $showBox_Flag;//是否開啟訊息框 1:開啟 2:不開啟
    global $showBox_Msg;//錯誤訊息
    global $showBox_Link;//錯誤的連結資訊

    global $BuyTeamPlatform;//平台分類
    global $CartTeam_IsDliType;//是否限開放宅配 1:是(宅配給跟團者) 2:否(團主發貨)
    global $Credit_limit; //[信用卡-訂單繳費時間](單位:分鐘)

    global $TradeDesc;//交易描述
    global $ReturnURL; //[訂單]付款完成通知回傳網址
    global $ClientBackURL;//[訂單]返回的網址(會員專區)

    global $MemberInfo_Name;//姓名
    global $MemberInfo_iphone;//聯絡電話
    global $MemberInfo_Tel;//市話
    global $MemberInfo_TelExt;//市話分機
    global $MemberInfo_Email;//E-mail

    global $FreightTerm_Price;//運費金額

    global $SET005;//數量取位
    global $CUR008;//單身金額取位
    global $CUR009;//單尾金額取位
    global $CUR012;//稅額小數取位

    global $IsDepositB2B;//預存金功能開啟 1:不開啟 2:開啟

    global $WEB01_SET005;//容器下傳模式
    global $WEB01_SET702;//收單天數
    global $WEB07_SET005;//預計出貨日+天數
    global $DeliverDay; //單身預交日期

    //參數=======================================     

    $tool=new tool();
    $date1=new Now_date();

    $P_OrderNumebr=new P_OrderNumebr();
    $OrderInfo_SN=$P_OrderNumebr->Insert_OrderNumebr("WB",62802);//訂單編號

    $COD701=$_SESSION["bf_AccountId"];

    $COD001=$OrderInfo_SN ;//訂單編號
    $COD1001="";//團單編號
    $COD1002="1";//繳費狀態 1:待繳費 2:已繳費 3:未繳費(繳費逾期) 4:取消訂單 5:繳費異常
    $COD004= $_GET['SN'];//客戶編號

    $COD017= "0";//實際金額
    $COD074= "0";//運費


    $COD1003= $MemberInfo_Name;//訂購人-姓名----------
    $COD1004= $MemberInfo_Tel.$MemberInfo_TelExt;//訂購人-電話----------
    $COD1005= $MemberInfo_iphone;//訂購人-手機號碼----------
    $COD1006= $MemberInfo_Email;//訂購人-電子郵件----------
    $COD1007= "";//訂購人-郵遞區號----------
    $COD1008= "";//訂購人-城市----------
    $COD1009= "";//訂購人-行政區----------
    $COD1010= "";//訂購人-地址----------


    $COD045= addslashes($_POST['COD045']);//收件人-姓名

    $COD049= addslashes($_POST['COD049']);//收件人-手機號碼
     $COD069= addslashes($_POST['COD069']);//收件人-電話




    $d1_sql="";
    $d1_sql=$d1_sql." select * from SALCTM ";
    $d1_sql=$d1_sql." where ";
    $d1_sql=$d1_sql."        CTM001='$COD004' ";
    

    $ProdSub_Total=0;//小計
    global $_DB;
    $db1=new DB();
    $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db1->query($d1_sql);
    while($result1 = $db1->fetch_array())
    {     
        //$COD045= $result1["CTM003"];//收件人-姓名
        //$COD047= $result1["CTM016"];//收件人-電話
        //$COD049= $result1["CTM016"];//收件人-手機號碼
        $COD071= $result1["CTM027"];
        //$COD010= $result1["CTM026"];//郵遞區號
        $COD005= $result1["CTM028"];//業務ID
        
    }
    $db1->close_Mysql();

     
      $COD1011= "";//收件人-電子郵件

    
    $COD1012= addslashes($_POST['COD1012']);//收件人-城市
    $COD1013= addslashes($_POST['COD1013']);//收件人-行政區
    $COD010= addslashes($_POST['COD010']);//收件人-郵遞區號
    $COD011= addslashes($_POST['COD011']);//收件人-地址
    $COD1027="HOME";


     
     

      $COD1014= addslashes($_POST['Payment']);//付款方式 2:信用卡 3:匯款/ATM轉帳(串接金流) 5:LinePay 

     switch ($COD1014)//繳費方式 2:信用卡 4:ATM(無串金流)
      {
            case "2"://2:信用卡
                 $COD1016 = "'".Load_addminutes($date1->Now_st(),$Credit_limit)."'";//最後付款期限
            break;
                                        
            case "3"://3:匯款/ATM轉帳(串接金流)
                 $COD1016 = "'".Load_addminutes($date1->Now_st(),$Credit_limit)."'";//最後付款期限
            break;

            case "5"://5:LinePay
                $COD1016 = "'".Load_addminutes($date1->Now_st(),$Credit_limit)."'";//最後付款期限
            break;
                            
            default:
                $COD1016 ="null" ;//最後付款期限      
            break;
      }
      $COD901= $COD005;
      $COD902= $date1->Now_st();//建立日期
      $COD903= $COD005;//修改者 
      $COD904= $date1->Now_st();//修改日期
      $COD1021= "2";//是否團購  1:是 2:否
      $COD1022= addslashes($_POST['COD1022']);//
      $COD021= $COD001; //客戶單號
      $COD012= addslashes($_POST['COD1022']);//備註
      $COD1023= 'B2B';//平台分類
      $COD1024= "2";//[團單]是否開放宅配 1:是 2:否 
      $COD1032= "";//取貨時間


      $COD1015="0";//配送方式 0:預設 1:超商取貨  2:宅配 3:自取

      if(isset($_POST['pick'])) { //判斷是否自取
        $COD1015="3";
      }

   switch ($COD1015)
     {
        case "1"://1:超商取貨 
            $COD1033= "3";//配送方式  1:宅配 2:自取  3:超商取貨
        break;

        case "2":// 2:宅配 
         $COD1033= "1";//配送方式  1:宅配 2:自取  3:超商取貨
        break;


        case "3"://3:自取
         $COD1033= "2";//配送方式  1:宅配 2:自取  3:超商取貨
        break;
                            
        default:
             $COD1033= "";//配送方式  1:宅配 2:自取  3:超商取貨                     
        break;

      }


   $InvoiceCate=addslashes($_POST['Invoice']);//發票資料 1:個人發票 2:企業發票
     switch ($InvoiceCate)
     {
        case "1"://1:個人發票 
          $COD1034= "";//統編號碼
        $COD1042= "";//統編抬頭
        break;

        case "2"://2:企業發票]
           $COD1034= addslashes($_POST['COD1034']);//統編號碼
         $COD1042= addslashes($_POST['COD1042']);//統編抬頭
        break;
                            
        default:
                                
        break;

      }
      $COD003=date("Ymd");


      $COD1705='0';
      $COD055="";
      if(isset($_POST['pick'])){
        $COD1706=addslashes($_POST['SelfPick']);//預計自取日
        $COD055="自取";
        $DeliverDay=substr(addslashes(str_replace('-','',$_POST['SelfPick'])),0,8);// 單身預交日期

      }else{
        //訂貨日+天數
        $COD1706=addslashes($_POST['COD1706']);//預計出貨日
        $DeliverDay=substr(addslashes(str_replace('-','',$_POST['COD1706'])),0,8);// 單身預交日期

        //收單日期
        if($WEB07_SET005==0 && $WEB01_SET005=='1'){
         
          $COD1705='2';
        }
      }


      if($WEB07_SET005==0 && $WEB01_SET005=='1'){
        $COD1707=$date1->Now_st();//過期時間
      }else{
        $COD1707=load_COD1707($COD1706);//過期時間
      }

      $d1_sql="";
      $d1_sql = $d1_sql . "Insert into PURCOD ";
      $d1_sql = $d1_sql . " ( ";
      $d1_sql = $d1_sql . "   COD001, ";//訂單編號
      $d1_sql = $d1_sql . "   COD002, ";//性質
      $d1_sql = $d1_sql . "   COD003, ";//日期
      $d1_sql = $d1_sql . "   COD007, ";//幣別
      $d1_sql = $d1_sql . "   COD008, ";//匯率
      $d1_sql = $d1_sql . "   COD004, ";//客戶編號
      $d1_sql = $d1_sql . "   COD005, ";//業務ID
      $d1_sql = $d1_sql . "   COD010, ";//郵遞區號
      $d1_sql = $d1_sql . "   COD016, ";//營業稅率
      $d1_sql = $d1_sql . "   COD017, ";//實際金額(含運費)
      $d1_sql = $d1_sql . "   COD021, ";//客戶單號
      $d1_sql = $d1_sql . "   COD022, ";//  確認碼(T/F)
      $d1_sql = $d1_sql . "   COD026, ";//  訂單本幣金額
      $d1_sql = $d1_sql . "   COD033, ";//請款客戶編號
      $d1_sql = $d1_sql . "   COD037, ";//運費
      $d1_sql = $d1_sql . "   COD051, ";//發票聯式
      $d1_sql = $d1_sql . "   COD052, ";//課稅別
      $d1_sql = $d1_sql . "   COD054, ";//付款條件
      $d1_sql = $d1_sql . "   COD055, ";//運送方式
      $d1_sql = $d1_sql . "   COD065, ";//作廢(T/F)
      $d1_sql = $d1_sql . "   COD045, ";//訂購人-姓名
      $d1_sql = $d1_sql . "   COD047, ";//訂購人-電話
      $d1_sql = $d1_sql . "   COD068, ";//收件人-姓名
      $d1_sql = $d1_sql . "   COD069, ";//收件人-電話
      $d1_sql = $d1_sql . "   COD071, ";//收件人-地址
      $d1_sql = $d1_sql . "   COD074, ";//客戶負擔運費(T/F)
      $d1_sql = $d1_sql . "   COD049, ";//收件人-手機號碼
      $d1_sql = $d1_sql . "   COD070, ";//收件人-郵遞區號
      $d1_sql = $d1_sql . "   COD011, ";//收件人-地址
      $d1_sql = $d1_sql . "   COD701, ";//
      $d1_sql = $d1_sql . "   COD901, ";//建立者
      $d1_sql = $d1_sql . "   COD902, ";//建立日期
      $d1_sql = $d1_sql . "   COD903, ";//修改者
      $d1_sql = $d1_sql . "   COD1023, ";//平台分類
      $d1_sql = $d1_sql . "   COD012, ";//備註
      $d1_sql = $d1_sql . "   COD1022, ";//備註
      $d1_sql = $d1_sql . "   COD1007, ";//收件人-郵遞區號
      $d1_sql = $d1_sql . "   COD1012, ";//收件人-城市
      $d1_sql = $d1_sql . "   COD1013, ";//收件人-行政區
      $d1_sql = $d1_sql . "   COD1015, ";//物流方式
      $d1_sql = $d1_sql . "   COD1027, ";//
      $d1_sql = $d1_sql . "   COD1705, ";//
      $d1_sql = $d1_sql . "   COD1706, ";//
      $d1_sql = $d1_sql . "   COD1707 ";//
      $d1_sql = $d1_sql . " ) values ( ";
      $d1_sql = $d1_sql . "   '$COD001', ";//訂單編號
      $d1_sql = $d1_sql . "   'WEB', ";//性質
      $d1_sql = $d1_sql . "   '$COD003', ";//日期
      $d1_sql = $d1_sql . "   'TWD', ";//幣別
      $d1_sql = $d1_sql . "   '1', ";//匯率
      $d1_sql = $d1_sql . "   '$COD004', ";//客戶編號
      $d1_sql = $d1_sql . "   '$COD005', ";//業務ID
      $d1_sql = $d1_sql . "   '$COD010', ";//郵遞區號
      $d1_sql = $d1_sql . "   '0.0500', ";//營業稅率
      $d1_sql = $d1_sql . "   '$COD017', ";//實際金額(含運費)
      $d1_sql = $d1_sql . "   '$COD021', ";//客戶單號
      $d1_sql = $d1_sql . "   'T', ";//確認碼(T/F)
      $d1_sql = $d1_sql . "   '0', ";//訂單本幣金額
      $d1_sql = $d1_sql . "   '$COD004', ";//請款客戶編號
      $d1_sql = $d1_sql . "   '$COD074', ";//運費
      $d1_sql = $d1_sql . "   'F', ";//發票聯式
      $d1_sql = $d1_sql . "   'F', ";//課稅別
      $d1_sql = $d1_sql . "   '', ";//付款條件
      $d1_sql = $d1_sql . "   '$COD055', ";//運送方式
      $d1_sql = $d1_sql . "   'F', ";//作廢(T/F)
      $d1_sql = $d1_sql . "   '$COD045', ";//訂購人-姓名
      $d1_sql = $d1_sql . "   '$COD047', ";//訂購人-電話
      $d1_sql = $d1_sql . "   '$COD045', ";//收件人-姓名
      $d1_sql = $d1_sql . "   '$COD049', ";//收件人-電話
      $d1_sql = $d1_sql . "   '$COD011', ";//收件人-地址
      $d1_sql = $d1_sql . "   '0', ";//客戶負擔運費(T/F)
      $d1_sql = $d1_sql . "   '$COD049', ";//收件人-手機號碼
      $d1_sql = $d1_sql . "   '$COD010', ";//收件人-郵遞區號
      $d1_sql = $d1_sql . "   '$COD011', ";//收件人-地址
      $d1_sql = $d1_sql . "   '$COD701', ";//
      $d1_sql = $d1_sql . "   '$COD901', ";//建立者
      $d1_sql = $d1_sql . "   '$COD902', ";//建立日期
      $d1_sql = $d1_sql . "   '$COD903', ";//修改者
      $d1_sql = $d1_sql . "   '$COD1023', ";//平台分類
      $d1_sql = $d1_sql . "   '$COD012', ";//備註
      $d1_sql = $d1_sql . "   '$COD1022', ";//備註
      $d1_sql = $d1_sql . "   '$COD010', ";//收件人-郵遞區號
      $d1_sql = $d1_sql . "   '$COD1012', ";//收件人-城市
      $d1_sql = $d1_sql . "   '$COD1013', ";//收件人-行政區
      $d1_sql = $d1_sql . "   '$COD1015', ";//物流方式
      $d1_sql = $d1_sql . "   '$COD1027', ";//
      $d1_sql = $d1_sql . "   '$COD1705', ";//
      $d1_sql = $d1_sql . "   '$COD1706', ";//
      $d1_sql = $d1_sql . "   '$COD1707' ";//
      $d1_sql = $d1_sql . " ) ";
      
      
      $d1_status=0;
      global $_DB;//注意這行
      $db1=new DB();
      $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
      $d1_status=$db1->query($d1_sql);
      $d1_status=$db1->get_insert_id();//取得主鍵編號
      $db1->close_Mysql();
      if ($d1_status>0)
      {
          Insert_OrderDetail($json_obj,$d1_status, $COD001,$COD005); //新增[訂單資訊-明細]
          if(addslashes($_POST['memberchk'])=='T'){
            if(addslashes($_POST['SALADR'])>0){
                update_SALADR();
            }else{
                Insert_SALADR();
            }
          }
         
          $OrderM_Price=0;//訂單金額
          $OrderM_Price=Update_OrderPrice($COD001);//更新[訂單金額]

          $Price=Update_PURCOD_TaxPrice($COD001);

         
          if($IsDepositB2B=="2"){
            Insert_CustStored_EX($COD001,$Price);//更新預存金
          }

         
          
          clear_Cookie(); //[清除COOKie]-----yulin
          

          $Parm_st="";
          $Parm_st=$Parm_st."&SN=".$COD001;//訂單編號

          //post_platform_prod($COD001);
          //post_WinOwin_prod($COD001);//訂單不立即回傳，改排成檢查結單時間
          post_platform_prod_ADR($ADR001);

          //notify發送訊息-----------------------------------------------------
          send_Notify_Msg($COD001,$d1_status,$COD004);

          //傳送過久先註解
          //DB_Email_Server($COD001,$d1_status,$COD004);
          //notify發送訊息-----------------------------------------------------

          $tool->HtmEnd("", 2, "shopCart_CompleteNOPay.php?SN=".$COD001);


      }else{
          //訂單新增失敗
         $showBox_Flag=1;//是否開啟訊息框 1:開啟 2:不開啟
         $showBox_Msg="訂單新增失敗";//錯誤訊息
         $showBox_Link="index.php";//錯誤的連結資訊
      }

}




//===============================================
//傳送平台資料
//===============================================
 function post_platform_prod($COD001)
{
    global $Domain_st;//網域


    $tool=new tool();
    $date1=new Now_date();
    $ADR_API_UpdateTime=$date1->Now_st();
    $json_obj="{}";
    $cur_url = $Domain_st."/cloud-API/tk_platform_PURCOD.php?action=post&COD001=".$COD001; //API位置

    $header = array("Content-Type: application/json; charset=utf-8","Authorization:Bearer ");
    $http_Method = "POST"; //HTTP Method
    $http_code = 200; //HTTP header的狀態碼
    $str = get_RemoteDataHttpStatus($cur_url, $header, $json_obj, $http_Method, $http_code);
    $TEAT="";
    

}

//===============================================
//傳送平台資料
//===============================================
 function post_WinOwin_prod($COD001)
{
    global $Domain_st;//網域


    $tool=new tool();
    $date1=new Now_date();
    $ADR_API_UpdateTime=$date1->Now_st();
    $json_obj="{}";
    $cur_url = $Domain_st."/cloud-API/tk_WinOwin_PURCOD.php?action=post&COD001=".$COD001; //API位置

    $header = array("Content-Type: application/json; charset=utf-8","Authorization:Bearer ");
    $http_Method = "POST"; //HTTP Method
    $http_code = 200; //HTTP header的狀態碼
    $str = get_RemoteDataHttpStatus($cur_url, $header, $json_obj, $http_Method, $http_code);
    $TEAT="";
    

}
//===============================================
//傳送平台資料(常用地址)
//===============================================
 function post_platform_prod_ADR($ADR001)
{
    global $Domain_st;//網域


    $tool=new tool();
    $date1=new Now_date();
    $ADR_API_UpdateTime=$date1->Now_st();
    $json_obj="{}";
    $cur_url = $Domain_st."/cloud-API/tk_platform_SALADR.php?action=post&ADR001=".$ADR001; //API位置

    $header = array("Content-Type: application/json; charset=utf-8","Authorization:Bearer ");
    $http_Method = "POST"; //HTTP Method
    $http_code = 200; //HTTP header的狀態碼
    $str = get_RemoteDataHttpStatus($cur_url, $header, $json_obj, $http_Method, $http_code);
    $TEAT="";
    

}

//===============================================
//[清除COOKie]
//===============================================
function clear_Cookie()
{

    //Cookie變數======================================= 
    global $expires; //目前的 timestamp + 秒數(time() + 86400)
    global $path; //根目錄，整個網站都能使用，預設會是網頁當下的目錄
    global $domain; //目前的 domain，只可設定為子網域，不可設定成其他網域
    global $secure; //
    global $httpOnly; //無法使用 Javascript 取得 Cookie，防止有心人士釣魚取得

    global $FeedCateM_Total; //[加料類別]筆數
    global $CTM001;//客戶
    //Cookie變數======================================= 

    if (isset($_COOKIE['counter'])) 
    {

          setcookie("counter", "",  $expires, $path, $domain, $secure, $httpOnly); //數量
          setcookie("isExist","", $expires, $path, $domain, $secure, $httpOnly);//是否清除的視窗
    }

    $CartShop_Aid=$_SESSION["bf_SALCTM_id"];

    $d1_sql="";
    $d1_sql=$d1_sql."delete from CartShop ";
    $d1_sql=$d1_sql." where ";
    $d1_sql=$d1_sql."     CartShop_Aid='$CartShop_Aid' ";
    $d1_sql=$d1_sql." and CartShop_Cid='$CTM001' "; 
    $d1_sql=$d1_sql." and CartShop_Cate='B2B' ";

    global $_DB;//注意這行
    $db1=new DB();
    $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db1->query($d1_sql);
    $db1->close_Mysql();


}
//===============================================
//更新[訂單金額]
//$$COE001:訂單編號
//===============================================
function Update_OrderPrice($COE001)
{
          

       $d1_sql="";
       $d1_sql=$d1_sql." select * from PURCOE ";
       $d1_sql=$d1_sql." where ";
       $d1_sql=$d1_sql."        COE001='$COE001' ";


       $ProdSub_Total=0;//小計
       global $_DB;
       $db1=new DB();
       $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
       $db1->query($d1_sql);
       while($result1 = $db1->fetch_array())
       {     
          $ProdSub_Total=  $ProdSub_Total+$result1["COE010"]; 
       }
       $db1->close_Mysql();

       $COD017=0;//訂單金額
       $COD017=$ProdSub_Total;
       $COD018 = $COD017*0.05;
       $COD001=$COE001;//訂單編號
       $COD056 = $COD017 - $COD018 ;
       $d2_sql="";
       $d2_sql=$d2_sql." Update PURCOD   ";
       $d2_sql=$d2_sql."   set  ";
       $d2_sql=$d2_sql."      COD017='$COD017', ";
       $d2_sql=$d2_sql."      COD019='$COD017', ";
       $d2_sql=$d2_sql."      COD020='$COD018', ";
       $d2_sql=$d2_sql."      COD056='$COD056', ";
       $d2_sql=$d2_sql."      COD057='$COD056', ";
       $d2_sql=$d2_sql."      COD018='$COD018'  ";
       $d2_sql=$d2_sql." where ";
       $d2_sql=$d2_sql."        COD001='$COD001' ";


       $d2_status = 0;
       global $_DB; //注意這行
       $db2 = new DB();
       $db2->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
       $d2_status = $db2->query($d2_sql);
       $db2->close_Mysql();

       return $COD017;

}
//===============================================
//產生 guidkey
//===============================================
function guid(){
    if (function_exists('com_create_guid')){
        return com_create_guid();
    }else{
        mt_srand((double)microtime()*10000);//optional for php 4.2.0 and up.
        $charid = strtoupper(md5(uniqid(rand(), true)));
        $hyphen = chr(45);// "-"
        $uuid = chr(123)// "{"
            .substr($charid, 0, 8).$hyphen
            .substr($charid, 8, 4).$hyphen
            .substr($charid,12, 4).$hyphen
            .substr($charid,16, 4).$hyphen
            .substr($charid,20,12)
            .chr(125);// "}"
        return $uuid;
    }
}
//===============================================
//新增[訂單資訊-明細]
//$json_obj:json格式資料
//$COE1001:訂單ID
//$COE001:訂單編號
//===============================================
function  Insert_OrderDetail($json_obj,$COE1001, $COE001,$COD005)
{
   //參數=======================================     
    global $FreightTerm_Price;//運費金額
    global $CTM001;
    global $DeliverDay;
   //參數=======================================    


        $tool = new tool();
        $date1 = new Now_date();

        $Price_Total=0;//訂單產品總額



        $counter = $_COOKIE['counter'];//購物車[品項數項]
        $Lit_ProdItemTotal=$counter;//產品項目


        $CartShop_Aid=$_SESSION["bf_SALCTM_id"];
        $d1_sql_st="";
        $d1_sql_st=$d1_sql_st." select *  from CartShop ";
        $d1_sql_st=$d1_sql_st."   left join ProdInfo ";
        $d1_sql_st=$d1_sql_st."    on  ProdInfo.ProdInfo_Id = CartShop.CartShop_Pid ";
        $d1_sql_st=$d1_sql_st." where ";
        $d1_sql_st=$d1_sql_st."          CartShop_Aid='$CartShop_Aid'";
        $d1_sql_st=$d1_sql_st."      and CartShop_Cid='$CTM001'";
        $d1_sql_st=$d1_sql_st."      and CartShop_Cate='B2B'";
        $d1_sql_st=$d1_sql_st."      order by  ProdInfo_Mid asc,CartShop_Pid asc";
        $d1_count=0;
        $COE002=0;
        global $_DB;//注意這行
        $db1=new DB();
        $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
        $db1->query($d1_sql_st);
        while ($result = $db1->fetch_array())
        {
            $d1_count=$d1_count+1;
            $prodId="";//產品ID
            $prodStock="";//訂購數量
            $prodFid="";//單位

            $ProdInfo_Id=$result['CartShop_Pid'];//產品ID
            $prodStock=$result['CartShop_Stock'];//訂購數量
            $prodFid=$result['CartShop_Fid'];//單位
            $prodNote=$result['CartShop_Note'];   //備註


            $COE1002 = "1"; //類別 1:產品 
            $COE1001 = $COE1001; //訂單-主表ID
            $COE001 = $COE001; //訂單編號
            $PURCOE_Pid = $ProdInfo_Id; //產品ID
            $COE002 =$COE002+1;
            $number=dispRepair($COE002,3,'0');

            $COE003 = Load_ProdInfo($ProdInfo_Id, 4); //產品編號
            $COE004 =addslashes(Load_ProdInfo($ProdInfo_Id, 1)); //商品名稱
            $COE005 =$prodFid; //交易單位
            $COE006 = $prodStock; //數量   
            //$COE009 = Load_ProdInfo($ProdInfo_Id, 3); //單價價格
            $COE009=Load_ProdPrice($ProdInfo_Id,$prodFid);
            $COE010 = ($COE006 * $COE009); //總價格 
            // $COE013 = date("Ymd"); 
            $COE013 = $DeliverDay;
            $COE027 = $prodNote;
            $Price_Total=$Price_Total+$COE010;//訂單產品總額
            $COE901 = $COD005;
            $COE902 = $date1->Now_st();
            $COE903 = $COD005;
            $COE904 = $date1->Now_st();
            $COE999 = guid();

            $COE021 = $COE009*0.05;
            $COE034 = $COE009-$COE021;




            $d2_sql = "";
            $d2_sql = $d2_sql . "Insert into PURCOE ";
            $d2_sql = $d2_sql . " ( ";
            $d2_sql = $d2_sql . "    COE001, ";
            $d2_sql = $d2_sql . "    COE002, ";
            $d2_sql = $d2_sql . "    COE003, ";
            $d2_sql = $d2_sql . "    COE004, ";
            $d2_sql = $d2_sql . "    COE005, ";
            $d2_sql = $d2_sql . "    COE006, ";
            $d2_sql = $d2_sql . "    COE007, ";
            $d2_sql = $d2_sql . "    COE009, ";
            $d2_sql = $d2_sql . "    COE011, ";
            $d2_sql = $d2_sql . "    COE012, ";
            $d2_sql = $d2_sql . "    COE013, ";
            $d2_sql = $d2_sql . "    COE014, ";
            $d2_sql = $d2_sql . "    COE015, ";
            $d2_sql = $d2_sql . "    COE020, ";
            $d2_sql = $d2_sql . "    COE021, ";
            $d2_sql = $d2_sql . "    COE022, ";
            $d2_sql = $d2_sql . "    COE027, ";
            $d2_sql = $d2_sql . "    COE033, ";
            $d2_sql = $d2_sql . "    COE034, ";
            $d2_sql = $d2_sql . "    COE035, ";
            $d2_sql = $d2_sql . "    COE901, ";
            $d2_sql = $d2_sql . "    COE902, ";
            $d2_sql = $d2_sql . "    COE903, ";
            $d2_sql = $d2_sql . "    COE904, ";
            $d2_sql = $d2_sql . "    COE999, ";
            $d2_sql = $d2_sql . "    COE010 ";
            $d2_sql = $d2_sql . " ) values ( ";
            $d2_sql = $d2_sql . "    '$COE001', ";//訂單主表的單號
            $d2_sql = $d2_sql . "    '$number', ";//序號
            $d2_sql = $d2_sql . "    '$COE003', ";//品號
            $d2_sql = $d2_sql . "    '$COE004', ";//品名
            $d2_sql = $d2_sql . "    '$COE005', ";//單位
            $d2_sql = $d2_sql . "    '$COE006', ";//數量
            $d2_sql = $d2_sql . "    '$COE009', ";//定價
            $d2_sql = $d2_sql . "    '$COE009', ";//單價
            $d2_sql = $d2_sql . "    '$COE009', ";//本幣金額
            $d2_sql = $d2_sql . "    '', ";//贈品
            $d2_sql = $d2_sql . "    '$COE013', ";//預交日期----
            $d2_sql = $d2_sql . "    '0', ";//已交量---必填
            $d2_sql = $d2_sql . "    'N', ";//結案碼---必填
            $d2_sql = $d2_sql . "    '0.0500', ";//稅率
            $d2_sql = $d2_sql . "    '$COE021', ";//原幣稅額
            $d2_sql = $d2_sql . "    '$COE021', ";//本幣稅額
            $d2_sql = $d2_sql . "    '$COE027', ";//備註
            $d2_sql = $d2_sql . "    '', ";//客戶商品描述
            $d2_sql = $d2_sql . "    '$COE034', ";//未稅金額
            $d2_sql = $d2_sql . "    '$COE034', ";//本幣未稅金額
            $d2_sql = $d2_sql . "    '$COE901', ";
            $d2_sql = $d2_sql . "    '$COE902', ";
            $d2_sql = $d2_sql . "    '$COE903', ";
            $d2_sql = $d2_sql . "    '$COE904', ";
            $d2_sql = $d2_sql . "    '$COE999', ";//單身隱藏KEY (GUID)
            $d2_sql = $d2_sql . "    '$COE010' ";//總金額
            $d2_sql = $d2_sql . " ) ";

            $d2_status = 0;
            global $_DB; //注意這行
            $db2 = new DB();
            $db2->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
            $d2_status = $db2->query($d2_sql);
            $d2_status = $db2->get_insert_id(); //取得主鍵編號
            $db2->close_Mysql();

            Update_ProdInfo_StockTmp($ProdInfo_Id,$COE006);//更新[產品暫存的庫存]

        }
        $db1->close_Mysql();

        $Lit_ProdItemTotal=$d1_count;//產品項目
}


//=================================================================
//訂單序號補0
//$sourceNumber:序號
//=================================================================
function dispRepair($str,$len,$msg,$type='1') 
{
  $length = $len - strlen($str);
  if($length<1)return $str;
  if ($type == 1) {
    $str = str_repeat($msg,$length).$str;
  } else {
    $str .= str_repeat($msg,$length);
  }
  return $str;
}


//===============================================
//更新[產品暫存的庫存]
//$ProdInfo_Id:產品ID
//$ProdInfo_StockTmp:暫存庫存量
//===============================================
function Update_ProdInfo_StockTmp($ProdInfo_Id,$ProdInfo_StockTmp)
{
  
      $d1_sql="";
      $d1_sql=$d1_sql."Update ProdInfo ";
      $d1_sql=$d1_sql." set ";
      $d1_sql=$d1_sql."     ProdInfo_StockTmp=ProdInfo_StockTmp+'$ProdInfo_StockTmp' ";
      $d1_sql=$d1_sql." where ";
      $d1_sql=$d1_sql."   ProdInfo_Id='$ProdInfo_Id' ";
    
      global $_DB;//注意這行
      $db1=new DB();
      $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
      $db1->query($d1_sql);
      $db1->close_Mysql();
     
}

//===============================================
//呼叫[產品資訊]
//===============================================
function  Call_ProdInfo()
{
    //參數==============================================
     global $FeedItem_Version;//[副餐品項]
     global $FeedItem_upload_dir_1; //[副餐品項][檔案路徑]

     global $Lit_CartPrice; //購物總金額
     global $Lit_ProdItemTotal;//產品項目
     global $Lit_ProdTotal;//產品數量

     global $IsPriceB2B;//[B2B]顯示價格 1:不顯示 2:顯示
     global $SET005; // 小數取位

     global $WEB02_SET005; //庫存量不足限制 

     global $CTM001;//客戶
     global $SET005;//數量取位 　　(商品)
    global $CUR008;//單身金額取位 (銷貨 -訂單)
    global $CUR009;//單尾金額取位 (銷貨)

    global $CUR012;//稅額小數取位

    //參數==============================================

    $Item_st = "";

    $CartShop_Aid=$_SESSION["bf_SALCTM_id"];
    $d1_sql_st="";
    $d1_sql_st=$d1_sql_st." select *  from CartShop ";
    $d1_sql_st=$d1_sql_st."   left join ProdInfo ";
    $d1_sql_st=$d1_sql_st."    on  ProdInfo.ProdInfo_Id = CartShop.CartShop_Pid ";
    $d1_sql_st=$d1_sql_st." where ";
    $d1_sql_st=$d1_sql_st."          CartShop_Aid='$CartShop_Aid'";
    $d1_sql_st=$d1_sql_st."      and CartShop_Cid='$CTM001'";
    $d1_sql_st=$d1_sql_st."      and CartShop_Cate='B2B'";
    $d1_sql_st=$d1_sql_st."      order by  ProdInfo_Mid asc,CartShop_Pid asc";
    $d1_count=0;
    global $_DB;//注意這行
    $db1=new DB();
    $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db1->query($d1_sql_st);
    while ($result = $db1->fetch_array())
    {
        $d1_count=$d1_count+1;
        $prodId="";//產品ID
        $prodStock="";//訂購數量
        $prodFid="";//單位
        $prodNote="";//備註
        $XUT003="";//單位量

        $prodId=$result['CartShop_Pid'];//產品ID
        $prodStock=$result['CartShop_Stock'];//訂購數量
        $prodFid=$result['CartShop_Fid'];//單位
        $prodNote=$result['CartShop_Note']; //備註
     
        $ProdPrice=Load_ProdPrice($prodId,$prodFid);//單價

        $ProdPrice_Total=0;//產品金額
        $ProdPrice_Total=$ProdPrice;//產品金額
      


        $maxcount=0;//套餐最大數量
        $maxcount=Load_ProdInfo($prodId, 5)-Load_ProdInfo($prodId, 6);// 庫存 - 暫存庫存量
        if($maxcount<0)
        {
           $maxcount=0;//套餐最大數量
        }

        if(Load_ProdInfo($prodId, 11) <> ""){
          $mincount = rtrim(rtrim(Load_ProdInfo($prodId, 11), '0'), '.'); //最小訂購量 去除小數點後多餘0
        }else{
          $mincount=0;
        }


        $ProdImg=Load_ProdInfo($prodId, 7);//產品封面圖
        $ProdTitle=Load_ProdInfo($prodId, 1);//標題
        $ProdSN=Load_ProdInfo($prodId, 4);//產品編號
        $ProdSalesmultiple=Load_ProdInfo($prodId, 12); //下單倍數

        $d2_sql = "";
        $d2_sql = $d2_sql . " select IFNULL(XUT003,1) as XUT003 ";
        $d2_sql = $d2_sql . " from INVXUT  ";
        $d2_sql = $d2_sql . " where  ";
        $d2_sql = $d2_sql . "       XUT001='$ProdSN' and  XUT002='$prodFid' ";

        $d2_st = "";
        global $_DB;
        $db2 = new DB();
        $db2->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
        $db2->query($d2_sql);
        while ($result2 = $db2->fetch_array()) 
        {
            $XUT003=$result2['XUT003'];
        }
        $db2->close_Mysql();

        $Item_st=$Item_st."<li class='SPBkItem' data-xut='".$prodFid."' data-pid='".$prodId."' data-price='".$ProdPrice."' data-maxcount='".$maxcount."' data-minimum='".$mincount."' data-xutnum='".$XUT003."' data-web02='".$WEB02_SET005."' data-stockunit='".$result['ProdInfo_StockUnit']."' data-salesmultiple='".$ProdSalesmultiple."' >";
        $Item_st=$Item_st."  <div class='SBOinfoContent d-flex d-md-inline-flex mr-0 mb-2'>";
        $Item_st=$Item_st."  <div class='SBOImg SBOImgContent' >";
        $Item_st=$Item_st."     <img src='".$ProdImg."' alt='".$ProdTitle."'/> ";//圖片
        $Item_st=$Item_st."  </div>";
        $Item_st=$Item_st."  <div class='SBOinfo SBOinfo2 flex-grow-1 ml-3' > ";
        $Item_st=$Item_st."      <div class='SBONumbering' >商品編號：".$ProdSN."</div>";//產品編號
        $Item_st=$Item_st."      <div class='SBORemove SBORemove2 d-block d-md-none' >";//產品移除
        $Item_st=$Item_st."         <a href='javascript:void(0)' data-itemid='".$i."' class='RemoveBtn_mobile RemoveBtn-link' ><i class='fas fa-times'></i></a>";
        $Item_st=$Item_st."      </div>";
        $Item_st=$Item_st."      <div class='SBOTitle'>".$ProdTitle."</div>";//標題
        $Item_st=$Item_st."      <div class='SBONumbering mt-2 mb-1'>單位：".$prodFid."</div>";//單位
        $Item_st=$Item_st."      <div class='SBONumbering'>備註："."<input class='ItemNote ItemNote2'  type='text' value='".$prodNote."'></div>";//備註
        
        // $Item_st=$Item_st."      <div class='SBOGiveaway'>贈品：極上黑米800g</div>";//贈品
        $Item_st=$Item_st."  </div>";
        $Item_st=$Item_st."  </div>";
        $Item_st=$Item_st."  <div class='SBOleft '>";
        $Item_st=$Item_st."     <div class='ProductsOrderNum prodCounter'>  ";
        $Item_st=$Item_st."        <div class='ProductsLessBtn'>  ";
        $Item_st=$Item_st."           <input class='subs_btn' type='button' value='-'>";
        $Item_st=$Item_st."        </div> ";
        $Item_st=$Item_st."        <div class='ProductsInputBox'> ";
        $Item_st=$Item_st."           <input class='prodCounter order_count' type='text' value='".number_format($prodStock,$SET005)."'> ";//產品數量
        $Item_st=$Item_st."        </div> ";
        $Item_st=$Item_st."         <div class='ProductsAddBtn'> ";
        $Item_st=$Item_st."            <input class='add_btn' type='button' value='+'> ";
        $Item_st=$Item_st."         </div>";
        $Item_st=$Item_st."     </div>";
        if($IsPriceB2B=='2'){
            $Item_st=$Item_st."     <div class='SBOSubtotal SBOSubtotal2 mb-0' style='display:none; '>小計：<span class='SPBsubPrice'>".number_format(($ProdPrice_Total*$prodStock),$CUR008)."</span></div>";//小計
        }else{
            $Item_st=$Item_st."     <div class='SBOSubtotal SBOSubtotal2 mb-0' style='display:inline-block; '>小計：<span class='SPBsubPrice'>".number_format(($ProdPrice_Total*$prodStock),$CUR008)."</span></div>";//小計
        }
        
        $Item_st=$Item_st."     <div class='SBORemove d-none d-md-block'>";
        $Item_st=$Item_st."         <input data-itemid='".$i."' type='button' class='RemoveBtn' value='移除'>";
        $Item_st=$Item_st."     </div>";
        $Item_st=$Item_st."  </div>";
        $Item_st=$Item_st."</li>";
        
       
        $Lit_ProdTotal=$Lit_ProdTotal+$prodStock;//產品數量
        $Lit_CartPrice = $Lit_CartPrice + ($ProdPrice_Total*$prodStock); //購物總金額

    }
    $db1->close_Mysql();
    $Lit_ProdItemTotal=$d1_count;//產品項目

    return $Item_st;
   
} 


?>
<?php
//[共用區]

//=================================================================
//載入[產品資訊]
//$ProdInfo_Id:產品資訊
//$Cate:類別 1:產品標題 2:定價 3:售價  4:產品編號 5:庫存 6:暫存庫存量 7:產品封面圖 8:商品類別 9:庫存單位 10:交易單位
//=================================================================
function Load_ProdInfo($ProdInfo_Id, $Cate)
{
   
   //參數=======================================    
     global $ProdInfo_upload_dir_1; //[產品資訊][檔案路徑]
     global $ProdInfo_DF; //[產品資訊-預設][檔案路徑]
    //參數=======================================    

    $d1_sql = "";
    $d1_sql = $d1_sql . "select  ";
    $d1_sql = $d1_sql . "       ProdLang_Title, ";
    $d1_sql = $d1_sql . "       ProdInfo_MarketPrice, ";
    $d1_sql = $d1_sql . "       ProdInfo_SalePrice, ";
    $d1_sql = $d1_sql . "       ProdInfo_Number, ";
    $d1_sql = $d1_sql . "       ProdInfo_Stock, ";
    $d1_sql = $d1_sql . "       ProdInfo_StockTmp, ";
    $d1_sql = $d1_sql . "       ProdInfo_Img, ";
    $d1_sql = $d1_sql . "       ProdLang_Rule, ";
    $d1_sql = $d1_sql . "       ProdInfo_StockUnit, ";
    $d1_sql = $d1_sql . "       ProdInfo_TrdUnit, ";
    $d1_sql = $d1_sql . "       ProdInfo_MinTotal, ";
    $d1_sql = $d1_sql . "       ProdInfo_SalesMultiple ";
    $d1_sql = $d1_sql . "";
    $d1_sql = $d1_sql . "";
    $d1_sql = $d1_sql . " from  ProdInfo ";
    $d1_sql = $d1_sql . "  left join ProdLang ";
    $d1_sql = $d1_sql . "    on  ProdLang.ProdLang_Mid = ProdInfo.ProdInfo_Id ";
    $d1_sql = $d1_sql . " where ";
    $d1_sql = $d1_sql . "          ProdInfo_Id='$ProdInfo_Id' ";


    $d1_st = "";
    global $_DB;
    $db1 = new DB();
    $db1->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
    $db1->query($d1_sql);
    while ($result1 = $db1->fetch_array()) 
    {

      switch ($Cate) {
        case "1": //1:標題
          $d1_st = $result1["ProdLang_Title"];
          break;

        case "2": //2:定價
          $d1_st = $result1["ProdInfo_MarketPrice"];
          break;


        case "3": //3:售價 
          $d1_st = $result1["ProdInfo_SalePrice"];
          break;

        case "4": //4:產品編號 
          $d1_st = $result1["ProdInfo_Number"];
          break;

        case "5": //5:庫存
          $d1_st = $result1["ProdInfo_Stock"];
          break;


        case "6": //6:暫存庫存量
          $d1_st = $result1["ProdInfo_StockTmp"];
          break;


        case "7": //7:產品封面圖

                if($result1["ProdInfo_Img"]<>"")
                {
                     $d1_st = $ProdInfo_upload_dir_1.$result1["ProdInfo_Img"];
                }else{
                     $d1_st = $ProdInfo_DF; //[產品資訊-預設][檔案路徑]
                }
         
          break;

        case "8": //8:商品類別
          $d1_st = $result1["ProdInfo_Cate"];
        case "9": //8:庫存單位
          $d1_st = $result1["ProdInfo_StockUnit"];
        case "10": //8:交易單位
          $d1_st = $result1["ProdInfo_TrdUnit"];

        case "11": //11:最低交易量
          $d1_st = $result1["ProdInfo_MinTotal"];
        break;

        case "12": //12:最低交易量
          $d1_st = $result1["ProdInfo_SalesMultiple"];
        break;



      

        default:
      }
    }
    $db1->close_Mysql();

    return $d1_st;



}

?>
<?php

//=================================================================
//載入[運費]
//=================================================================
function Load_FreightInfo()
{
    //參數=======================================    
     global $BuyTeamPlatform;//平台
     global $Lit_CartPrice; //購物總金額


     global $FreightTermTitle;//運費條件說明
     global $FreightLimit;//運費限制
     global $FreightTerm_Price;//運費金額
    //參數======================================= 

    $FreightInfo_Cate=$BuyTeamPlatform;//平台分類

    $CartPrice=$Lit_CartPrice; //購物總金額

    $d1_sql = "";
    $d1_sql = $d1_sql . "select  * from FreightInfo ";
    $d1_sql = $d1_sql . "  left join FreightTerm ";
    $d1_sql = $d1_sql . "    on  FreightTerm.FreightTerm_Mid= FreightInfo.FreightInfo_Id";
    $d1_sql = $d1_sql . " where ";
    $d1_sql = $d1_sql . "      FreightInfo_Cate='$FreightInfo_Cate' ";
    $d1_sql = $d1_sql . "    and FreightTerm_Scondit<='$CartPrice'  ";
    $d1_sql = $d1_sql . "    and ( FreightTerm_Econdit>='$CartPrice' or FreightTerm_Econdit=0)  ";
    $d1_sql = $d1_sql . "  order by FreightTerm_Scondit desc ,FreightTerm_Id desc    ";
    $d1_sql = $d1_sql . "  limit 1    ";


    $d1_st = "";
    global $_DB;
    $db1 = new DB();
    $db1->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
    $db1->query($d1_sql);
    while ($result1 = $db1->fetch_array()) 
    {   
          if($result1["FreightTerm_Econdit"]==0)
          {
            //以上


          }else{
            //未滿XXX
            $FreightTermTitle="購物未滿NT$ ".$result1["FreightTerm_Econdit"]."元，";//運費條件說明
          } 
       
          $FreightLimit=$result1["FreightTerm_Econdit"];//運費限制
          $FreightTerm_Price=$result1["FreightTerm_Price"];//運費金額
    }
    $db1->close_Mysql();

    return $d1_st;

}


?>
<?php

//===============================================
//載入[Meta內容]
//===============================================
function  Load_MetaInfo()
{
      
     //參數=======================================
      global $MetaInfoLang_Version;//[Meta內容]版本
      global $MetaInfoLang_upload_dir_1;//[Meta內容][檔案路徑]

      global $Meta_title;//標題名稱
      global $Meta_description;//描述
      global $Meta_site_name;//網站名稱
      global $Meta_image;//圖片
      global $Domain_st;//網域
   //參數======================================= 

      $tool = new tool();


      $d1_sql="";
      $d1_sql=$d1_sql." select * from  MetaInfoLang ";
      $d1_sql=$d1_sql." where ";
      $d1_sql=$d1_sql."         MetaInfoLang_Version='$MetaInfoLang_Version' ";
      $d1_sql=$d1_sql."     and MetaInfoLang_Cate='36' ";//類別 
      $d1_sql=$d1_sql."     and MetaInfoLang_Type='1' ";//類型 1:Meta
      $d1_sql=$d1_sql."     and MetaInfoLang_IsWork='1' ";//是否啟用
      

      $d1_st="";
      $d1_count=0;
      global $_DB;
      $db1=new DB();
      $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
      $db1->query($d1_sql);
      while($result = $db1->fetch_array())
      { 

          //↓↓[Meta區]===========================================================
            $Meta_title=$result["MetaInfoLang_Title"];//標題名稱
            $Meta_description=$tool->filterMeta($result["MetaInfoLang_Content"]);//描述

            if ($result['MetaInfoLang_Img']!="")
            {
                  if(file_exists($MetaInfoLang_upload_dir_1.$result['MetaInfoLang_Img']))
                  {
                        $imgSt="";
                        $imgSt=$imgSt."<meta property='og:image' content='".$Domain_st."/".$MetaInfoLang_upload_dir_1.$result['MetaInfoLang_Img']."' />\n";
                        $imgSt=$imgSt."<meta name='twitter:image:src' content='".$Domain_st."/".$MetaInfoLang_upload_dir_1.$result['MetaInfoLang_Img']."' />\n";
                        $imgSt=$imgSt."<link rel='image_src' href='".$Domain_st."/".$MetaInfoLang_upload_dir_1.$result['MetaInfoLang_Img']."' />\n";
                        $Meta_image=$imgSt;
                  }
            }
            //↑↑[Meta區]===========================================================


      }
      $db1->close_Mysql();

}

function  Load_SALCTM($CTM001)
{

    global $CTM003;//客戶名稱
    global $CTM002;//客戶簡稱
    global $COD004;//客戶代號
    global $CTM001;//客戶代號 
    global $SALCTM_CustomPay;//客戶預存金
    global $CTM904;
    global $SALCTM_id;//客戶ID
    

    $d1_sql="";
    $d1_sql=$d1_sql." select * from SALCTM  ";
    $d1_sql=$d1_sql." where ";
    $d1_sql=$d1_sql."      CTM001='$CTM001' ";

    $d1_st="";
    $d1_count =0;
    global $_DB;
    $db1 = new DB();
    $db1->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
    $db1->query($d1_sql);
    while ($result1 = $db1->fetch_array()) 
    {
        $CTM003=$result1['CTM003'];
        $CTM002=$result1['CTM002'];
        $CTM001=$result1['CTM001'];  
        $SALCTM_id=$result1['SALCTM_id'];
        $SALCTM_CustomPay=$result1['SALCTM_CustomPay'];       
        $SALCTM_CustomPay=number_format(round($SALCTM_CustomPay,0));
        $CTM904=$result1['CTM904']; 
    }
    $db1->close_Mysql();    
    

}


//===============================================
//寄送Email給承辦人
//$Email_Server:寄送Email名單
//$CHA001:採購單單號
//===============================================
function DB_Email_Server($COD001,$PURCOD_id,$COD004) 
{

  global $Domain_st;
  global $appendStrB2B;
  global $CTM_Notify_CTM003;//下單人
  global $CTM003;//客戶名稱

  $date1=new Now_date();
  $Email_Server="";
  $d1_sql="";
  $d1_sql=$d1_sql."select CTM020 from SALCTM ";
  $d1_sql=$d1_sql."where ";
  $d1_sql=$d1_sql."      (CTM_SalesmanNumber='$CTM028_st' or  CTM_SalesmanNumber='ALL')  ";
  $d1_count=0;
  global $_DB;//注意這行
  $db1=new DB();
  $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
  $db1->query($d1_sql);
  while ($result1 = $db1->fetch_array())
  {
      $Email_Server=$Email_Server.$result1['CTM020'].","; 
  }
  $db1->close_Mysql();

  $URL=$Domain_st."/search_orderedit.php?id=".$PURCOD_id."&SN=".$COD004."<br>";

  $Email_title = "B2B [系統通知]-網頁有新的訂單";
    
  $Email_Content='<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
                    <html xmlns="http://www.w3.org/1999/xhtml">
                    <head>
                    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
                    <title>'."B2B[系統通知]-網頁有新的訂單".'</title>
                    </head>

                    <body style="PADDING-BOTTOM: 0px; MARGIN: 0px; PADDING-LEFT: 0px; PADDING-RIGHT: 0px; PADDING-TOP: 0px; font-family: Arial, Helvetica, sans-serif; color: #555555;background-color: #f2f2f2;">
                    <table width="700" border="0" align="center" cellpadding="0" cellspacing="0">
                      <tr>
                        <td></td>
                      </tr>
                    </table>
                    <table width="700" border="0" align="center" cellpadding="20" cellspacing="0">
                      <tr>
                        <td><table border="0" align="center" cellpadding="0" cellspacing="0" width="100%">
                          <tr>
                            <td><table style="MARGIN: 0px auto" border="0" cellspacing="0" cellpadding="0"
                                width="100%" align="center">
                                <tbody>
                                  <tr>
                                    <td bgcolor="#dadada" height="1" width="700" colspan="3" valign="top"></td>
                                  </tr>
                                  <tr>
                                    <td bgcolor="#dadada" width="1"></td>
                                    <td bgcolor="#ffffff" width="698"><table width="100%" border="0" cellpadding="0" cellspacing="20">
                                        <tr>
                                          <td valign="top">
                                            <table width="100%" frame="below" rules="rows" cellspacing="2" cellpadding="0" bordercolor="#cccccc">
                                                <tr>
                                                  <td>通知時間</td>
                                                  <td>'.$date1->Now_st().'</td>
                                                </tr>
                                                <tr>
                                                  <td>訂單:</td>
                                                  <td>'.$COD001.'</td>
                                                </tr>
                                                <tr>
                                                  <td>訂購人:</td>
                                                  <td>'.$CTM003."(".$CTM_Notify_CTM003.") ".'</td>
                                                </tr>
                                                <tr>
                                                  <td>連結:</td>
                                                  <td><a href="'.$Domain_st.$appendStrB2B."/search_orderedit.php?id=".$PURCOD_id."&SN=".$COD004.'">'.$Domain_st.$appendStrB2B."/search_orderedit.php?id=".$PURCOD_id."&SN=".$COD004.'</a></td>
                                                </tr>
                                                <tr>
                                                <td colspan="2">***** 本信件為系統自動發送，煩請您使用E-mail回信，請勿直接回覆。 *****<br /></td>
                                                </tr>
                                            </table>
                                            </td>
                                        </tr>
                                    </table>
                                    </td>
                                    <td bgcolor="#dadada" width="1"></td>
                                  </tr>
                                  <tr>
                                    <td bgcolor="#dadada" height="1" width="700" colspan="3" valign="top"></td>
                                  </tr>
                                </tbody>
                            </table></td>
                          </tr>
                        </table></td>
                      </tr>
                    </table>
                    </body>
                    </html>';


  $SendEmail = new SendEmail();
  $status = $SendEmail->Email_Send(rtrim($Email_Server,","),$Email_title,$Email_Content);



}


function Check_Email($CHA001)
{

    //參數=======================================
    $SPL_Email="";//Email
    //參數=======================================

    $d1_sql="";
    $d1_sql=$d1_sql."select SPL_Email from PURCHA ";
    $d1_sql=$d1_sql."left join PURSPL on CHA004=SPL001 ";
    $d1_sql=$d1_sql."where ";
    $d1_sql=$d1_sql."     CHA001='$CHA001' ";

    $d1_count=0;
    global $_DB;//注意這行
    $db1=new DB();
    $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db1->query($d1_sql);
    while ($result = $db1->fetch_array())
    {
        $SPL_Email=$result["SPL_Email"];//Email

    }
    $db1->close_Mysql();

    return $SPL_Email;
}

//=================================================================
//Notify 發送訊息
//$COD001:訂單ID
//=================================================================
function  send_Notify_Msg($COD001,$PURCOD_id,$COD004)
{
    
    global $CTM028_st;//Notify ID
    global $MemberInfo_Name;//姓名
    global $MemberInfo_iphone;//連絡電話
    global $IsLineNotifyB2B;
    global $CTM_Notify_CTM003;//下單人
    global $CTM003;//客戶名稱
    global $Domain_st;//網域
    global $appendStrB2B;

    
    $date1=new Now_date();
    $message="";
    $message=$message."<網頁有新訂單>".chr(13).chr(10);
    $message=$message."下單時間:".$date1->Now_st().chr(13).chr(10);
    $message=$message."訂單:".$COD001."  ".$MemberInfo_iphone.chr(13).chr(10);
    $message=$message."訂購人:".$CTM003."-".$CTM_Notify_CTM003.chr(13).chr(10);
    $message=$message."連結:".$Domain_st.$appendStrB2B."/search_orderedit.php%3Fid=".$PURCOD_id."%26SN=".$COD004."  ".chr(13).chr(10);
    //$message=$message."連結:https://191.trikeys.club/search_orderedit.php%3Fid=".$PURCOD_id."%26SN=".$COD004."  ".chr(13).chr(10);
    if($IsLineNotifyB2B=='2'){
        $d1_sql="";
        $d1_sql=$d1_sql."select CTM_NotifyToken from SALCTM ";
        $d1_sql=$d1_sql."where ";
        $d1_sql=$d1_sql."      (CTM_SalesmanNumber='$CTM028_st' or  CTM_SalesmanNumber='ALL')  ";
        $d1_sql=$d1_sql."  and (CTM_NotifyToken<>'' or CTM_NotifyToken is null)  ";
        
        $d1_count=0;
        global $_DB;//注意這行
        $db1=new DB();
        $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
        $db1->query($d1_sql);
        while ($result1 = $db1->fetch_array())
        {
            $CTM_NotifyToken=$result1['CTM_NotifyToken']; 
            if($CTM_NotifyToken<>""){
                notify_Send($CTM_NotifyToken,$message);//寄送[Notify訊息]
            }
            
        }
        $db1->close_Mysql();

        
    }
    
    
    

}


//=================================================================
//載入[產品價格]
//$ProdInfo_Id:產品資訊
//=================================================================
function Load_ProdPrice($ProdInfo_Id,$ProdInfo_TrdUnit)
{
    //參數=======================================
     global $BuyTeamPlatform;//平台
     global $CTM028_st;//
     global $CTM_Notify_CTM003;//下單人
    //參數=======================================
  $tool = new tool();

  $ProdPrice="0";//商品價格
  $SALCTM_Mid="";

  $CK_LoginFlag=1;//是否登入 1:未登入 2:登入

  if(isset($_SESSION["bf_SALCTM_id"]))
  {
    if ($_SESSION["bf_SALCTM_id"]<>'') //會員ID
    {
       $CK_LoginFlag=2;//是否登入 1:未登入 2:登入
    }
  }



  if($CK_LoginFlag=="1")
  {
    //1:未登入

     $d2_sql="";
        $d2_sql=$d2_sql."select * from ProdInfo ";
        $d2_sql=$d2_sql."where ";
        $d2_sql=$d2_sql."     ProdInfo_Id='$ProdInfo_Id' ";
       
      
        $d2_count=0;
        global $_DB;//注意這行
        $db2=new DB();
        $db2->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
        $db2->query($d2_sql);
        while ($result2 = $db2->fetch_array())
        {
           $ProdPrice=$result2["ProdInfo_SalePrice"];//售價
        }
        $db2->close_Mysql();

  }else{
    //2:登入

        $SALCTM_id=$_SESSION["bf_SALCTM_id"];//會員ID
        $d1_sql="";
        $d1_sql=$d1_sql."select * from SALCTM ";
        $d1_sql=$d1_sql."where ";
        $d1_sql=$d1_sql."     SALCTM_id='$SALCTM_id' ";
       

        $CTM001="";//客戶代號
        $CTM030="0";//適用價格 0.零售價 1.定價一 2.定價二 3.定價三 4.定價四 5.定價五 6.定價六
        $d1_count=0;
        global $_DB;//注意這行
        $db1=new DB();
        $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
        $db1->query($d1_sql);
        while ($result = $db1->fetch_array())
        {
            $CTM001=$result["CTM001"];//客戶代號
            $CTM030=$result["CTM030"];//適用價格
            
            $CTM_Notify_CTM003=$result['CTM003']; 
            $SALCTM_Mid=$result['SALCTM_Mid']; 
            
           

            $d2_sql="";
            $d2_sql=$d2_sql."select * from SALCTM ";
            $d2_sql=$d2_sql."where ";
            $d2_sql=$d2_sql."     CTM001='$SALCTM_Mid' ";
            $d2_count=0;
            global $_DB;//注意這行
            $db2=new DB();
            $db2->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
            $db2->query($d2_sql);
            while ($result2 = $db2->fetch_array())
            {

                $CTM001_ST=$result2['CTM001'];

                $d3_sql="";
                $d3_sql=$d3_sql."select CTM028 from SALCTM ";
                $d3_sql=$d3_sql."where ";
                $d3_sql=$d3_sql."     CTM001='$CTM001_ST' ";
                $d3_count=0;
                global $_DB;//注意這行
                $db3=new DB();
                $db3->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
                $db3->query($d3_sql);
                while ($result3 = $db3->fetch_array())
                {

                    $CTM028_st=$result3['CTM028']; 

                    
                    
                }
                $db3->close_Mysql();
            }
            $db2->close_Mysql();


        }
        $db1->close_Mysql();

        $ProdInfo_Cate=$BuyTeamPlatform;//平台

        $d2_sql="";
        $d2_sql=$d2_sql." select * from ProdInfo ";
        $d2_sql=$d2_sql." where ";
        $d2_sql=$d2_sql."       ProdInfo_Cate='$ProdInfo_Cate' ";
        $d2_sql=$d2_sql."   and ProdInfo_Id='$ProdInfo_Id' ";
       
      
        $d2_count=0;
        global $_DB;//注意這行
        $db2=new DB();
        $db2->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
        $db2->query($d2_sql);
        while ($result2 = $db2->fetch_array())
        {
            $CPE002=$result2["ProdInfo_Number"];//產品編號
            $CPE001=$_GET['SN'];//客戶代號
            
            

            $d3_sql="";
            $d3_sql=$d3_sql." select * from SALCPE ";
            $d3_sql=$d3_sql." where ";
            $d3_sql=$d3_sql."       CPE001='$CPE001' ";//客戶代號
            $d3_sql=$d3_sql."   and CPE002='$CPE002' ";//產品編號
            $d3_sql=$d3_sql."   and CPE003='$ProdInfo_TrdUnit' ";//單位  
            $d3_sql=$d3_sql."   and DATE_FORMAT(now(), '%Y%m%d') >= CPE006 ";
            $d3_sql=$d3_sql."   and (DATE_FORMAT(now(), '%Y%m%d') <= CPE010 or CPE010 is null or CPE010='' ) ";
            $d3_sql=$d3_sql." order by CPE006 DESC , CPE902 DESC ";
            $d3_sql=$d3_sql." limit 1 ";
           
          
            $d3_count=0;
            global $_DB;//注意這行
            $db3=new DB();
            $db3->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
            $db3->query($d3_sql);
            while ($result3 = $db3->fetch_array())
            {
                 $d3_count= $d3_count+1;

                 $ProdPrice=$result3["CPE005"];//單價
            }
            $db3->close_Mysql();


            if( $d3_count>0)
            {
                 //[有]客戶特惠價

            }else{
                //[沒有]客戶特惠價

                    switch ($CTM030)//適用價格 0.零售價 1.定價一 2.定價二 3.定價三 4.定價四 5.定價五 6.定價六
                    {
                        case "0":
                            $ProdPrice=$result2["ProdInfo_SalePrice"];//售價
                        break;
                                            
                        case "1":
                            $ProdPrice=$result2["ProdInfo_PriceA"];//價格一   
                        break;

                        case "2":
                             $ProdPrice=$result2["ProdInfo_PriceB"];//價格二  
                        break;

                        case "3":
                             $ProdPrice=$result2["ProdInfo_PriceC"];//價格三 
                        break;

                        case "4":
                            $ProdPrice=$result2["ProdInfo_PriceD"];//價格四   
                        break;

                        case "5":
                             $ProdPrice=$result2["ProdInfo_PriceE"];//價格五
                        break;

                        case "6":
                             $ProdPrice=$result2["ProdInfo_PriceF"];//價格六  
                        break;
                                
                        default:
                          $ProdPrice=$result2["ProdInfo_SalePrice"];//售價
                        break;
                    }
            }
        }
        $db2->close_Mysql();
  }
   $ProdPrice=trim(rtrim(sprintf("%.4f", $ProdPrice ), '0'),'.');//去除多餘的0
  //  $ProdPrice=sprintf("%.2f", $ProdPrice );//去除多餘的0
   return  $ProdPrice;//商品價格
}


//取得客戶聯絡地址
function load_SALADR()
{
    global $ADR003;
    global $ADR004;
    global $ADR005;
    global $ADR006;
    global $ADR702;
    global $ADR703;

    $tool = new tool();

    $ADR001=$_GET['SN'];
    $d1_sql="";
    $d1_sql=$d1_sql." select * from SALADR ";
    $d1_sql=$d1_sql." where ADR001='$ADR001' ";
    $d1_sql=$d1_sql." order by ADR904 desc ";
    $d1_sql=$d1_sql." LIMIT 10 ";

    $d1_count=0;
    $d1_str="";
    global $_DB;//注意這行
    $db1=new DB();
    $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db1->query($d1_sql);
    while ($result = $db1->fetch_array())
    {
        $d1_count=$d1_count+1;
        $d1_str=$d1_str."<option value='".$result["ADR002"]."'>".$result["ADR007"]."</option>";
        
        if($d1_count == 1){
          $ADR003 = $result['ADR003'];
          $ADR004 = $result['ADR004'];
          $ADR005 = $result['ADR005'];
          $ADR006 = $result['ADR006'];
          $ADR702 = $result['ADR702'];
          $ADR703 = $result['ADR703'];
        }
    }
    
    $db1->close_Mysql();
    
    if($d1_count == 0){

      $CTM001=$_GET['SN'];
      $d2_sql="";
      $d2_sql=$d2_sql." select * from SALCTM ";
      $d2_sql=$d2_sql." where CTM001='$CTM001' ";
      
      $d2_count=0;
      $d2_str="";
      global $_DB;//注意這行
      $db2=new DB();
      $db2->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
      $db2->query($d2_sql);

      while ($result = $db2->fetch_array()){
        $d2_count=$d2_count+1;
        $ADR003 = $result['CTM026'];
        $ADR004 = $result['CTM027'];
      }
      $db2->close_Mysql();
    } 

    return $d1_str;
}

//更新客戶聯絡地址
function update_SALADR()
{
    $tool = new tool();
    $date1 = new Now_date();

    $ADR001=$_GET['SN'];
    $ADR002=addslashes($_POST['SALADR']);
    $ADR003=addslashes($_POST['COD010']);
    $ADR702=addslashes($_POST['COD1012']);//收件人-城市
    $ADR703=addslashes($_POST['COD1013']);//收件人-行政區
    $ADR004=addslashes($_POST['COD011']);//收件人-地址
    $ADR005=addslashes($_POST['COD045']);
    $ADR006=addslashes($_POST['COD049']);
    $ADR007=addslashes($_POST['COD045']);
    $ADR904 = $date1->Now_st(); //最後更新日期

    $d1_sql="";
    $d1_sql=$d1_sql."Update SALADR ";
    $d1_sql=$d1_sql." set ";
    $d1_sql=$d1_sql."   ADR003='$ADR003', ";//郵遞區號
    $d1_sql=$d1_sql."   ADR702='$ADR702', ";//城市
    $d1_sql=$d1_sql."   ADR703='$ADR703', ";//行政區
    $d1_sql=$d1_sql."   ADR004='$ADR004', ";//地址
    $d1_sql=$d1_sql."   ADR005='$ADR005', ";//姓名
    $d1_sql=$d1_sql."   ADR006='$ADR006', ";//手機
    $d1_sql=$d1_sql."   ADR007='$ADR007', ";//
    $d1_sql=$d1_sql."   ADR904='$ADR904' ";//
    $d1_sql=$d1_sql." where ";
    $d1_sql=$d1_sql."       ADR001='$ADR001' ";
    $d1_sql=$d1_sql."   and ADR002='$ADR002' ";

    global $_DB;//注意這行
    $db1=new DB();
    $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db1->query($d1_sql);
    $db1->close_Mysql();

    return $d1_str;
}

//新增客戶聯絡地址
function Insert_SALADR()
{
    $tool = new tool();
    $date1 = new Now_date();

    global $TaxID;

    $ADR001=$_GET['SN'];
    $ADR002=addslashes($_POST['SALADR']);
    $ADR003=addslashes($_POST['COD010']);
    $ADR702=addslashes($_POST['COD1012']);//收件人-城市
    $ADR703=addslashes($_POST['COD1013']);//收件人-行政區
    $ADR004=addslashes($_POST['COD011']);//收件人-地址
    $ADR005=addslashes($_POST['COD045']);
    $ADR006=addslashes($_POST['COD049']);
    $ADR007=addslashes($_POST['COD045']);
    $ADR902=$date1->Now_st();
    $ADR904=$date1->Now_st();

    $d2_sql="";
    $d2_sql=$d2_sql."select count(*) as total from SALADR ";
    $d2_sql=$d2_sql."where ";
    $d2_sql=$d2_sql."     ADR001='$ADR001' ";
    $d2_count=0;
    global $_DB;//注意這行
    $db2=new DB();
    $db2->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db2->query($d2_sql);
    while ($result2 = $db2->fetch_array())
    {
      $d2_count=$result2["total"];

    }
    $db2->close_Mysql();
    $d2_count=dispRepair($d2_count+1,3,'0');
    
    $d1_sql="";
    $d1_sql = $d1_sql . "Insert into SALADR ";
    $d1_sql = $d1_sql . " ( ";
    $d1_sql = $d1_sql . "    ADR001, ";
    $d1_sql = $d1_sql . "    ADR002, ";
    $d1_sql = $d1_sql . "    ADR003, ";
    $d1_sql = $d1_sql . "    ADR702, ";
    $d1_sql = $d1_sql . "    ADR703, ";
    $d1_sql = $d1_sql . "    ADR004, ";
    $d1_sql = $d1_sql . "    ADR005, ";
    $d1_sql = $d1_sql . "    ADR006, ";
    $d1_sql = $d1_sql . "    ADR007, ";
    $d1_sql = $d1_sql . "    ADR901, ";
    $d1_sql = $d1_sql . "    ADR902, ";
    $d1_sql = $d1_sql . "    ADR903, ";
    $d1_sql = $d1_sql . "    ADR904, ";
    $d1_sql = $d1_sql . "    ADR_Country, ";
    $d1_sql = $d1_sql . "    ADR_TaxID ";
    $d1_sql = $d1_sql . " ) values ( ";
    $d1_sql = $d1_sql . "    '$ADR001', ";//
    $d1_sql = $d1_sql . "    '$d2_count', ";//
    $d1_sql = $d1_sql . "    '$ADR003', ";//
    $d1_sql = $d1_sql . "    '$ADR702', ";//
    $d1_sql = $d1_sql . "    '$ADR703', ";//
    $d1_sql = $d1_sql . "    '$ADR004', ";//
    $d1_sql = $d1_sql . "    '$ADR005', ";//
    $d1_sql = $d1_sql . "    '$ADR006', ";//
    $d1_sql = $d1_sql . "    '$ADR007', ";//
    $d1_sql = $d1_sql . "    'admin', ";//
    $d1_sql = $d1_sql . "    '$ADR902', ";//
    $d1_sql = $d1_sql . "    'admin', ";//
    $d1_sql = $d1_sql . "    '$ADR904', ";//
    $d1_sql = $d1_sql . "    'TW', ";//
    $d1_sql = $d1_sql . "    '$TaxID' ";//
    $d1_sql = $d1_sql . " ) ";

    global $_DB;//注意這行
    $db1=new DB();
    $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db1->query($d1_sql);
    $db1->close_Mysql();

    return $d1_str;
}


//===============================================
//載入[預計出貨日]
//===============================================
function DB_CustShip()
{

    //參數=======================================  
    global $SALCTM_id;//客戶ID

    global $ship_mon; //
    global $ship_tue; //
    global $ship_wed; //
    global $ship_thu; //
    global $ship_fri; //
    global $ship_sat; //
    global $ship_sun; //
    global $sendDaysArr; // 出貨日
    //參數=======================================

    $tool = new tool();


    $d1_sql = "";
    $d1_sql = $d1_sql . " select * from CustShip ";
    $d1_sql = $d1_sql . " where ";
    $d1_sql = $d1_sql . "       CustShip_Mid='$SALCTM_id' ";
    $d1_sql = $d1_sql . " order by CustShip_id asc  ";

    $d1_count = 0;
    $showDaysArr=array();
    $days=[1,2,3,4,5,6,7];

    global $_DB; //注意這行
    $db1 = new DB();
    $db1->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
    $db1->query($d1_sql);
    while ($result = $db1->fetch_array()) {
      $d1_count = $d1_count + 1;

      switch($result["CustShip_Week"]){
        case 1:
          $week = "mon" ;
        break;  
        case 2:
          $week = "tue" ;
        break;  
        case 3:
          $week = "wed" ;
        break;  
        case 4:
          $week = "thu" ;
        break;  
        case 5:
          $week = "fri" ;
        break;  
        case 6:
          $week = "sat" ;
        break;  
        case 7:
          $week = "sun" ;
        break;  
      }

      ${"ship_" . $week} = $result["CustShip_IsAction"];
      array_push($showDaysArr,$result["CustShip_Week"]);
    }

    $compareArray=array_diff($days,$showDaysArr);
    $sendDaysArr = json_encode(array_values($compareArray));
    

    $db1->close_Mysql();
}



//===============================================
//清除[預計出貨日]
//===============================================
function  clear_CustShip()
{
    global $SALCTM_id;//客戶ID

    $d1_sql = "";
    $d1_sql = $d1_sql . " delete from CustShip  ";
    $d1_sql = $d1_sql . " where  ";
    $d1_sql = $d1_sql . "    CustShip_Mid='$SALCTM_id' ";


    $d1_status = 0;
    global $_DB; //注意這行
    $db1 = new DB();
    $db1->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
    $d1_status = $db1->query($d1_sql);
    $db1->close_Mysql();
}

//===============================================
//新增[預計出貨日]
//===============================================
function  Insert_CustShip()
{
    global $SALCTM_id;//客戶ID

    $CustShip_Ar = array("ship_mon", "ship_tue", "ship_wed", "ship_thu", "ship_fri", "ship_sat", "ship_sun");

    for ($x = 0; $x < count($CustShip_Ar); $x++) {


        $CustShip_Week = $_POST[$CustShip_Ar[$x]];
        $CustShip_IsAction = "1"; //動作 1:啟用  2:不啟用(預設)


        if ($CustShip_Week <> "") {

        $d1_sql = "";
        $d1_sql = $d1_sql . " insert into CustShip ";
        $d1_sql = $d1_sql . " ( ";
        $d1_sql = $d1_sql . "    CustShip_Mid, ";
        $d1_sql = $d1_sql . "    CustShip_Week, ";
        $d1_sql = $d1_sql . "    CustShip_IsAction ";
        $d1_sql = $d1_sql . " ) VALUES ( ";
        $d1_sql = $d1_sql . "    '$SALCTM_id', ";
        $d1_sql = $d1_sql . "    '$CustShip_Week', ";
        $d1_sql = $d1_sql . "    '$CustShip_IsAction' ";
        $d1_sql = $d1_sql . " ) ";


        $d1_status = 0;
        global $_DB; //注意這行
        $db1 = new DB();
        $db1->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
        $d1_status = $db1->query($d1_sql);
        $d1_status = $db1->get_insert_id(); //取得主鍵編號
        $db1->close_Mysql();
        }
    }
}




//===================================
//載入[預計出貨日]
//===================================
function load_CustShip()
{
        global $SALCTM_id;//客戶ID
        global $WEB07_SET005;//

        $date1=new Now_date();
   
        $Weekday=get_chinese_Weekday($date1->Now_st());
        if($Weekday>=7){
            $Weekday=0;
        }


        $d1_sql=$d1_sql." select  * from CustShip ";
        $d1_sql=$d1_sql." where ";
        $d1_sql=$d1_sql."         CustShip_Mid='$SALCTM_id' ";
        $d1_sql=$d1_sql."     and CustShip_IsAction='1' ";
        $d1_sql=$d1_sql."     and CustShip_Week>'$Weekday' ";
        $d1_sql=$d1_sql." order by CustShip_Week  ";
        $d1_sql=$d1_sql." LIMIT 1 ";

        $totalA =0;
        global $_DB;//注意這行
        $db1=new DB();
        $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
        $db1->query($d1_sql);
        while ($result = $db1->fetch_array())
        {
          $CustShip_Week=$result['CustShip_Week'];
        }
        $db1->close_Mysql();
        $diffday=$CustShip_Week-$Weekday;
        if($diffday<0){
            $date2 = date("Y-m-d",strtotime($date1->Now_st()));
        }else{
            $date2 = date("Y-m-d", strtotime($date1->Now_st().'+ '.$diffday.' days')); 
        }
        
        if($WEB07_SET005>0){
            $date2=Load_addDay($date1->Now_st(),$WEB07_SET005);
        }
        return $date2;
}



//===================================
//載入[備註提醒]
//===================================
function load_NoteTips()
{
        global $RemarkNote_Content;
   

        $d1_sql="";
        $d1_sql=$d1_sql." select  * from RemarkNote ";
        $d1_sql=$d1_sql." where ";
        $d1_sql=$d1_sql."         RemarkNote_Cate='3' ";

        $totalA =0;
        global $_DB;//注意這行
        $db1=new DB();
        $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
        $db1->query($d1_sql);
        while ($result = $db1->fetch_array())
        {
          $RemarkNote_Content=$result['RemarkNote_Content'];
        }
        
        $db1->close_Mysql();
}


//===============================================
//新增[客戶-儲值金-支出]
//$SN:訂單單號
//$Point:訂單金額
//===============================================
function  Insert_CustStored_EX($SN,$Point)
{
      global $SALCTM_id;//客戶ID
      $tool=new tool();
      $date1=new Now_date();
    

      $flag=0;//是否通過驗證 0:通過 1:不通過

    


      if($flag=="0")
      {


                 
                 $CustStored_Mid= $SALCTM_id;//客戶ID
                 
                 $CustStored_SN=$SN;//儲值編號(收)或銷貨編號(支出)

                 $CustStored_Title=$SN;//標題
                 $CustStored_Cate=1;//類別 1:支出 2:收入  
                 $CustStored_Point=$Point;//儲值金額
                
               

                 $CustStored_CreateDate=$date1->Now_st();//建立日期
                 $CustStored_Update_User=$_SESSION["bf_SALCTM_id"];//修改者帳號
                 $CustStored_UpdateDate=$date1->Now_st();//最後更新日期

                  $d1_sql="";
                  $d1_sql=$d1_sql." insert into CustStored ";
                  $d1_sql=$d1_sql." ( ";
                  $d1_sql=$d1_sql."    CustStored_Mid, ";
                  $d1_sql=$d1_sql."    CustStored_SN, ";
                  $d1_sql=$d1_sql."    CustStored_Title, ";
                  $d1_sql=$d1_sql."    CustStored_Cate, ";
                  $d1_sql=$d1_sql."    CustStored_Point, ";
                  $d1_sql=$d1_sql."    CustStored_CreateDate, ";
                  $d1_sql=$d1_sql."    CustStored_Update_User, ";
                  $d1_sql=$d1_sql."    CustStored_UpdateDate ";
                  $d1_sql=$d1_sql." ) VALUES ( ";
                  $d1_sql=$d1_sql."    '$CustStored_Mid', ";
                  $d1_sql=$d1_sql."    '$CustStored_SN', ";
                  $d1_sql=$d1_sql."    '$CustStored_Title', ";
                  $d1_sql=$d1_sql."    '$CustStored_Cate', ";
                  $d1_sql=$d1_sql."    '$CustStored_Point', ";
                  $d1_sql=$d1_sql."    '$CustStored_CreateDate', ";
                  $d1_sql=$d1_sql."    '$CustStored_Update_User', ";
                  $d1_sql=$d1_sql."    '$CustStored_UpdateDate' ";
                  $d1_sql=$d1_sql." ) ";
                  
                  
                  $d1_status=0;
                  global $_DB;//注意這行
                  $db1=new DB();
                  $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
                  $d1_status=$db1->query($d1_sql);
                  $d1_status=$db1->get_insert_id();//取得主鍵編號
                  $db1->close_Mysql();


                  if ($d1_status>0)
                  {

                      Update_SALCTM_CustomPay($CustStored_Mid);//更新[客戶點數]
                            
                     
                  }

      }


}

//===================================
//更新[客戶點數]
//$CustStored_Mid:客戶ID
//===================================
function Update_SALCTM_CustomPay($CustStored_Mid)
{
    
      
        $d1_sql=$d1_sql." select  IFNULL(SUM(CustStored_Point),0) as Point from CustStored ";
        $d1_sql=$d1_sql." where ";
        $d1_sql=$d1_sql."         CustStored_Mid='$CustStored_Mid' ";
        $d1_sql=$d1_sql."     and CustStored_Cate='2' ";//2:收入

        $totalA =0;
        global $_DB;//注意這行
        $db1=new DB();
        $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
        $db1->query($d1_sql);
        while ($result = $db1->fetch_array())
        {
          $totalA=$result['Point'];
        }
        $db1->close_Mysql();


        $d2_sql=$d2_sql." select  IFNULL(SUM(CustStored_Point),0) as Point from CustStored ";
        $d2_sql=$d2_sql." where ";
        $d2_sql=$d2_sql."         CustStored_Mid='$CustStored_Mid' ";
        $d2_sql=$d2_sql."     and CustStored_Cate='1' ";//1:支出

        $totalB =0;
        global $_DB;//注意這行
        $db2=new DB();
        $db2->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
        $db2->query($d2_sql);
        while ($result2 = $db2->fetch_array())
        {
          $totalB=$result2['Point'];
        }
        $db2->close_Mysql();


          $SALCTM_CustomPay= $totalA-$totalB;//收入-支出
        
        $SALCTM_id=$CustStored_Mid;//客戶ID

        $d3_sql="";
        $d3_sql=$d3_sql." Update SALCTM ";
        $d3_sql=$d3_sql." set  ";
        $d3_sql=$d3_sql."      SALCTM_CustomPay='$SALCTM_CustomPay' ";
        $d3_sql=$d3_sql." where    ";
        $d3_sql=$d3_sql."       SALCTM_id='$SALCTM_id' ";
        $d3_sql=$d3_sql."    ";

        global $_DB;//注意這行
        $db3=new DB();
        $db3->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
        $db3->query($d3_sql);
        $db3->close_Mysql();

}






?>  

<meta property="og:title" content="<?php echo $Meta_title; ?>" /><!--標題-->
<meta property="og:url" content="<?php echo $URL=$Domain_st.$_SERVER['REQUEST_URI'];?>" /><!--網址-->
<meta name="description" content="<?php echo $Meta_description; ?>"><!--簡介-->
<meta property="og:description" content="<?php echo $Meta_description; ?>"/><!--簡介-->
<meta property="og:site_name" content="<?php echo $Meta_site_name; ?>" />
<link rel="shortcut icon" href="images/favicon.ico">
<link href="css/fontawesome/css/all.min.css" rel="stylesheet">
<link href="css/loading.css" rel="stylesheet">


<!--抓取圖片_Start-->
<?php echo $Meta_image; ?>
<!--抓取圖片_End-->


<title><?php echo $Meta_title; ?></title><!--標題-->
<?php include("WUC_Head.php"); //html head ?>
<link rel="stylesheet" type="text/css" href="css/styleAdd.css" />
<style>
  .fixBottom{
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 15px 0;
    background: #D0D0D0;
    border-top: 1px solid;
  }
  .Picker input[type="checkbox"] {
      width: 20px;
      height: 20px;
      vertical-align: middle;
  }

  .ckboxTxt{
    vertical-align: middle;
  }

  input[type="checkbox"] {
    width: 20px;
    height: 20px;
    display: inline-block;
    vertical-align: middle;
    margin: 0;
  }

  .SCListCS{
    padding-bottom: 30px;
  }

  .SBOImgContent{
    margin-left: 7px;

  }
  .SBOinfo2{
    position: relative;
  }
  .RemoveBtn-link{
    font-size: 16px; color:#404040
  }
  .SBORemove2{
    position: absolute;
    right:10px;
    top:-4px;
    
  }
  .ItemNote2{
    width:79%; 
    border-radius: 10px;
  }
  .SBOSubtotal2{
    padding-top: 5px;
  }




  @media only screen and (max-width:480px) { 
    li .noteNote{
      display: none;
    }

    .list_input{
      width: 75px;
    }

   
  }
  @media only screen and (max-width:680px){
    .SBOSubtotal{
      float: right;
    }
  }
</style>



</head>

<body>
<form id="myForm" name="myForm" method="post" enctype="multipart/form-data" action="<?php echo $_SERVER["PHP_SELF"] . $Form_url_st; ?>">  
<!--載入中 start-->
<div id="Loading">
  <img src="images/ajax-loader.gif" width="32" height="32" alt="載入中"/>
</div>
<!--載入中 end-->
  
<!--網頁開始-->
<div id="wrap">
  <div class="loading_container" style="display: none;">
    <!--轉圈圈特效_Start-->
    <div class="road_Box item item4" >
      <div class="circle circle1"></div>
      <div class="circle circle2"></div>
      <div class="circle circle3"></div>
      <div class="circle circle4"></div>
      <div class="circle circle5"></div>
    </div>
    <!--轉圈圈特效_End-->
  </div>


<?php //include("WUC_Header.php"); //頁首及選單 ?>
<article>
<?php echo $breadcrumb; //麵包屑，請至WUC_Head.php修改?>
<!--內容開始-->
    <section class="ShopCartStep"> 
        
        <div class="SCSTitle active">購物清單</div>
        <div class="SCSLine"></div>
        <div class="SCSTitle">付款方式</div>
        <div class="SCSLine"></div>
        <div class="SCSTitle">確認訂單</div>
    </section>
    
    <section>
        <h3 class="BkTitle pb-2" >客戶簡稱：<?php echo $CTM002." (".$CTM001.") </br>" ;?></h3>
        <h3 class="BkTitle pb-2"<?PHP echo ($IsDepositB2B == '1')?  "style='display:none;'":  ""; ?>>客戶預存金：<span class="ProdCustomPay"><?php echo "$".$SALCTM_CustomPay;?></span> <span style="font-size: 0.9rem;">(最後更新時間<?php echo $CTM904;?>)</span> <?php echo "</br>";?>
        <h3 class="BkTitle mt-2 pb-2 mb-2">購物清單 
            <a title="圖片" href="shopCartB2B.php?SN=<?php echo $_GET['SN']; ?>"><i class="fas fa-th-large"></i></a>&ensp;|
            <a title="條列" href="shopCartB2B_list.php?type=list&SN=<?php echo $_GET['SN']; ?>"><i class="fas fa-list"></i></a>
        </h3>
        <ul class="SCListBk">
            
            <?php echo $Lit_ProdItme; //[購物車]品項?>
        </ul>
        <div class="SBOTotalAmount">
            <div id="Viewa_FreightInfo" class="Shipping" <?PHP echo ($FreightTerm_Price>0 ) ? "  " : " style='display:none;' "; ?> >
                <span><?php echo  $FreightTermTitle;//運費條件說明  ?></span>
                收取運費<span class="FreightPrice">NT$ <?php echo  $FreightTerm_Price;//運費金額  ?></span>元
            </div>
            <div class="SBOTAtitle" >共<span><?php echo $Lit_ProdItemTotal;//產品項目 ?></span>項商品，數量<span class="ProdItemTotal" ><?php echo $Lit_ProdTotal;//產品數量?></span>個<div <?PHP echo ($IsPriceB2B == '2')?  "style='display:none;'":  "class='inline-block'"; ?>    >，總金額<span class="ProdFee">NT$ <?php echo (number_format(($Lit_CartPrice+$FreightTerm_Price),$CUR009)); //購物總金額?></span>元</div></div>
        </div>
        

        <div id="SC_6" class="SCBk">
          <h3 class="BkTitle">收件人資訊</h3>
          <div class="SCContent">
            <ul class="Picker">
              <li>

                  <label></label>
                  <input type="checkbox" id="pick" name="pick">
                  <span class="ckboxTxt">自取</span>

              </li>
              
              
              <li>
                <label></label>
                <!-- <span>從常用資料選擇</span> -->
                <select name="SALADR" id="SALADR" >
                  <?php  echo $Lit_SALADR;//常用人員 ?>
                  <option>從常用資料選擇</option>
                </select>
              </li>
                
              <li>
                <label>姓名：</label>
                <input type="text" id="COD045" name="COD045" value="<?php echo $ADR005 ?>">
              </li>

              <li>
                <label>手機：</label>
                <input type="text" id="COD049" name="COD049" maxlength="10" value="<?php echo $ADR006 ?>">
                <span id="MartWarring">*為確保您順利領取商品，請填寫正確姓名與手機號碼</span>
              </li>

              <div class="addressDiv">
                <li >
                  <label>郵遞區號：</label>
                  <div id="addr_2" class="TwZipCode"><!--Name => 縣市：ShopCounty, 鄉區：ShopDistrict, 郵遞區號：ShopZipcode--></div>
                        
                  <!-- <input id="COD010" name="COD010" type="text" value="<?php echo $ADR003 ?>"> -->
                </li>
                <li >
                  <label>地址：</label>
                  <input id="COD011" name="COD011" type="text" value="<?php echo $ADR004 ?>">
                </li>
              </div>

              <li>
                <label>備註：</label>                          
                <input type="text" id="COD1022" name="COD1022">
              </li>

              <li>
                <label class="noteNote"></label>
                <?php echo $RemarkNote_Content ?>
              </li>                   

              <li>
                <label></label>
                <input type="checkbox" id="memberUpdate" name="memberUpdate" class="memberInfo_update" value="1">
                <span class="ckboxTxt">同步收件人資訊到常用地址</span>
              </li>
            </ul>                
          </div>
        </div>

        <h3 class="BkTitle PickDate" <?PHP echo ($WEB01_SET005 <> '2')?  "style='display:none;'":  ""; ?>>預計出貨日</h3>
        <div class="SCListCS" <?PHP echo ($WEB01_SET005 <> '2')?  "style='display:none;'":  ""; ?>>
            <li>
              <label>日期：</label>
              <input type="text" id="COD1706" class="<?PHP echo ($WEB07_SET005 > 0 ) ? "COD1706O" : "COD1706"; ?>" name="COD1706" value="<?php echo $COD1706;//預計出貨日?>" readonly="readonly" >
              <input type="text" id="SelfPick" class="SelfPick" name="SelfPick" style="display:none;"  value="">
            </li>
            
            <div id="DeliverTimeInfo" class="mt-3" <?PHP echo ($WEB01_SET005 <> '2')?  "style='display:none;'":  ""; ?> >
              <a class="smart-btn ">
                <div class="smart-btn-content text-dark font-weight-bold" >
                    出貨週期（打開）▼
                </div>
              </a>
              <div id="setDeliveryDate" class="ScRadioBtn hidden">         
                <li>
                  <input type="checkbox" class="week " id="all" name="all" onclick="return false;">
                  <label for="all">全選</label>
                </li>

                <li>
                  <input type="checkbox" class="week" id="ship_mon" name="ship_mon" value="1" <?PHP echo ($ship_mon == "1") ?  " checked" :  "" ?> onclick="return false;">
                  <label for="ship_mon">星期一</label>
                </li>

                <li>
                  <input type="checkbox" class="week " id="ship_tue" name="ship_tue" value="2" <?PHP echo ($ship_tue == "1") ?  " checked" :  "" ?> onclick="return false;">
                  <label for="ship_tue">星期二</label>
                </li>

                <li>
                  <input type="checkbox" class="week " id="ship_wed" name="ship_wed" value="3" <?PHP echo ($ship_wed == "1") ?  " checked" :  "" ?> onclick="return false;">
                  <label for="ship_wed">星期三</label>
                </li>

                <li>
                  <input type="checkbox" class="week " id="ship_thu" name="ship_thu" value="4" <?PHP echo ($ship_thu == "1") ?  " checked" :  "" ?> onclick="return false;">
                  <label for="ship_thu">星期四</label>
                </li>
                <li>
                  <input type="checkbox" class="week " id="ship_fri" name="ship_fri" value="5" <?PHP echo ($ship_fri == "1") ?  " checked" :  "" ?> onclick="return false;">
                  <label for="ship_fri">星期五</label>
                </li>
                <li>
                  <input type="checkbox" class="week " id="ship_sat" name="ship_sat" value="6" <?PHP echo ($ship_sat == "1") ?  " checked" :  "" ?> onclick="return false;">
                  <label for="ship_sat">星期六</label>
                </li>

                <li>
                  <input type="checkbox" class="week " id="ship_sun" name="ship_sun" value="7" <?PHP echo ($ship_sun == "1") ?  " checked" :  "" ?> onclick="return false;">
                  <label for="ship_sun">星期日</label>
                </li>

              </div>
            </div>
        </div>

        <div class="SBODoubleButton fixBottom">
            <div>
                <a style='background: #603326;' href=<?PHP echo ($type_st=='list' ) ? "menu_list.php?type=list&SN=".$_GET['SN'] : "menu.php?SN=".$_GET['SN']; ?> >繼續選購</a>
                
                <input type="button" value="繼續選購" onclick="chk(2)" style='display:none;'>
            </div>
            <div>
                <input id="checkout_btn" type="button" value="結　　帳" onclick="chk(1)" >
                <INPUT TYPE="hidden" id="action" name="action" value="">
                <INPUT TYPE="hidden" id="FreightLimit" name="FreightLimit"  value="<?php echo $FreightLimit;//運費限制 ?>" >
                <INPUT TYPE="hidden" id="FreightPrice" name="FreightPrice"  value="<?php echo  $FreightTerm_Price;//運費金額  ?>" >
        <INPUT TYPE="hidden" id="CTM001" name="CTM001"  value="<?php echo  $CTM001;//  ?>" >
        <INPUT TYPE="hidden" id="memberchk" name="memberchk"  value="" >
        <INPUT TYPE="hidden" id="IsDepositB2B" name="IsDepositB2B"  value="<?php echo  $IsDepositB2B;//  ?>" >
            </div>
        </div>

    </section>

<!--內容開始-->
</article>
<?php //include("WUC_Footer.php"); ?>
  </div>
  <!--加入成功-->
  <div class="OrderOK">
      <div class="OrderOkBox">
        <div class="OrderOkImg">
        </div>
        <div class="OrderOkItem">淡香精</div>
        <div class="OrderOkTxt">成功加入購物車！</div>
      </div>
    </div>

    <!--訊息框-->
    <div id="error_popup" class="SendComplete">
      <div class="SendCompleteBox">
        <div class="SendCompleteTxt">訊息框</div>
        <div class="RegSendBtn">
          <input id="errorComplete" class="GoldBtn" type="button" value="確認" />
        </div>
      </div>
    </div>
 </form>
</body>


</html>
<script type="text/javascript" src="js/jquery.fancybox.min.js"></script>

<link href="css/jquery-ui.min.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="js/jquery-ui.js"></script>
<script>

  $('#pick').on('click', function(){
    if($('#pick').is(':checked')){
      $('#COD1706').hide();
      $('#SelfPick').show();
      $('.addressDiv').hide();//地址
      $('#COD011').val("");//地址
      $('#addr_2').twzipcode('reset');
      <?PHP echo ($WEB01_SET005 == '2')?  "$('#DeliverTimeInfo').hide();":  ""; ?>
      $('.PickDate').text("預計取貨日");

    }else{
      $('#COD1706').show();
      $('#SelfPick').hide();
      $('.addressDiv').show();//地址
      <?PHP echo ($WEB01_SET005 == '2')?  "$('#DeliverTimeInfo').show();":  ""; ?>
      $('.PickDate').text("預計出貨日");

    }

  })
</script>
<script>
    //設定中文語系
    $.datepicker.regional['zh-TW']={
      dayNames:["星期日","星期一","星期二","星期三","星期四","星期五","星期六"],
      dayNamesMin:["日","一","二","三","四","五","六"],
      monthNames:["一月","二月","三月","四月","五月","六月","七月","八月","九月","十月","十一月","十二月"],
      monthNamesShort:["一月","二月","三月","四月","五月","六月","七月","八月","九月","十月","十一月","十二月"],
      prevText:"上月",
      nextText:"次月",
      weekHeader:"週"
    };

    //將預設語系設定為中文
    $.datepicker.setDefaults($.datepicker.regional["zh-TW"]);

      $(function() {
          $( ".COD1706" ).datepicker(
              $.extend(
                  $.datepicker.regional['zh-TW'],
                  {
                      minDate:1,
                      maxDate:"+14D",
                      dateFormat:"yy-mm-dd",
                      beforeShowDay: nonWorkingDates
                  }
              )

          ).attr('readonly','readonly');

          $( ".SelfPick" ).datepicker(
              $.extend(
                  $.datepicker.regional['zh-TW'],
                  {
                      minDate:1,
                      maxDate:"+14D",
                      dateFormat:"yy-mm-dd",
                      beforeShowDay: SelfnonWorkingDates
                      
                  }
              )
          ).attr('readonly','readonly');

      });


      //Sunday = 0, Monday = 1, Tuesday = 2, Wednesday = 3, Thursday = 4, Friday = 5, Saturday = 6
      //設定 不出貨日
      function nonWorkingDates(date){
        let noopenDays='<?php echo $sendDaysArr; ?>';
        return setShowDays(date,noopenDays);
      }

      //設定 不自取日
      function SelfnonWorkingDates(date){
        // let noopenDays='[2,3]';
        let noopenDays='[]';
        return setShowDays(date,noopenDays);
      }

      function setShowDays(date,noopenDays){
        let obj=JSON.parse(noopenDays);
        
        let closedDates=[];
        // closedDates = [[10, 01, 2022], [10, 05, 2022]];

        let closedDays=[];
        for(i=0; i < obj.length ;i++){
          if(obj[i]==7){
            stringArr=[0];
          }else{
            stringArr=[obj[i]];
          }
          closedDays.push(stringArr);
        }

        let day = date.getDay(), Sunday = 0, Monday = 1, Tuesday = 2, Wednesday = 3, Thursday = 4, Friday = 5, Saturday = 6;
        for (let i = 0; i < closedDays.length; i++) {
            if (day == closedDays[i][0]) {
                return [false];
            }
        }

        for (i = 0; i < closedDates.length; i++) {
            if (date.getMonth() == closedDates[i][0] - 1 &&
            date.getDate() == closedDates[i][1] &&
            date.getFullYear() == closedDates[i][2]) {
                return [false];
            }
        }

        return [true];
      }


</script>

<!-- PHP_script-->
<script language="JavaScript">
  <?php
  if ($showBox_Flag == 1) //是否開啟訊息框 1:開啟 2:不開啟)
  {
    if ($showBox_Msg == "") {
      //註冊成功
  ?>
      $("#error_popup").fadeIn();
    <?php

    } else {
      //檢核失敗
    ?>
      $('#error_popup').find('.SendCompleteTxt').text('<?php echo $showBox_Msg; //訊息 ?>');
      $('#error_popup').fadeIn();
  <?php

    }
  }
  ?>

  //[訊息框]確認按鈕
  $("#errorComplete").click(function() {
    <?php
    if ($showBox_Link == "") {
    ?>
      $("#error_popup").fadeOut();
    <?php
    } else {
    ?>
      window.location.href = "<?php echo $showBox_Link; //連結資訊 ?>";

    <?php
    }
    ?>
  });
</script>

<script>

    //關閉加入購物車
    $(".OrderOK").click(function()
    {
    $(".OrderOK").fadeOut();
    // window.location.href="index.php";
    });

    //[訊息框]確認按鈕
    $("#errorComplete").click(function(){
    $("#error_popup").fadeOut();

});
</script>

<!--_Start-->
<!--縣市鄉區快捷 https://code.essoduke.org/twzipcode/-->
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/jquery-twzipcode@1.7.14/jquery.twzipcode.min.js"></script>
<script>
$('#addr_2').twzipcode({
    countyName: 'COD1012', // 預設值為 county
    districtName: 'COD1013', // 預設值為 district
    zipcodeName: 'COD010', // 預設值為 zipcode
    countySel: '<?php echo $ADR702; //收件人-城市?>', //縣市預設值
    districtSel: '<?php echo $ADR703; //收件人-行政區 ?>', //鄉鎮市區預設值
    zipcodeSel: '<?php echo $ADR003; //?>' //鄉鎮市區預設值
});
</script>


<script>

  
  // $('#all').on('click', function(){
    
  //   if($('#all').is(':checked')){
  //     $('.week').prop('checked', true);
  //   }else{
  //     $('.week').prop('checked', false);
  //   }
  // });

  $('#pick').on('click', function(){
    if($('#pick').is(':checked')){
      $('#COD1706').attr('readonly',false);
      $('.addressDiv').hide();//地址
      $('#COD011').val("");//地址
      $('#addr_2').twzipcode('reset');

    }else{
      $('#COD1706').attr('readonly',true);
      $('.addressDiv').show();//地址

    }
  })
</script>

<script>

//總金額
 function FormatNumber(n) 
  {
    n += "";
    let arr = n.split(".");
    let re = /(\d{1,3})(?=(\d{3})+$)/g;
    return arr[0].replace(re, "$1,") + (arr.length == 2 ? "." + arr[1] : "");
  }
  //[增加]千分位
function calcTotal() 
{
    let blocks = $('.SPBkItem');
    let subtotal = 0;//小計
    let total = 0;//總金額
    let FreightLimitFreightLimit=parseInt($('#FreightLimit').val());//運費限制
    let FreightPrice=parseInt($('#FreightPrice').val());//運費金額




    blocks.each(function (index, elem) 
    {
          let block = $(elem);

          // let price = parseInt(block.data('price'));
          let price = block.data('price');
          let count = parseInt(block.find('.prodCounter .order_count').val());

          subtotal += price * count;
    });
    total = subtotal;


    let ProdItemTotal=0;
    $("input.prodCounter").each(function()
    {
       let order_count =$(this).val();//數量
       ProdItemTotal=parseInt(ProdItemTotal)+ parseInt(order_count);
    });

    $('.ProdItemTotal').html(ProdItemTotal);//[項目]總計
    $('.FreightPrice').html('$ ' + FreightPrice);//運費
    $('.ProdFee').html('$ ' + FormatNumber((total+FreightPrice).toFixed(<?php echo $SET005 ?>)));//總計


}


    $(document).ready(function() 
    {

        var min = 1;//最少數量限制

        //[增加]按鈕
        $(".add_btn").on("click", function () 
        {
            let self = $(this);
            let block = self.parent().parent().parent().parent();
            let counterBlock = block.find('.prodCounter');//計數器區塊
            let subs_btn = counterBlock.find('.subs_btn');//[減少]按鈕
            let order_count = counterBlock.find('.order_count');//數量
            let maxcount = block.data('maxcount') || 1; //商品數量限制
            let mincount=block.data('minimum');//最低訂購量
            let WEB02_SET005 = block.data('web02'); //庫存量不足限制
            let stockunit = block.data('stockunit');//交易單位

            let price =  block.data('price');//價格
            let SPBsubPrice = block.find('.SPBsubPrice');//小計
            let xut =  block.data('xut');//單位
            let pid =  parseInt(block.data('pid'));//產品ID

            let current_val = parseInt(order_count.val());//當前數量

            let SalesMultiple = parseFloat(block.data('salesmultiple'));//交易倍量
            let addAmount=1; //增加訂購量

            if(SalesMultiple>0 && mincount>0 && stockunit == xut){
                addAmount=mincount*SalesMultiple; 
            }

            if (!isNaN(current_val)) 
            {
                if (current_val == maxcount && WEB02_SET005 == 'T') 
                {
                    showMessage('訂購數量已超過庫存量。');
                    return false;
                }
                current_val += addAmount;
                order_count.val(current_val);
                editCart(xut,pid,current_val);//修改購物車金額
            
            } else {
            order_count.val(min);
            editCart(xut,pid,min);//修改購物車金額
            
            }

             //最小訂購量
            if (current_val < mincount && stockunit == xut) {
                order_count.val(mincount);
                editCart(xut,pid,mincount);//修改購物車金額
            }
            if(maxcount < mincount && WEB02_SET005=='T'){
                order_count.val(0);
                editCart(xut,pid,0);//修改購物車金額

                alert('庫存低於最低訂購量'+ mincount)
            }
            

            let SubTotal = 0;//小計金額
            let count = parseInt( order_count.val());
            SubTotal = (price * count).toFixed(<?php echo $SET005 ?>);
            SPBsubPrice.html(FormatNumber(SubTotal));

            setSubsBtnStyle(subs_btn, order_count.val(), min);

            calcTotal();//總金額

        });

        $(".ItemNote").on("change",function(){

          let self = $(this);
          let block = self.parent().parent().parent().parent();
          let xut =  block.data('xut');//單位
          let pid =  parseInt(block.data('pid'));//產品ID
          let itemNote =self.val().trim();  //商品備註
          console.log(xut+ "/" +pid+ "/" +itemNote)
          editCartNote(xut,pid,itemNote);//修改購物車商品備註


        });


        //[減少]按鈕
        $(".subs_btn").on("click", function () 
        {
            let self = $(this);
            let block = self.parent().parent().parent().parent();
            let counterBlock = block.find('.prodCounter');//計數器區塊
            let order_count = counterBlock.find('.order_count');//數量
            let price =  block.data('price');//價格
            let SPBsubPrice = block.find('.SPBsubPrice');//小計
            let xut =  block.data('xut');//單位
            let mincount=block.data('minimum');//最低訂購量

            let pid =  parseInt(block.data('pid'));//產品ID
            let stockunit = block.data('stockunit');//交易單位
            
            let current_val = parseInt(order_count.val());//當前數量
            let SalesMultiple = parseFloat(block.data('salesmultiple'));//交易倍量
            let addAmount=1; //增加訂購量

            
            if(SalesMultiple>0 && mincount>0 && stockunit == xut){    //交易倍量與最小訂購量都大於0才相乘
                addAmount=mincount*SalesMultiple; 
            }

            if (!isNaN(current_val)) 
            {
               

                //最小訂購量
                if (current_val <= mincount && stockunit == xut) {
                    
                    // alert('最小訂購量為' +mincount);
                    order_count.val(mincount);
                    editCart(xut,pid,mincount);//修改購物車金額

                }else{

                  if (current_val <= min) 
                  {
                  return false;
                  }
                  current_val -= addAmount;
                  order_count.val(current_val);
                  editCart(xut,pid,current_val);//修改購物車金額
              

                  if (current_val == min) 
                  {
                    setSubsBtnStyle(self, current_val, min);
                  }
                  
                }

            } else {
              if(stockunit == xut){
                order_count.val(mincount);
                editCart(xut,pid,mincount);//修改購物車金額

              }else{
                order_count.val(1);
                editCart(xut,pid,1);//修改購物車金額
                setSubsBtnStyle(self, order_count.val(), min);
              }
            }

            



            

            let SubTotal = 0;//小計金額
            let count = parseInt( order_count.val());
            SubTotal = (price * count).toFixed(<?php echo $SET005 ?>);
            SPBsubPrice.html(FormatNumber(SubTotal));

            setSubsBtnStyle(self, order_count.val(), min);

            calcTotal();//總金額

        });

        var beforeVal="";

        $(".ProductsInputBox .prodCounter").on("click", function(){
            
            beforeVal=$(this).val();
        });

        $(".ProductsInputBox .prodCounter").on("change", function() {
            //判斷輸入筆數是否超出庫存
            event.preventDefault();
            let self = $(this);
            let block = self.parent().parent().parent().parent();
            let counterBlock = block.find('.prodCounter');//計數器區塊
            let order_count = counterBlock.find('.order_count');//數量
            let price =  block.data('price');//價格
            let SPBsubPrice = block.find('.SPBsubPrice');//小計
            let xut =  block.data('xut');//單位
            let maxcount = block.data('maxcount') || 1; //商品數量限制
            let mincount=block.data('minimum');//最低訂購量
            let WEB02_SET005 = block.data('web02'); //庫存量不足限制
            let pid =  parseInt(block.data('pid'));//產品ID
            let stockunit = block.data('stockunit');//交易單位
            
            let current_val = parseInt(order_count.val());//當前數量
            let SalesMultiple = parseFloat(block.data('salesmultiple'));//交易倍量
            let addAmount=1; //增加訂購量

            console.log("prodCounter");

          
            if(SalesMultiple>0 && mincount>0 && stockunit == xut){    //交易倍量與最小訂購量都大於0才相乘
                addAmount=mincount*SalesMultiple; 
            }
            

            if((current_val%addAmount)!=0 && stockunit == xut){   //除不盡無法新增
                alert('訂購量以'+addAmount+'為單位');
                order_count.val(beforeVal);
                editCart(xut,pid,beforeVal);//修改購物車金額
                return false;
            }


            if (!isNaN(current_val)) {
                if (current_val > maxcount  && WEB02_SET005=='T') {
                    alert('訂購數量已超過庫存量。 ');
                    order_count.val(0);
                    editCart(xut,pid,0);//修改購物車金額

                    return false;
                }

                //最小訂購量
                if (current_val <= mincount && stockunit == xut) {
                    alert('此商品最低訂購量'+ mincount);
                    order_count.val(mincount);
                    editCart(xut,pid,mincount);//修改購物車金額

                }else{
                  editCart(xut,pid,current_val)
                }

                
            } else {                       
                
                if(stockunit == xut){
                  order_count.val(mincount);
                  editCart(xut,pid,mincount);//修改購物車金額

                }else{
                  order_count.val(1);
                  editCart(xut,pid,1);//修改購物車金額
                  setSubsBtnStyle(self, order_count.val(), min);
                }

            }

            

            if(maxcount < mincount && WEB02_SET005=='T'){
                order_count.val(0);
                alert('庫存低於最低訂購量'+ mincount)
                editCart(xut,pid,0);//修改購物車金額

            }

            let SubTotal = 0; //小計金額
            let count = parseFloat(order_count.val());
            SubTotal = (price * count).toFixed(<?php echo $SET005 ?>);
            SPBsubPrice.html(FormatNumber(SubTotal));

            calcTotal(); //總金額

            
        });

        

        //設定[減少]數量的按鈕的over樣式
        //btn:減少數量的按鈕
        //count:數量
        //min:最小值
        function setSubsBtnStyle(btn, count, min) 
        {
            if (count > min) 
            {
            btn.removeClass('Over');
            } else {
            btn.addClass('Over');
            }
        }


        //顯示訊息
        function showMessage(message) 
        {
            let block = $('#error_popup');
            let textblock = block.find('.SendCompleteTxt');
            textblock.text(message);
            block.fadeIn();
        }

        calcTotal() ;

    });




</script>

<script>

//修改購物車金額
function editCart(xut,pid,count) 
{

    let result = {};
   result.items = [];

   let prodObj = {};
   prodObj.pid = pid;//PID
   prodObj.count = count;//數量
   prodObj.Fid = xut; //單位
   prodObj.Cate = 'B2B';

   result.items.push(prodObj);  
   console.log(JSON.stringify(result));


    $.ajax({
          url: 'API/API_editCart.php',
          data: JSON.stringify(result),
          contentType: 'application/json',
          processData: false,
          xhrFields: {
            withCredentials: true,
          },
          method: 'POST',
    }).then(
          function (data, textStatus, jqXHR) {
            //
            console.log(data);

            if (data.Status == 'Success') {
              //showSuccessMessage('儲存完成');
              // block.find('.SPItemEditBk').slideToggle();
            } else {
              console.log('Save Error Msg:' + data.Desc);

              showErrorMessage(data.Desc);
            }
          },
          function (jqXHR, textStatus, errorThrown) {
            console.log(textStatus);
            showErrorMessage('儲存失敗。');
          }
     );


}
</script>  

<script>
//修改購物車備註
function editCartNote(xut,pid,note) 
{

    let result = {};
   result.items = [];

   let prodObj = {};
   prodObj.pid = pid;//PID
   prodObj.note = note;//備註
   prodObj.Fid = xut;//單位
   prodObj.Cate = 'B2B';

   result.items.push(prodObj);  
   console.log(JSON.stringify(result));


    $.ajax({
          url: 'API/API_editCartNote.php',
          data: JSON.stringify(result),
          contentType: 'application/json',
          processData: false,
          xhrFields: {
            withCredentials: true,
          },
          method: 'POST',
    }).then(
          function (data, textStatus, jqXHR) {
            //
            console.log(data);

            if (data.Status == 'Success') {
              //showSuccessMessage('儲存完成');
              // block.find('.SPItemEditBk').slideToggle();
            } else {
              console.log('Save Error Msg:' + data.Desc);

              showErrorMessage(data.Desc);
            }
          },
          function (jqXHR, textStatus, errorThrown) {
            console.log(textStatus);
            showErrorMessage('儲存失敗。');
          }
     );


}
</script>   



<script>

  //移除產品-桌面板
  $('.RemoveBtn').click(function () 
  {

    let itemid = $(this).parent().parent().parent().data('pid');//第幾個Cookie
    let xut = $(this).parent().parent().parent().data('xut');   //單位

    let result = {
      itemid: itemid,
      xut: xut
    };
    console.log(JSON.stringify(result));

     $.ajax({
      url: 'API/API_DelCart.php',
      data: JSON.stringify(result),
      contentType: 'application/json',
      processData: false,
      xhrFields: {
        withCredentials: true,
      },
      method: 'POST',
    }).then(
      function (data, textStatus, jqXHR) {
        //
        console.log(data);

        if (data.Status == 'Success') {
          //成功加入購物車跳出
         
           //alert("刪除成功");
           location.reload();
        } else {
          console.log('Prodinfo Error Msg:' + data.Desc);
          
          //alert("刪除失敗");
          location.reload();
         
        }
      },
      function (jqXHR, textStatus, errorThrown) {
        console.log(textStatus);
        //alert("刪除失敗!");
      }
    );
  
    
  });

  //移除產品-手機板
  $('.RemoveBtn_mobile').click(function () 
  {

    let itemid = $(this).parent().parent().parent().parent().data('pid');//第幾個Cookie
    let xut = $(this).parent().parent().parent().parent().data('xut');   //單位

    let result = {
      itemid: itemid,
      xut: xut
    };
    console.log(JSON.stringify(result));

     $.ajax({
      url: 'API/API_DelCart.php',
      data: JSON.stringify(result),
      contentType: 'application/json',
      processData: false,
      xhrFields: {
        withCredentials: true,
      },
      method: 'POST',
    }).then(
      function (data, textStatus, jqXHR) {
        //
        console.log(data);

        if (data.Status == 'Success') {
          //成功加入購物車跳出
         
           //alert("刪除成功");
           location.reload();
        } else {
          console.log('Prodinfo Error Msg:' + data.Desc);
          
          //alert("刪除失敗");
          location.reload();
         
        }
      },
      function (jqXHR, textStatus, errorThrown) {
        console.log(textStatus);
        //alert("刪除失敗!");
      }
    );
  
    
  });
</script>   

<script language="JavaScript">
function chk(types)
{
    var flag="0";
   
    if($('#pick').is(':checked')){

      if (document.myForm.COD045.value == "") 
      {
        alert("請輸入【姓名】");
        document.myForm.COD045.focus();
        flag = "1";
        return false;

      } 


      if (document.myForm.COD049.value == "") 
      {
        alert("請輸入【手機號碼】");
        document.myForm.COD049.focus();
        flag = "1";
        return false;

      } else {
        var regExp =/^09[0-9]{2}[0-9]{6}$/ ; 
        if (!regExp.test(document.myForm.COD049.value)) 
        {
          alert("【手機號碼格式錯誤,ex:0912654321】");
          document.myForm.COD049.focus();
          return false;
        }

      }

      if (document.myForm.SelfPick.value == "") 
      {
        alert("請選擇【取貨日期】");
        document.myForm.SelfPick.focus();
        flag = "1";
        return false;

      } 
      
    }else{

      if (document.myForm.COD045.value == "") 
      {
        alert("請輸入【姓名】");
        document.myForm.COD045.focus();
        flag = "1";
        return false;

      } 


      if (document.myForm.COD049.value == "") 
      {
        alert("請輸入【手機號碼】");
        document.myForm.COD049.focus();
        flag = "1";
        return false;

      } else {
        var regExp =/^09[0-9]{2}[0-9]{6}$/ ; 
        if (!regExp.test(document.myForm.COD049.value)) 
        {
          alert("【手機號碼格式錯誤,ex:0912654321】");
          document.myForm.COD049.focus();
          return false;
        }

      }

      // if (document.myForm.COD010.value=="")
      // {
      //   alert("請輸入【郵遞區號】");
      //   document.myForm.COD010.focus();
      //   flag="1";
      //   return false;
      // }

      if ($("select[name='COD1012']").val() == "") {        
        alert("請選擇【縣市】");
        $("select[name='COD1012']").focus();
        flag="1";
        return false;
      }

      if ($("select[name='COD1013']").val() == "") {
        alert("請選擇【鄉鎮市區】");
        $("select[name='COD1013']").focus();
        flag="1";
        return false;        
      }

      if ($("input[name='COD010']").val() == "") {
        alert("請選擇【郵遞區號】");
        $("select[name='COD010']").focus();
        flag="1";
        return false;       
      }


      if (document.myForm.COD011.value=="")
      {
        alert("請輸入【地址】");
        document.myForm.COD011.focus();
        flag="1";
        return false;
      }
    }

    ProdFee=parseInt(Clear_FormatNumber($('.ProdFee').html()));
    ProdCustomPay=parseInt(Clear_FormatNumber($('.ProdCustomPay').html()));
    IsDepositB2B=$('#IsDepositB2B').val();
    if (IsDepositB2B=="2")
    {
        if(ProdFee>ProdCustomPay)
        {
            alert("預存金不足，不可下單");
            flag="1";
            return false;
        }
    }

    if (flag=="1")
    {
        return false; 
    }else{ 

        if(types=="1")
        {
            document.myForm.action.value='add';
        }

        document.getElementById("checkout_btn").disabled = true;
        document.getElementById("checkout_btn").style.display="none"; 
        $(".loading_container").show();

        document.myForm.submit();

        return false;
    }
}
</script>   

<script>

 

  $("#SALADR").change(selectFun);

  function selectFun(value) {
    let switchValue = $(this).val();
    let CTM001 = $('#CTM001').val();

    let result = {
      SN: CTM001,
      ADR002:switchValue
    };
    console.log(result);
    $.ajax({
      url: 'API/API_GetSALADR.php',
      data: JSON.stringify(result),
      contentType: 'application/json',
      processData: false,
      xhrFields: {
        withCredentials: true,
      },
      method: 'POST',
    }).then(
      function (data, textStatus, jqXHR) {
        //
        console.log(data);

        if (data.Status == 'Success') {
          $("select[name='COD1012']").val("");//郵遞區號
          $("select[name='COD1013']").val("");//郵遞區號
          $("input[name='COD010']").val(data.ADR003);//郵遞區號
          $("input[name='COD010']").keyup();
          $('#COD011').val(data.ADR004);//地址
          $('#COD045').val(data.ADR005);//姓名
          $('#COD049').val(data.ADR006);//手機

          
        } else {
          console.log('Prodinfo Error Msg:' + data.Desc);
      
      //alert("刪除失敗");
      location.reload();
         
        }
      },
      function (jqXHR, textStatus, errorThrown) {
        console.log(textStatus);
        //alert("刪除失敗!");
      }
    );
  }


  $(document).on("change", '#memberUpdate', function () {
  
    if($("#memberUpdate").prop("checked")) {
        $('#memberchk').val('T');
     } else {
        $('#memberchk').val('F');
     }
  });

  //---- 開關 ----//
  $(function() {

    $(".smart-btn").click(function (e) {
      e.preventDefault();
      if ($("#setDeliveryDate").hasClass("hidden")) {
        $("#setDeliveryDate").removeClass("hidden");
        $(".smart-btn-content").html('出貨週期設定（收回）△');
      } else {
        $("#setDeliveryDate").addClass("hidden");
        $(".smart-btn-content").html('出貨週期設定（打開）▼');
      }
    });
});



  function Clear_FormatNumber(str) 
  {
    str=str.replace(new RegExp("[$,]","gm"),"");//g:執行全域性匹配 m:執行多行匹配。
    //str=str.replace(new RegExp(",","gm"),"");//g:執行全域性匹配 m:執行多行匹配。

    return str;
  }
</script>   
