<?php


//===============================================
//載入[過期時間] 
//用預計出貨日回推過期時間
// SET701=1  SET702=23:15  COD1706=2022/07/17
// COD1707=2022/07/16 23:15
//$COD1706:預計出貨日
//===============================================
function load_COD1707($COD1706)
{
    $tool = new tool();

    $d1_sql="";
    $d1_sql=$d1_sql." select * from BASSET ";
    $d1_sql=$d1_sql." where SET002='WEB01' ";
   
    $d1_count=0;
    $d1_str="";
    global $_DB;//注意這行
    $db1=new DB();
    $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db1->query($d1_sql);
    while ($result = $db1->fetch_array())
    {
        $d1_count=$d1_count+1;
        $SET005=$result["SET005"];//
        $SET702=$result["SET702"];//過期時間-日
        $SET703=$result["SET703"];//過期時間-時間
    }
    $db1->close_Mysql();
    $date3 = date("Y-m-d", strtotime($COD1706.'- '.$SET702.' days'));
    $COD1707=$date3." ".$SET703;
 
    return $COD1707;
}




//===============================================
//載入[數量小數點取位]
//===============================================
function Load_BASSET()
{
    //參數=======================================
     global $SET005;//數量取位 　　(商品)
     global $CUR008;//單身金額取位 (銷貨 -訂單)
     global $CUR009;//單尾金額取位 (銷貨)
     global $CUR010;//單身金額取位 (進貨 -金額 商品基本資料)
     global $CUR011;//單尾金額取位 (進貨)
     global $CUR012;//稅額小數取位
     global $WEB02_SET005;//庫存量不足限制 
     global $WEB03_SET005;//menu預設狀態設定
     global $WEB01_SET005;//容器下傳模式
     global $WEB01_SET702;//收單天數
     global $WEB01_SET703;//收單時間
     global $WEB06_SET005;//客戶特惠價的期限
     global $WEB07_SET005;//+天數
    //參數=======================================

    $d1_sql="";
    $d1_sql=$d1_sql." select * FROM BASSET where SET002='SYS27' ";
              
    $d1_count=0;
    $d1_st="";
    global $_DB;//注意這行 
    $db1=new DB();
    $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db1->query($d1_sql);
    while ($result = $db1->fetch_array())
    {

        $SET005=$result["SET005"];//
        
    }
    $db1->close_Mysql(); 

    $d2_sql="";
    $d2_sql=$d2_sql." select CUR008,CUR009,CUR010,CUR011,CUR012 FROM BASCUR where CUR001='TWD' ";
              
    $d2_count=0;
    $d2_st="";
    global $_DB;//注意這行 
    $db2=new DB();
    $db2->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db2->query($d2_sql);
    while ($result2 = $db2->fetch_array())
    {
        $CUR008=$result2["CUR008"];// 
        $CUR009=$result2["CUR009"];// 
        $CUR010=$result2["CUR010"];//單身金額取位
        $CUR011=$result2["CUR011"];//單尾金額取位
        $CUR012=$result2["CUR012"];//稅額小數取位
    }
    $db2->close_Mysql(); 

    $d3_sql="";
    $d3_sql=$d3_sql." select * FROM BASSET where SET002='WEB02' ";
              
    $d3_count=0;
    $d3_st="";
    global $_DB;//注意這行 
    $db3=new DB();
    $db3->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db3->query($d3_sql);
    while ($result3 = $db3->fetch_array())
    {

        $WEB02_SET005=$result3["SET005"];//
        
    }
    $db3->close_Mysql(); 


    $d4_sql="";
    $d4_sql=$d4_sql." select * FROM BASSET where SET002='WEB03' ";
              
    $d4_count=0;
    $d4_st="";
    global $_DB;//注意這行 
    $db4=new DB();
    $db4->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db4->query($d4_sql);
    while ($result4 = $db4->fetch_array())
    {

        $WEB03_SET005=$result4["SET005"];//
        
    }
    $db4->close_Mysql(); 


    $d5_sql="";
    $d5_sql=$d5_sql." select * FROM BASSET where SET002='WEB01' ";
              
    $d5_count=0;
    $d5_st="";
    global $_DB;//注意這行 
    $db5=new DB();
    $db5->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db5->query($d5_sql);
    while ($result5 = $db5->fetch_array())
    {

        $WEB01_SET005=$result5["SET005"];//
        $WEB01_SET702=$result5["SET702"];//
        $WEB01_SET703=$result5["SET703"];//
        
    }
    $db5->close_Mysql();



    $d6_sql="";
    $d6_sql=$d6_sql." select * FROM BASSET where SET002='WEB06' ";
              
    $d6_count=0;
    $d6_st="";
    global $_DB;//注意這行 
    $db6=new DB();
    $db6->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db6->query($d6_sql);
    while ($result6 = $db6->fetch_array())
    {
        $SET005_web06=$result6["SET005"];//客戶特惠價的期限

        switch ($SET005_web06) {
            case 1:
                $WEB06_SET005=0;
                break;
            case 2:
                $WEB06_SET005=30*3;//3個月
                break;
            case 3:
                $WEB06_SET005=30*6;//6個月
                break;
            case 4:
                $WEB06_SET005=30*12;//12個月
                break;
            case 5:
                $WEB06_SET005=30*24;//24個月
                break;
            case 6:
                $WEB06_SET005=30*36;//36個月
                break;
            default:
                $WEB06_SET005=0;
                break;
        }
    }
    $db6->close_Mysql();


    $d7_sql="";
    $d7_sql=$d7_sql." select * FROM BASSET where SET002='WEB07' ";
              
    $d7_count=0;
    $d7_st="";
    global $_DB;//注意這行 
    $db7=new DB();
    $db7->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db7->query($d7_sql);
    while ($result7 = $db7->fetch_array())
    {
        $WEB07_SET005=$result7["SET005"];//+天數
    }
    $db7->close_Mysql();

}


//===============================================
//更新[訂單稅額]
//$$COE001:訂單編號
//===============================================
function Update_PURCOD_TaxPrice($COE001)
{
    global $SET005;//數量取位
    global $CUR008;//單身金額取位
    global $CUR009;//單尾金額取位
    global $CUR012;//稅額小數取位
        Load_BASSET();
        $BuyTeamPlatform="ERP";//平台
        $ProdInfo_Cate=$BuyTeamPlatform;//[產品資訊]平台分類 
        $d1_sql="";
        $d1_sql=$d1_sql." select * FROM BASSET where SET002='SYS05' ";

        $d1_count=0;
        $d1_st="";
        global $_DB;//注意這行 
        $db1=new DB();
        $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
        $db1->query($d1_sql);
        while ($result = $db1->fetch_array())
        {
            $d1_count=$d1_count+1;
            $SYS05=$result["SET005"];//稅額的計算方式 整張:T  單身單筆:F

        }
        $db1->close_Mysql(); 
        
        $d2_sql="";
        $d2_sql=$d2_sql." select * from PURCOE ";
        $d2_sql=$d2_sql." join PURCOD on COE001=COD001 ";
        $d2_sql=$d2_sql." join SALCTM on CTM001=COD004 ";
        $d2_sql=$d2_sql." left join ProdInfo on ProdInfo_Number = COE003 and ProdInfo_Cate='$ProdInfo_Cate' ";
        $d2_sql=$d2_sql." where ";
        $d2_sql=$d2_sql."        COE001='$COE001' ";

        $COD056_Total=0; //未稅金額合計
        $COD057_Total=0; //本幣金額合計
        $COD017_Total=0; //金額合計
        $COD019_Total=0; //本幣合計
        $COD018_Total=0; //本幣稅額
        $COD020_Total=0; //原幣稅額
        $untaxed_Total=0; //不計稅未稅金額

        $ProdSub_Total=0;//小計
        global $_DB;
        $db2=new DB();
        $db2->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
        $db2->query($d2_sql);
        while($result2 = $db2->fetch_array())
        {     
            $COE021=0;//原幣稅額
            $COE022=0;//本幣稅額
            $COE010=0;//金額
            $COE011=0;//金額
            $COE034=0;//未稅金額
            $COE035=0;//未稅金額
            $untaxed=0;//不計稅未稅金額

            $CTM032= $result2["CTM032"];//課稅別
            $CTM033= $result2["CTM033"];//發票聯式

            $COE006=round($result2["COE006"],$SET005);
            $COE007=round($result2["COE007"],$CUR008);
            $COE011=round($result2["COE011"],$CUR008);
            $COE021=round($result2["COE021"],$CUR008);

            $ProdSub_Total=  $ProdSub_Total+$COE006*$COE007; 
             if(!empty($result2["ProdInfo_IsTax"])){
                 $ProdInfo_IsTax= $result2["ProdInfo_IsTax"]; //T:不計算  F:計算
             }else{
                 $ProdInfo_IsTax='T';
             }

            if($ProdInfo_IsTax=='T'){
                $COE021=0;//原幣稅額
                $COE022=0;//本幣稅額
                $COE010=round($COE006*$COE007,$CUR008);//金額
                $COE011=$COE010;//金額
                $COE034=$COE010;//未稅金額
                $COE035=$COE010;//未稅金額
            }else{
                
                if($CTM032==1){
                    //未稅
                    $COE021=round($COE006*$COE007*$result2["COE020"],$CUR012);//原幣稅額
                    $COE022=$COE021;//本幣稅額
                    $COE010=round($COE006*$COE007,$CUR008);//金額
                    $COE011=$COE010;//金額
                    $COE034=round($COE006*$COE007,$CUR008);//未稅金額
                    $COE035=$COE034;//未稅金額
                    $untaxed=$COE034;//不計稅未稅金額
                }elseif($CTM032==4){
                    //含稅
                    
                    $COE010=round($COE006*$COE007,$CUR008);//金額
                    $COE011=$COE011;//金額
                    $COE034=round($COE010/1.05,$CUR008);//未稅金額
                    $COE035=$COE034;//未稅金額
                    $COE021=round($COE010-$COE034,$CUR012);//原幣稅額
                    $COE022=$COE021;//本幣稅額
                    $untaxed=$COE034;//不計稅未稅金額
                }else{
                    $COE021=0;//原幣稅額
                    $COE022=0;//本幣稅額
                    $COE010=round($COE006*$COE007,$CUR008);//金額
                    $COE011=$COE011;//金額
                    $COE034=round($COE006*$COE007,$CUR008);//未稅金額
                    $COE035=round($COE006*$COE007,$CUR008);//未稅金額
                }
            }
            $COE002=$result2["COE002"];
        
            $d4_sql="";
            $d4_sql=$d4_sql." Update PURCOE   ";
            $d4_sql=$d4_sql."   set  ";
            $d4_sql=$d4_sql."      COE021='$COE021', ";
            $d4_sql=$d4_sql."      COE022='$COE022', ";
            $d4_sql=$d4_sql."      COE010='$COE010', ";
            $d4_sql=$d4_sql."      COE011='$COE011', ";
            $d4_sql=$d4_sql."      COE034='$COE034', "; 
            $d4_sql=$d4_sql."      COE035='$COE035' ";
            $d4_sql=$d4_sql." where ";
            $d4_sql=$d4_sql."        COE001='$COE001' and COE002='$COE002' ";
            $d4_sql;
            $d4_status = 0;
            global $_DB; //注意這行
            $db4 = new DB();
            $db4->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
            $d4_status = $db4->query($d4_sql);
            $db4->close_Mysql();

            $COD018_Total=$COD018_Total+$COE021; //本幣稅額
            $COD020_Total=$COD020_Total+$COE022; //原幣稅額
            $COD017_Total=$COD017_Total+$COE010; //金額合計
            $COD019_Total=$COD019_Total+$COE011; //本幣合計
            $COD056_Total=$COD056_Total+$COE034; //未稅金額合計
            $COD057_Total=$COD057_Total+$COE034; //未稅金額合計
            $untaxed_Total=$untaxed_Total+$untaxed; //不計稅未稅金額

        }
        $db2->close_Mysql();
       
        if($SYS05=='T'){
        //整張:T

            if($CTM032==1){
                //未稅
                $COD018=round($COD056_Total*0.05,$CUR012); //本幣稅額 
                $COD020=$COD018; //原幣稅額
                $COD017=round($COD056_Total+$COD018,$CUR009); //金額合計
                $COD019=$COD017; //本幣合計
                $COD056=round($COD056_Total,$CUR009);//未稅金額合計
                $COD057=$COD056;//未稅金額合計

            }elseif($CTM032==4){
                //含稅
                $COD017=round($COD017_Total,$CUR009); //金額合計
                $COD019=$COD017; //本幣合計
                $COD056=round($COD017_Total/1.05,$CUR009);//未稅金額合計
                $COD057=$COD056;//未稅金額合計
                $COD018=round($COD017_Total-$COD056,$CUR012); //本幣稅額
                $COD020=$COD018; //原幣稅額
            }else{
                $COD017=$COD017_Total; //金額合計
                $COD019=$COD017; //本幣合計
                $COD018=0; //本幣稅額
                $COD020=0; //原幣稅額
                $COD056=$COD017_Total;//未稅金額合計
                $COD057=$COD056;//未稅金額合計
            }

        }else{
            $COD017=round($COD017_Total,$CUR009); //金額合計
            $COD019=round($COD019_Total,$CUR009); //本幣合計
            $COD018=round($COD018_Total,$CUR012); //本幣稅額
            $COD020=round($COD020_Total,$CUR012); //原幣稅額
            $COD056=round($COD056_Total,$CUR009);//未稅金額合計
            $COD057=round($COD057_Total,$CUR009);//未稅金額合計
        }
        
        
        $d5_sql="";
        $d5_sql=$d5_sql." Update PURCOD   ";
        $d5_sql=$d5_sql."   set  ";
        $d5_sql=$d5_sql."      COD017='$COD017', ";
        $d5_sql=$d5_sql."      COD019='$COD019', ";
        $d5_sql=$d5_sql."      COD018='$COD018', ";
        $d5_sql=$d5_sql."      COD020='$COD020', ";
        $d5_sql=$d5_sql."      COD051='$CTM033', ";
        $d5_sql=$d5_sql."      COD052='$CTM032', ";
        $d5_sql=$d5_sql."      COD056='$COD056', "; 
        $d5_sql=$d5_sql."      COD057='$COD057' ";
        $d5_sql=$d5_sql." where ";
        $d5_sql=$d5_sql."        COD001='$COE001' ";

        $d5_status = 0;
        global $_DB; //注意這行
        $db5 = new DB();
        $db5->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
        $d5_status = $db5->query($d5_sql);
        $db5->close_Mysql();

        return $COD017;

}

//===============================================
//更新[訂單稅額]
//$$CHB001:訂單編號
//===============================================
function Update_PURCHA_TaxPrice($CHB001)
{
    global $SET005;//數量取位
    global $CUR010;//單身金額取位
    global $CUR011;//單尾金額取位
    global $CUR012;//稅額小數取位
        Load_BASSET();
        $d1_sql="";
        $d1_sql=$d1_sql." select * FROM BASSET where SET002='SYS05' ";

        $d1_count=0;
        $d1_st="";
        global $_DB;//注意這行 
        $db1=new DB();
        $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
        $db1->query($d1_sql);
        while ($result = $db1->fetch_array())
        {
            $d1_count=$d1_count+1;
            $SYS05=$result["SET005"];//稅額的計算方式 整張:T  單身單筆:F

        }
        $db1->close_Mysql(); 
        
        $d2_sql="";
        $d2_sql=$d2_sql." select * from PURCHB ";
        $d2_sql=$d2_sql." join PURCHA on CHA001=CHB001 ";
        $d2_sql=$d2_sql." join ProdInfo on ProdInfo_Number = CHB003 ";
        $d2_sql=$d2_sql." join PURSPL on SPL001=CHA004 ";
        $d2_sql=$d2_sql." where ";
        $d2_sql=$d2_sql."        CHB001='$CHB001' ";

        $CHA046_Total=0; //未稅金額合計
        $CHA047_Total=0; //本幣金額合計
        $CHA017_Total=0; //金額合計
        $CHA018_Total=0; //本幣合計
        $CHA019_Total=0; //本幣稅額
        $CHA020_Total=0; //原幣稅額

        $ProdSub_Total=0;//小計
        global $_DB;
        $db2=new DB();
        $db2->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
        $db2->query($d2_sql);
        while($result2 = $db2->fetch_array())
        {     
            $CHB022=0;//原幣稅額
            $CHB023=0;//本幣稅額
            $CHB008=0;//金額
            $CHB009=0;//金額
            $CHB034=0;//未稅金額
            $CHB035=0;//未稅金額

            $SPL033 = $result2["SPL033"];//課稅別
            $SPL034 = $result2["SPL034"];//發票聯式

            $CHB006=round($result2["CHB006"],$SET005);
            $CHB007=round($result2["CHB007"],$CUR010);
            $CHB009=round($result2["CHB009"],$CUR010);
            $CHB022=round($result2["CHB022"],$CUR010);

            $ProdSub_Total=  $ProdSub_Total+$CHB006*$CHB007; 
            if(!empty($result2["ProdInfo_IsTax"])){
                $ProdInfo_IsTax= $result2["ProdInfo_IsTax"]; //T:不計算  F:計算
            }else{
                $ProdInfo_IsTax='T';
            }

            if($ProdInfo_IsTax=='T'){
                $CHB022=0;//原幣稅額
                $CHB023=0;//本幣稅額
                $CHB008=round($CHB006*$CHB007,$CUR010);//金額
                $CHB009=$CHB008;//金額
                $CHB034=$CHB008;//未稅金額
                $CHB035=$CHB008;//未稅金額
            }else{
                
                if($SPL033==1){
                    //未稅
                    $CHB022=round($CHB006*$CHB007*$result2["CHB021"],$CUR012);//原幣稅額
                    $CHB023=$CHB022;//本幣稅額
                    $CHB008=round($CHB006*$CHB007,$CUR010);//金額
                    $CHB009=$CHB008;//金額
                    $CHB034=round($CHB006*$CHB007,$CUR010);//未稅金額
                    $CHB035=round($CHB006*$CHB007,$CUR010);//未稅金額
                }elseif($SPL033==4){
                    //含稅
                    $CHB008=round($CHB006*$CHB007,$CUR010);//金額
                    $CHB009=$CHB009;//金額
                    $CHB034=round($CHB008/1.05,$CUR010);//未稅金額
                    $CHB035=$CHB034;//未稅金額
                    $CHB022=round($CHB008-$CHB034,$CUR012);//原幣稅額
                    $CHB023=$CHB022;//本幣稅額
                    
                }else{
                    $CHB022=0;//原幣稅額
                    $CHB023=0;//本幣稅額
                    $CHB008=round($CHB006*$CHB007,$CUR010);//金額
                    $CHB009=$CHB009;//金額
                    $CHB034=round($CHB006*$CHB007,$CUR010);//未稅金額
                    $CHB035=round($CHB006*$CHB007,$CUR010);//未稅金額
                }
            }
            $CHB002=$result2["CHB002"];

            $d4_sql="";
            $d4_sql=$d4_sql." Update PURCHB   ";
            $d4_sql=$d4_sql."   set  ";
            $d4_sql=$d4_sql."      CHB022='$CHB022', ";
            $d4_sql=$d4_sql."      CHB023='$CHB023', ";
            $d4_sql=$d4_sql."      CHB008='$CHB008', ";
            $d4_sql=$d4_sql."      CHB009='$CHB009', ";
            $d4_sql=$d4_sql."      CHB034='$CHB034', "; 
            $d4_sql=$d4_sql."      CHB035='$CHB035' ";
            $d4_sql=$d4_sql." where ";
            $d4_sql=$d4_sql."        CHB001='$CHB001' and CHB002='$CHB002' ";

            $d4_status = 0;
            global $_DB; //注意這行
            $db4 = new DB();
            $db4->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
            $d4_status = $db4->query($d4_sql);
            $db4->close_Mysql();

            $CHA019_Total=$CHA019_Total+$CHB022; //本幣稅額
            $CHA020_Total=$CHA020_Total+$CHB023; //原幣稅額
            $CHA017_Total=$CHA017_Total+$CHB008; //金額合計
            $CHA018_Total=$CHA018_Total+$CHB009; //本幣合計
            $CHA046_Total=$CHA046_Total+$CHB034; //未稅金額合計
            $CHA047_Total=$CHA047_Total+$CHB034; //未稅金額合計

        }
        $db2->close_Mysql();

        if($SYS05=='T'){
        //整張:T

            if($SPL033==1){
                //未稅
                $CHA019=round($CHA046_Total*0.05,$CUR012); //本幣稅額
                $CHA020=$CHA019; //原幣稅額
                $CHA017=round($CHA046_Total+$CHA019,$CUR011); //金額合計
                $CHA018=$CHA017; //本幣合計
                $CHA046=round($CHA046_Total,$CUR011);//未稅金額合計
                $CHA047=$CHA046;//未稅金額合計

            }elseif($SPL033==4){
                //含稅
                $CHA017=round($CHA017_Total,$CUR011); //金額合計
                $CHA018=$CHA017; //本幣合計
                
                $CHA046=round($CHA017_Total/1.05,$CUR011);//未稅金額合計 
                $CHA047=$CHA046;//未稅金額合計
                $CHA019=round($CHA017_Total-$CHA046,$CUR012); //本幣稅額
                $CHA020=$CHA019; //原幣稅額
            }else{
                $CHA017=$CHA017_Total; //金額合計
                $CHA018=$CHA017; //本幣合計
                $CHA019=0; //本幣稅額
                $CHA020=0; //原幣稅額
                $CHA046=$CHA017_Total;//未稅金額合計
                $CHA047=$CHA046;//未稅金額合計
            }

        }else{
            $CHA017=round($CHA017_Total,$CUR011); //金額合計
            $CHA018=round($CHA018_Total,$CUR011); //本幣合計
            $CHA019=round($CHA019_Total,$CUR012); //本幣稅額
            $CHA020=round($CHA020_Total,$CUR012); //原幣稅額
            $CHA046=round($CHA046_Total,$CUR011); //未稅金額合計
            $CHA047=round($CHA047_Total,$CUR011); //未稅金額合計

        }
        
        $d5_sql="";
        $d5_sql=$d5_sql." Update PURCHA   ";
        $d5_sql=$d5_sql."   set  ";
        $d5_sql=$d5_sql."      CHA017='$CHA017', ";
        $d5_sql=$d5_sql."      CHA018='$CHA018', ";
        $d5_sql=$d5_sql."      CHA019='$CHA019', ";
        $d5_sql=$d5_sql."      CHA020='$CHA020', ";
        $d5_sql=$d5_sql."      CHA015='$SPL033', ";
        $d5_sql=$d5_sql."      CHA058='$SPL034', ";
        $d5_sql=$d5_sql."      CHA046='$CHA046', "; 
        $d5_sql=$d5_sql."      CHA047='$CHA047' ";
        $d5_sql=$d5_sql." where ";
        $d5_sql=$d5_sql."        CHA001='$CHB001' ";

        $d5_status = 0;
        global $_DB; //注意這行
        $db5 = new DB();
        $db5->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
        $d5_status = $db5->query($d5_sql);
        $db5->close_Mysql();

}


?>
